(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       150,          7]
NotebookDataLength[     16714,        410]
NotebookOptionsPosition[     10456,        249]
NotebookOutlinePosition[     16531,        404]
CellTagsIndexPosition[     16458,        399]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\
Chapter 2: Semiannually compounding and continuous compounding\
\>", "ChapterLabel",
 CellChangeTimes->{{3.504490828361826*^9, 3.504490831388679*^9}, {
   3.540689790211431*^9, 3.540689792207839*^9}, {3.5477864503837457`*^9, 
   3.547786469202627*^9}, {3.551569237929533*^9, 3.5515692654502845`*^9}, 
   3.5515694061673546`*^9, {3.5515701044241734`*^9, 3.551570105216253*^9}},
 CounterAssignments->{{"ChapterLabel", 2}},
 CellTags->"chFuncProg"],

Cell["\<\

The future value of 28000 JPY under a convention of compounding m times per \
year.
\
\>", "Heading1",
 CellChangeTimes->{{3.546288101670261*^9, 3.546288171938304*^9}, {
  3.547786744790183*^9, 3.5477868145281563`*^9}, {3.5515701127450056`*^9, 
  3.5515701296576967`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"28000", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1.", "+", "r"}], ")"}], "n"]}], ",", "\[IndentingNewLine]", 
       RowBox[{"28000", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1.", "+", 
           FractionBox["r", "2"]}], ")"}], 
         RowBox[{"2", "n"}]]}], ",", "\[IndentingNewLine]", 
       RowBox[{"28000", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1.", "+", 
           FractionBox["r", "12"]}], ")"}], 
         RowBox[{"12", "n"}]]}], ",", "\[IndentingNewLine]", 
       RowBox[{"28000", " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"r", " ", "n"}]]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"n", ",", "0", ",", "5"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"28000", ",", " ", "100000"}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "28000"}], "}"}]}], ",", " ", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<the length of time\>\"", ",", 
        "\"\<an amount with interest added\n\>\""}], "}"}]}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Blue", ",", "Green", ",", "Orange", ",", "Red"}], "}"}]}], 
     ",", 
     RowBox[{"Epilog", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Inset", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            
            FormBox["\"\<y=28000\!\(\*SuperscriptBox[\(\[ExponentialE]\), \(r\
\[ThinSpace]n\)]\)\>\"",
             TraditionalForm], ",", "6"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.5", ",", "95000"}], "}"}], ",", 
          RowBox[{"Background", "\[Rule]", "LightRed"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Inset", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            
            FormBox["\"\<y=28000(1+\!\(\*FractionBox[\(r\), \
\(12\)]\)\!\(\*SuperscriptBox[\()\), \(12  n\)]\)\>\"",
             TraditionalForm], ",", "6"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.5", ",", "85000"}], "}"}], ",", 
          RowBox[{"Background", "\[Rule]", "LightOrange"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Inset", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            
            FormBox["\"\<y=28000(1+\!\(\*FractionBox[\(r\), \
\(2\)]\)\!\(\*SuperscriptBox[\()\), \(2  n\)]\)\>\"",
             TraditionalForm], ",", "6"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.5", ",", "70000"}], "}"}], ",", 
          RowBox[{"Background", "\[Rule]", "LightGreen"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Inset", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            
            FormBox["\"\<y=28000(1+r\!\(\*SuperscriptBox[\()\), \(n\)]\)\>\"",
             
             TraditionalForm], ",", "6"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.5", ",", "60000"}], "}"}], ",", 
          RowBox[{"Background", "\[Rule]", "LightBlue"}]}], "]"}]}], 
       "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "0.2", ",", "\"\<interest rate (P.A.)\>\""}], "}"}], 
     ",", " ", "0.0", ",", " ", "0.3", ",", "0.001", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGCQAmIQfWln9qlXdq8cXxyVewWid/Qe+wCiFxg+/ASiLY5y
/ALREV/Y/4Do5svrmV8D6fbHB1lAdMiCFm4QbXb2Nz+YXqcjCqJP6BiA6ZmO
jyRB9Aulm7IgOmH+mSJZ71eO8q6h5SA6wDOzFkQ/2zwXTHt9ZegA0d/zBMC0
CdccqXc+rxzLrE6qgOg9iw5pgugZjhP0QTTjXstXIPrbr9y3IDqk8PKfZX6v
HLVuRjIvB9KTTk3kANEvbCz4QPS/WT+kQHT95BvSIFpwzmx5EL3RmE8JRDvu
POLN5P/K0XpHuS+IXjGnJhVEx9jarQbRCWlyisxA+viav2ogmrWqXRdEc3bN
dAfRn60SXrZnAcONfZ9QB5BW0jkpAaI/Jd9VBtHHdVb9ngSka8yyGScD6Q5L
04V38145Xqg0WQGi57N93AKip3xg3gqiAbNL0Sg=
  "],
 CellLabel->"In[18]:="],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`r$$ = 0.2, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`r$$], 0.2, "interest rate (P.A.)"}, 0., 0.3, 0.001}},
     Typeset`size$$ = {540., {206., 214.6240816326531}}, Typeset`update$$ = 0,
     Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`r$1860$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`r$$ = 0.2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`r$$, $CellContext`r$1860$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[{28000 (1. + $CellContext`r$$)^$CellContext`n, 
         28000 (1. + $CellContext`r$$/2)^(2 $CellContext`n), 
         28000 (1. + $CellContext`r$$/12)^(12 $CellContext`n), 28000 
         E^($CellContext`r$$ $CellContext`n)}, {$CellContext`n, 0, 5}, 
        PlotRange -> {28000, 100000}, AxesOrigin -> {0, 28000}, 
        AxesLabel -> {
         "the length of time", "an amount with interest added\n"}, 
        AspectRatio -> 1, PlotStyle -> {Blue, Green, Orange, Red}, 
        Epilog -> {
          Inset[
           Style[
           "y=28000\!\(\*SuperscriptBox[\(\[ExponentialE]\), \(r\[ThinSpace]n\
\)]\)", 6], {1.5, 95000}, Background -> LightRed], 
          Inset[
           Style[
           "y=28000(1+\!\(\*FractionBox[\(r\), \(12\)]\)\!\(\*SuperscriptBox[\
\()\), \(12  n\)]\)", 6], {1.5, 85000}, Background -> LightOrange], 
          Inset[
           Style[
           "y=28000(1+\!\(\*FractionBox[\(r\), \
\(2\)]\)\!\(\*SuperscriptBox[\()\), \(2  n\)]\)", 6], {1.5, 70000}, 
           Background -> LightGreen], 
          Inset[
           Style["y=28000(1+r\!\(\*SuperscriptBox[\()\), \(n\)]\)", 6], {
           1.5, 60000}, Background -> LightBlue]}], 
      "Specifications" :> {{{$CellContext`r$$, 0.2, "interest rate (P.A.)"}, 
         0., 0.3, 0.001, Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{611., {279.98, 288.02}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.5455142517931767`*^9, 3.5455142721086693`*^9}, 
   3.5455366194121103`*^9, 3.547786537718478*^9, 3.547786665833288*^9},
 CellLabel->"Out[18]="]
}, Open  ]],

Cell["\<\
The future value of 28000 JPY under a convention of compounding m times per \
year is calculated. Then m=1 means one time per annually, m=2 means \
semiannually, m=4 means quarterly, and m=12 means monthly. The bigger the m \
value is, the bigger the future value becomes. The difference of the amount \
value between  perannually and semiannually becomes bigger, if the interest \
rate per annually (P.A.) becomes bigger. However there is the high limit when \
the m value approaches infini. Then we call the compounding \
\[OpenCurlyDoubleQuote]continuous compounding\[CloseCurlyDoubleQuote].\
\>", "Figure Title",
 CellChangeTimes->{{3.5377494246757975`*^9, 3.5377494246757975`*^9}, {
   3.5377494644401975`*^9, 3.5377495347649975`*^9}, {3.5377497504959993`*^9, 
   3.5377497509015923`*^9}, {3.5377498212874384`*^9, 3.53774983420399*^9}, {
   3.5377499397694583`*^9, 3.5377499441062307`*^9}, {3.537750231503291*^9, 
   3.537750239958491*^9}, {3.537750288132291*^9, 3.537750292734291*^9}, {
   3.537766017118821*^9, 3.537766021731821*^9}, {3.542528517274382*^9, 
   3.542528518432321*^9}, 3.544945543786703*^9, {3.545514210681919*^9, 
   3.5455142124436502`*^9}, {3.5477868408107843`*^9, 3.547786907362439*^9}, {
   3.547787079969698*^9, 3.5477871696206617`*^9}, {3.547787217374437*^9, 
   3.547787418645562*^9}, {3.5477874577584724`*^9, 3.547787519816678*^9}, 
   3.5477875544341393`*^9, {3.5515697191876535`*^9, 3.551569719818717*^9}, {
   3.55156978355809*^9, 3.551569806709405*^9}, {3.5515698415198855`*^9, 
   3.551569848415575*^9}, {3.551569881808914*^9, 3.551569899345668*^9}, {
   3.5515699511628485`*^9, 3.5515700075724893`*^9}, {3.551570041270859*^9, 
   3.5515700938001113`*^9}},
 TextAlignment->Left,
 TextJustification->0.]
},
AutoGeneratedPackage->None,
ScreenStyleEnvironment->"Printout",
WindowToolbars->"EditBar",
CellGrouping->Manual,
WindowSize->{721, 986},
WindowMargins->{{232, Automatic}, {Automatic, 98}},
PrintingCopies->1,
PrintingStartingPageNumber->19,
PrintingPageRange->{1, Automatic},
PageHeaders->{{
   Cell[
    TextData[{
      StyleBox[
       CounterBox["Page", CounterFunction :> Identity], FontFamily -> 
       "I Helvetica Oblique", FontSize -> 10, FontSlant -> "Plain"], 
      StyleBox[
       RowBox[{
         StyleBox[
          StyleBox[
          "\[ThickSpace]\[ThickSpace]", "Footer", FontSize -> 10, FontSlant -> 
           "Plain"], FontFamily -> "I Helvetica Oblique", FontSize -> 10, 
          FontSlant -> "Plain"], 
         StyleBox["\[ThickSpace]", "Footer"]}]], 
      StyleBox["|", "Footer"], 
      StyleBox["\[ThickSpace]\[ThickSpace]\[ThickSpace] ", "Footer"], 
      StyleBox[
       RowBox[{
         CounterBox["ChapterLabel"], "\:7ae0", "\:3000", 
         "\:8907\:5229\:6cd5\:3067\:5143\:5229\:5408\:8a08\:3092\:6700\:5927\
\:306b\:3059\:308b\:306b\:306f"}], "Footer"]}], "Header", 
    CellMargins -> {{0, Inherited}, {Inherited, Inherited}}], None, None}, {
  None, None, 
   Cell[
    TextData[{
      StyleBox[
       RowBox[{
         CounterBox["ChapterLabel"], "\:7ae0", "\:3000", 
         "\:8907\:5229\:6cd5\:3067\:5143\:5229\:5408\:8a08\:3092\:6700\:5927\
\:306b\:3059\:308b\:306b\:306f"}], "Footer"], 
      StyleBox[" ", "Footer"], 
      StyleBox["|", "Footer"], 
      StyleBox[
       RowBox[{
         StyleBox["\[ThickSpace]\[ThickSpace]", "Footer"], 
         StyleBox[
          StyleBox["\[ThickSpace]", "Footer"], FontFamily -> "Helvetica", 
          FontSize -> 10, FontSlant -> "Plain"], 
         StyleBox[
         " ", FontFamily -> "Helvetica", FontSize -> 10, FontSlant -> 
          "Plain"]}]], 
      StyleBox[
       CounterBox["Page", CounterFunction :> Identity], FontFamily -> 
       "I Helvetica Oblique", FontSize -> 10, FontSlant -> "Plain"]}], 
    "Header", CellMargins -> {{Inherited, 0}, {Inherited, Inherited}}]}},
PageFooters->{{None, None, None}, {None, None, None}},
PageHeaderLines->{True, True},
PageFooterLines->{False, False},
PrintingOptions->{"CellBackgroundHalftoneAngle"->Automatic,
"CellBackgroundHalftoneDensity"->Automatic,
"FacingPages"->True,
"FirstPageFace"->"Right",
"FirstPageFooter"->True,
"FirstPageHeader"->False,
"GraphicsPrintingFormat"->"Automatic",
"IncludePostScriptResourceDirectives"->True,
"IncludeSpecialFonts"->True,
"Magnification"->1.,
"OpacityRenderingMethod"->Automatic,
"PageFooterMargins"->{24, 24},
"PageHeaderMargins"->{36, 36},
"PageSize"->{504, 661.5},
"PaperOrientation"->"Portrait",
"PaperSize"->{402., 576.9599999999999},
"PostScriptOutputFile"->Automatic,
"PrintCellBrackets"->False,
"PrintMultipleHorizontalPages"->False,
"PrintRegistrationMarks"->True,
"PrintSelectionHighlighting"->False,
"PrintingMargins"->{{72.00000078, 72.00000078}, {53.8582683, 70.8661425}},
"RasterizationResolution"->"Automatic",
"RestPagesFooter"->True,
"RestPagesHeader"->True,
"UnixShellPrintingCommand"->Automatic,
"UsePostScriptOutputFile"->False,
"UseUnixShellPrintingCommand"->False,
"VertexColorRenderingMethod"->Automatic},
ShowSelection->True,
CellLabelAutoDelete->False,
DefaultNewCellStyle->"Input",
InputAliases->{"intt" -> RowBox[{"\[Integral]", 
     RowBox[{"\[SelectionPlaceholder]", 
       RowBox[{"\[DifferentialD]", "\[Placeholder]"}]}]}], "dintt" -> 
  RowBox[{
     SubsuperscriptBox[
     "\[Integral]", "\[SelectionPlaceholder]", "\[Placeholder]"], 
     RowBox[{"\[Placeholder]", 
       RowBox[{"\[DifferentialD]", "\[Placeholder]"}]}]}], "sumt" -> RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"\[SelectionPlaceholder]", "=", "\[Placeholder]"}], 
      "\[Placeholder]"], "\[Placeholder]"}], "prodt" -> RowBox[{
     UnderoverscriptBox["\[Product]", 
      RowBox[{"\[SelectionPlaceholder]", "=", "\[Placeholder]"}], 
      "\[Placeholder]"], "\[Placeholder]"}], "dt" -> RowBox[{
     SubscriptBox["\[PartialD]", "\[Placeholder]"], " ", 
     "\[SelectionPlaceholder]"}], "notation" -> RowBox[{"Notation", "[", 
     RowBox[{
       TagBox["\[SelectionPlaceholder]", "NotationTemplateTag"], " ", 
       "\[DoubleLongLeftRightArrow]", " ", 
       TagBox["\[Placeholder]", "NotationTemplateTag"]}], "]"}], "notation>" -> 
  RowBox[{"Notation", "[", 
     RowBox[{
       TagBox["\[SelectionPlaceholder]", "NotationTemplateTag"], " ", 
       "\[DoubleLongRightArrow]", " ", 
       TagBox["\[Placeholder]", "NotationTemplateTag"]}], "]"}], "notation<" -> 
  RowBox[{"Notation", "[", 
     RowBox[{
       TagBox["\[SelectionPlaceholder]", "NotationTemplateTag"], " ", 
       "\[DoubleLongLeftArrow]", " ", 
       TagBox["\[Placeholder]", "NotationTemplateTag"]}], "]"}], "symb" -> 
  RowBox[{"Symbolize", "[", 
     TagBox["\[SelectionPlaceholder]", "NotationTemplateTag"], "]"}], 
  "infixnotation" -> RowBox[{"InfixNotation", "[", 
     RowBox[{
       TagBox["\[SelectionPlaceholder]", "NotationTemplateTag"], ",", 
       "\[Placeholder]"}], "]"}], "addia" -> RowBox[{"AddInputAlias", "[", 
     RowBox[{"\"\[SelectionPlaceholder]\"", "\[Rule]", 
       TagBox["\[Placeholder]", "NotationTemplateTag"]}], "]"}], "pattwraper" -> 
  TagBox["\[SelectionPlaceholder]", "NotationPatternTag"], "madeboxeswraper" -> 
  TagBox["\[SelectionPlaceholder]", "NotationMadeBoxesTag"]},
SpellingDictionaries->{"CorrectWords"->{
 "Regex", "Haskell", "foldl", "Javascript", "morphed", "uncurry", "uncurried"},
"IncorrectWords"->{}},
Magnification->1.5,
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (2010\:5e7412\:67082\
\:65e5)",
StyleDefinitions->"orj.nb",
PrivateNotebookOptions -> {"NotebookAuthor" -> ""}
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "chFuncProg"->{
  Cell[550, 20, 455, 8, 32, "ChapterLabel",
   CounterAssignments->{{"ChapterLabel", 2}},
   CellTags->"chFuncProg"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"chFuncProg", 16316, 392}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[550, 20, 455, 8, 32, "ChapterLabel",
 CounterAssignments->{{"ChapterLabel", 2}},
 CellTags->"chFuncProg"],
Cell[1008, 30, 283, 8, 76, "Heading1"],
Cell[CellGroupData[{
Cell[1316, 42, 4455, 114, 743, "Input"],
Cell[5774, 158, 2915, 60, 585, "Output"]
}, Open  ]],
Cell[8704, 221, 1748, 26, 244, "Figure Title"]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature Cx0XKiFq06L0eCK1i5022p6j *)
