(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       150,          7]
NotebookDataLength[     11372,        289]
NotebookOptionsPosition[      8644,        204]
NotebookOutlinePosition[     11127,        281]
CellTagsIndexPosition[     11054,        276]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\
Chapter 5: Price-yield curve of a fixed coupon bond\
\>", "ChapterLabel",
 CellChangeTimes->{{3.504486567971966*^9, 3.504486573877541*^9}, 
   3.540689784660616*^9, 3.541740696505102*^9, {3.5418104580172653`*^9, 
   3.5418104607977962`*^9}, {3.551592902150718*^9, 3.551592940480551*^9}, {
   3.5515930613896403`*^9, 3.55159306708521*^9}},
 CounterAssignments->{{"ChapterLabel", 5}},
 CellTags->"chNumerics"],

Cell["", "Heading1",
 CellChangeTimes->{{3.5419743139543858`*^9, 3.5419743139583187`*^9}, {
   3.541974411806614*^9, 3.541974413450554*^9}, {3.541992113275878*^9, 
   3.541992113415619*^9}, 3.546289153858694*^9, 3.5515932204745474`*^9}],

Cell["\<\
Price-yield curve of a fixed coupon bond.\
\>", "Text",
 CellChangeTimes->{
  3.541974315261964*^9, {3.5419744465441723`*^9, 3.5419744806703777`*^9}, {
   3.541974529487686*^9, 3.541974607716213*^9}, {3.541974666251436*^9, 
   3.541974669692326*^9}, {3.541974822852734*^9, 3.5419748524716797`*^9}, {
   3.5419749063136873`*^9, 3.5419749205703707`*^9}, 3.541992139005575*^9, 
   3.541992223176222*^9, {3.551593224850985*^9, 3.551593234882988*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{"i", "=", "1"}], "n"], 
       FractionBox["4", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "+", "r"}], ")"}], "i"]]}], "  ", "+", 
      FractionBox["100", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "r"}], ")"}], "n"]]}], ",", "  ", 
     RowBox[{"{", 
      RowBox[{"r", ",", " ", "0", ",", "0.3"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "150"}], "}"}]}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Red"}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{"\"\<Yield to maturity\>\"", ",", "\"\<Price\>\""}], "}"}]}], 
     ",", 
     RowBox[{"Prolog", "\[Rule]", 
      RowBox[{"Inset", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            UnderoverscriptBox["\[Sum]", 
             RowBox[{"i", "=", "1"}], "n"], 
            FractionBox["4", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"1", "+", "r"}], ")"}], "i"]]}], "  ", "+", 
           FractionBox["100", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"1", "+", "r"}], ")"}], "n"]]}], ",", 
          FractionBox["35", "n"]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.15", ",", "20"}], "}"}], ",", 
        RowBox[{"Background", "\[Rule]", "LightRed"}]}], "]"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "250"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "3", ",", "\"\<Maturity n years\>\""}], "}"}], ",", 
     " ", 
     RowBox[{"{", 
      RowBox[{"3", ",", "5", ",", "10"}], "}"}]}], "}"}], ",", "Delimiter", 
   ",", 
   RowBox[{
   "Style", "[", "\"\<Push buttons to change the maturity years.\>\"", "]"}], 
   ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 PageBreakWithin->Automatic,
 GroupPageBreakWithin->Automatic,
 CellChangeTimes->{{3.5226552172563953`*^9, 3.522655330793923*^9}, {
   3.5299983037004423`*^9, 3.5299983878004417`*^9}, {3.531086859183659*^9, 
   3.531086975829705*^9}, {3.531087012690494*^9, 3.531087095131783*^9}, {
   3.531087153567356*^9, 3.5310872063649807`*^9}, {3.5310872637807693`*^9, 
   3.5310872948452873`*^9}, {3.531101870737667*^9, 3.531102029452338*^9}, {
   3.5312379262936172`*^9, 3.5312379293301497`*^9}, {3.5312384080204983`*^9, 
   3.5312384169312687`*^9}, {3.531238513541348*^9, 3.531238538461884*^9}, {
   3.531238736678797*^9, 3.5312390444413147`*^9}, {3.5312390891640244`*^9, 
   3.531239118274847*^9}, {3.531239149348757*^9, 3.53123918330768*^9}, {
   3.53123926637963*^9, 3.531239281353166*^9}, {3.531239321015624*^9, 
   3.531239346092413*^9}, {3.531239488192955*^9, 3.5312394950686903`*^9}, {
   3.531241803521736*^9, 3.531241872322321*^9}, {3.5312420824481163`*^9, 
   3.5312420896215963`*^9}, {3.5419781948045063`*^9, 3.541978195219817*^9}, 
   3.541992139106338*^9, {3.542487134132313*^9, 3.542487176055019*^9}, {
   3.545515820789866*^9, 3.5455158394167147`*^9}, {3.545515873836493*^9, 
   3.545515877814122*^9}, {3.551593254317931*^9, 3.551593365969095*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 3, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 3, "Maturity n years"}, {3, 5, 10}}, {
      Hold[
       Style["Push buttons to change the maturity years."]], 
      Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
    300.00000000000006`, {115., 121.0914285714286}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`n$16821$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 3}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$16821$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[Sum[4/(1 + $CellContext`r)^$CellContext`i, {$CellContext`i, 
           1, $CellContext`n$$}] + 
        100/(1 + $CellContext`r)^$CellContext`n$$, {$CellContext`r, 0, 0.3}, 
        PlotRange -> {0, 150}, AspectRatio -> 1, PlotStyle -> {Thick, Red}, 
        AxesLabel -> {"Yield to maturity", "Price"}, Prolog -> Inset[
          Style[
          Sum[4/(1 + $CellContext`r)^$CellContext`i, {$CellContext`i, 
              1, $CellContext`n$$}] + 
           100/(1 + $CellContext`r)^$CellContext`n$$, 35/$CellContext`n$$], {
          0.15, 20}, Background -> LightRed], ImageSize -> 250], 
      "Specifications" :> {{{$CellContext`n$$, 3, "Maturity n years"}, {3, 5, 
         10}}, Delimiter, 
        Style["Push buttons to change the maturity years."]}, "Options" :> {},
       "DefaultOptions" :> {}],
     ImageSizeCache->{359., {193.32, 199.68}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.531242091174612*^9, 3.541978196645651*^9, 3.545515792305464*^9, {
   3.545515823116527*^9, 3.545515840167431*^9}, 3.5455158787308273`*^9, {
   3.551593273724872*^9, 3.551593290587558*^9}, 3.5515933221827173`*^9, {
   3.5515933563681355`*^9, 3.5515933678242807`*^9}}]
}, Open  ]],

Cell["\<\

A price-yield curve of a fixed coupon bond where the coupon rate is 4%, and \
the maturity is 3 years.
The number of coupon payments per year is one and the number of compounding \
interest payments per year is also one.
\
\>", "Figure Title",
 CellChangeTimes->{
  3.541974315261964*^9, {3.5419744465441723`*^9, 3.5419744806703777`*^9}, {
   3.541974529487686*^9, 3.541974607716213*^9}, {3.541974666251436*^9, 
   3.541974669692326*^9}, {3.541974822852734*^9, 3.5419748524716797`*^9}, 
   3.5419749063136873`*^9, {3.5419921393304577`*^9, 3.5419921395933943`*^9}, {
   3.541992223306422*^9, 3.541992223607358*^9}, 3.542448956963481*^9, 
   3.542487488856307*^9, {3.5515934067951775`*^9, 3.5515934070432024`*^9}, {
   3.5515935376292596`*^9, 3.5515936862371187`*^9}},
 TextAlignment->Left,
 TextJustification->0.]
},
ScreenStyleEnvironment->"Printout",
WindowToolbars->{"RulerBar", "EditBar"},
WindowSize->{706, 696},
WindowMargins->{{Automatic, 181}, {Automatic, 0}},
PrintingCopies->1,
PrintingStartingPageNumber->55,
PrintingPageRange->{1, Automatic},
PageHeaders->{{
   Cell[
    TextData[{
      StyleBox[
       CounterBox["Page"], FontFamily -> "I Helvetica Oblique", FontSize -> 
       10, FontSlant -> "Plain"], 
      StyleBox[
       RowBox[{
         StyleBox[
         "\[ThickSpace]\[ThickSpace]", FontFamily -> "I Helvetica Oblique", 
          FontSize -> 10, FontSlant -> "Plain"], "\[ThickSpace]"}]], "|", 
      "\[ThickSpace]\[ThickSpace]\[ThickSpace]", 
      Cell[
       BoxData[
        RowBox[{
         "5", "\:7ae0", "\:3000", 
          "\:91d1\:878d\:6570\:5b66\:306e\:57fa\:672c\:306f\:50b5\:5238\:6570\
\:5b66"}]]]}], "Header", 
    CellMargins -> {{0, Inherited}, {Inherited, Inherited}}], None, None}, {
  None, None, 
   Cell[
    TextData[{
      Cell[
       BoxData[
        RowBox[{
         "5", "\:7ae0", "\:3000", 
          "\:91d1\:878d\:6570\:5b66\:306e\:57fa\:672c\:306f\:50b5\:5238\:6570\
\:5b66"}]]], "\[ThickSpace]", "|", "\[ThickSpace]\[ThickSpace]\[ThickSpace]", 
      
      StyleBox[
       CounterBox["Page"], FontFamily -> "I Helvetica Oblique", FontSize -> 
       10, FontSlant -> "Plain"], 
      StyleBox[
      "\[ThickSpace]", FontFamily -> "I Helvetica Oblique", FontSize -> 10, 
       FontSlant -> "Plain"]}], "Header", 
    CellMargins -> {{Inherited, 0}, {Inherited, Inherited}}]}},
PageFooters->{{None, None, None}, {None, None, None}},
PageHeaderLines->{True, True},
PageFooterLines->{False, False},
PrintingOptions->{"FacingPages"->True,
"FirstPageFace"->Right,
"FirstPageFooter"->True,
"FirstPageHeader"->False,
"PrintCellBrackets"->False,
"PrintMultipleHorizontalPages"->False,
"PrintRegistrationMarks"->True,
"PrintingMargins"->{{72.00000078, 72.00000078}, {53.8582683, 70.8661425}}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (2010\:5e7412\:67082\
\:65e5)",
StyleDefinitions->"orj.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "chNumerics"->{
  Cell[550, 20, 417, 8, 25, "ChapterLabel",
   CounterAssignments->{{"ChapterLabel", 5}},
   CellTags->"chNumerics"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"chNumerics", 10912, 269}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[550, 20, 417, 8, 25, "ChapterLabel",
 CounterAssignments->{{"ChapterLabel", 5}},
 CellTags->"chNumerics"],
Cell[970, 30, 236, 3, 25, "Heading1"],
Cell[1209, 35, 456, 8, 30, "Text"],
Cell[CellGroupData[{
Cell[1690, 47, 3498, 82, 286, "Input",
 PageBreakWithin->Automatic],
Cell[5191, 131, 2611, 51, 407, "Output"]
}, Open  ]],
Cell[7817, 185, 823, 17, 114, "Figure Title"]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature XvTr52Ti6IhkhCwSdSYvhcMP *)
