(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       150,          7]
NotebookDataLength[     91829,       2145]
NotebookOptionsPosition[     87156,       2008]
NotebookOutlinePosition[     89935,       2090]
CellTagsIndexPosition[     89861,       2085]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\
Chapter 8: Immunization by a bond portfolio\
\>", "ChapterLabel",
 CellChangeTimes->{{3.504486567971966*^9, 3.504486573877541*^9}, 
   3.540689784660616*^9, {3.5516466892351007`*^9, 3.5516466938995667`*^9}, {
   3.5516467340215783`*^9, 3.551646745749751*^9}},
 CounterAssignments->{{"ChapterLabel", 8}},
 CellTags->"chNumerics"],

Cell["\<\

A price-yield curve of a fixed-coupon bond.\
\>", "Heading1",
 CellChangeTimes->{
  3.541810260457519*^9, {3.54181279052486*^9, 3.541812806714518*^9}, {
   3.542522119847945*^9, 3.542522132070147*^9}, 3.546290131748349*^9, 
   3.546290163730496*^9, {3.5516468472088957`*^9, 3.5516468769938745`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"PV", "[", 
    RowBox[{"n_", ",", "c_", ",", "r_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"i", "=", "1"}], "n"], 
     RowBox[{"c", 
      FractionBox["100", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "r"}], ")"}], "i"]]}]}], "  ", "+", 
    FractionBox["100", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "r"}], ")"}], "n"]]}]}], ";", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Tooltip", "[", 
     RowBox[{"PV", "[", 
      RowBox[{"10", ",", "0.04", ",", "r"}], "]"}], "]"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"r", ",", " ", "0", ",", "0.1"}], "}"}], ",", " ", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", " ", 
     RowBox[{"{", 
      RowBox[{"\"\<Interest  rate\>\"", ",", " ", "\"\<Price\>\""}], "}"}]}], 
    ",", 
    RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", "Red"}], "}"}]}], ",", 
    RowBox[{"Prolog", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Blue", ",", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0.01", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0.01", ",", "150"}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
    ",", 
    RowBox[{"ImageSize", "\[Rule]", "250"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5228228673964467`*^9, 3.5228229025590725`*^9}, {
   3.5295583635786715`*^9, 3.529558409318165*^9}, 3.5296456074796352`*^9, {
   3.529645665449607*^9, 3.529645672781654*^9}, {3.529992739593934*^9, 
   3.5299928155335274`*^9}, {3.529993120626034*^9, 3.5299931246334343`*^9}, {
   3.5311138379296227`*^9, 3.53111400243252*^9}, {3.531114831569738*^9, 
   3.531114832179604*^9}, {3.5312436638605137`*^9, 3.5312436825119457`*^9}, 
   3.531244079436428*^9, {3.541814212951893*^9, 3.541814242148184*^9}, {
   3.551646775031679*^9, 3.5516468272018957`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   TagBox[
    TooltipBox[
     {RGBColor[1, 0, 0], Thickness[Large], LineBox[CompressedData["
1:eJwVxX040wkcAPC1mrylLvO2RtapXJ6c6k6dur5fLJXiN8M2b7MVJ05ptejK
pqTijiISllp68RLLvP96qDzsepKXoxeRSie98OAQ5f3u/vg8H9aeCG4wlUKh
uP3n/3P6SGnTWdZWfbeHk3MxYgyjGj0ooVPAKlYrtkkuxnHTY8Xn6Uug3y5i
hUImxi03Cq3ldEuQ3y9V2R8X45tPmqAjdDuQ6zz6fCBSjOrENqqEjjAhsPzx
XbgYGa9ftB6gc0CXfSDyrY8Ym7X8yf10EVAsbh9f9YMY6W/dfJJqD8LSBpFp
Xo8IJesVPbTeozBGMek3zhKhhfSPgZaIE3DKtuVYuKcIJyXiucK6OODOL6QG
aItQ9Z2BqaIpHqjBMeWJZwORv+CJi5ltEuxPexNMGReiIt7EmF6TDPXt7eu+
DxPil347fat7F8ArOCnhUF8ANot4i6L70uBK+gOzx3sCMGX9h5Su4XToHtIr
+vO9Px7MrpPQhjLAfqH3QGaEPzaYFfpHmiiAyTKiDfzjh0tG5xqGGNkwK1Q2
fivzw9ZXgWz1zqtAS8or2kD1w/bi04nmlUowMJEcXJToi1tYKVXvK65B2rCm
l27piwFZK/o8G3PAfeWOMl6RD47VhgZsa7kOvMj6e/vYPrhrxP5554cbYLrd
Uo/2TIC2Q/nRXlM3genwQGc4VIBnstqCuNO3AKXCk7raArzsfpL7eWkenGPu
59OUfLRW955kmOTDGk2sdify0al76LWVcQHoZqQO8Hp5aGZ6wvHJmtvg/q56
My2OhyGzml7a2kKoak01otjw8PBAyvkudhFUzwq3RzR6o37+/JBLfBWMfg2K
k0m8kWFoc+I5/w7INUNKDwtvHHUKb+myLwbGK1f3Ho0Xpj3JjkmuKgalcqxg
TOqF0a45LhUb1eBt0RzNXO2FdZrQJapaNUzuiN3EfuqJ20z1p0KcSmCi8ejh
qHhPXBkh+TjaVAJaEn5Hz0ZPxGz1uCOnFJzHvjllPsjFHHX9MupfpfA0RpTI
yuXi3oYs5zTfMqh+7PSrwo+LgXd3JX58WQa39hia/WbMxbuq++0G+8qhoyDV
da7RA/0TtBxyh8vhl4yY+p1nPPCnzdY18w5VAMPWJyB1mwdKh/WdbWcqgNpc
zaqheGCfvPETM6YS2iptXEpqOZg7IsyVzVbCSNxxgwWnOVgXVhZSHF8FPfYJ
LqFsDjLuvttxU4eEQyXvZxx1ODgjW8Do1SNhJLDLbYs2B7sdrfqtDEiwFiwv
tV/IwVuP9ibdWEoCe+fpGhsaBzd0/N16fRkJW82zWo3ncXD3127fnLUkqASB
fW+HCZTZvwq/6kGCefXtTWGtBIomp39+40mC1XOOVVALgex7zMXLeSS85Bg6
CJsI1HXxV1/xJQG7unu4jwhM9345lr2XBFnSOruttQSqpB3yy0dIiClj5zHV
BKZsmiC6okhwdRrcYHaHQOm0KYt5jISjtlGfjIoIdIgT1CnkJOjdMWlbnE/g
w9T2hYqzJNQ7r86kXSOwgP/lRWcCCZOlgYfnXyXw3DKTAkYiCWtzBVHzsgn0
us7bnZVMglZx9PRMBoEbQyLNOy+Q8LuhUjadTiDDJn3Q7CIJqRel1lNpBM4M
lt/3uUTCKuH49MQFArtLniVnZpIgv8ia+ppM4L+aXjbK
       "]]},
     RowBox[{
       FractionBox["104.`", 
        SuperscriptBox[
         RowBox[{"(", 
           RowBox[{"1", "+", "r"}], ")"}], "10"]], "+", 
       FractionBox["4.`", 
        SuperscriptBox[
         RowBox[{"(", 
           RowBox[{"1", "+", "r"}], ")"}], "9"]], "+", 
       FractionBox["4.`", 
        SuperscriptBox[
         RowBox[{"(", 
           RowBox[{"1", "+", "r"}], ")"}], "8"]], "+", 
       FractionBox["4.`", 
        SuperscriptBox[
         RowBox[{"(", 
           RowBox[{"1", "+", "r"}], ")"}], "7"]], "+", 
       FractionBox["4.`", 
        SuperscriptBox[
         RowBox[{"(", 
           RowBox[{"1", "+", "r"}], ")"}], "6"]], "+", 
       FractionBox["4.`", 
        SuperscriptBox[
         RowBox[{"(", 
           RowBox[{"1", "+", "r"}], ")"}], "5"]], "+", 
       FractionBox["4.`", 
        SuperscriptBox[
         RowBox[{"(", 
           RowBox[{"1", "+", "r"}], ")"}], "4"]], "+", 
       FractionBox["4.`", 
        SuperscriptBox[
         RowBox[{"(", 
           RowBox[{"1", "+", "r"}], ")"}], "3"]], "+", 
       FractionBox["4.`", 
        SuperscriptBox[
         RowBox[{"(", 
           RowBox[{"1", "+", "r"}], ")"}], "2"]], "+", 
       FractionBox["4.`", 
        RowBox[{"1", "+", "r"}]]}]],
    Annotation[#, 104. (1 + $CellContext`r)^(-10) + 
     4. (1 + $CellContext`r)^(-9) + 4. (1 + $CellContext`r)^(-8) + 
     4. (1 + $CellContext`r)^(-7) + 4. (1 + $CellContext`r)^(-6) + 
     4. (1 + $CellContext`r)^(-5) + 4. (1 + $CellContext`r)^(-4) + 
     4. (1 + $CellContext`r)^(-3) + 4. (1 + $CellContext`r)^(-2) + 
     4./(1 + $CellContext`r), "Tooltip"]& ]},
  AspectRatio->1,
  Axes->True,
  AxesLabel->{
    FormBox["\"Interest  rate\"", TraditionalForm], 
    FormBox["\"Price\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  ImageSize->250,
  PlotRange->{{0, 0.1}, {0, 139.99999751020403`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Prolog->{
    RGBColor[0, 0, 1], 
    LineBox[{{0.01, 0}, {0.01, 150}}]}]], "Output",
 CellChangeTimes->{{3.5311139613719482`*^9, 3.531114002967098*^9}, 
   3.53111483276547*^9, 3.531243683145359*^9, 3.531244080918356*^9, 
   3.541814242985587*^9, {3.551646814587634*^9, 3.551646827915967*^9}}]
}, Open  ]],

Cell["\<\
You have a bond with maturity: 10 years, and coupon rate: 4%. The compounding \
calculation and the coupon payment is conducted once per annually. The price \
changes according to the change of the market interest rate. The graphics \
shows the price when the interest rate is 1%.

\
\>", "Figure Title",
 CellChangeTimes->{
  3.541810260457519*^9, 3.54181279052486*^9, {3.541812823008555*^9, 
   3.541812825703792*^9}, {3.541814026861518*^9, 3.541814037458807*^9}, 
   3.541814073370026*^9, {3.541814227877393*^9, 3.54181425546172*^9}, 
   3.54252225108666*^9, {3.551646912387413*^9, 3.5516470636165347`*^9}, {
   3.5516470984420166`*^9, 3.551647191805352*^9}},
 TextAlignment->Left,
 TextJustification->0.],

Cell["\<\
A PV (Present Value) of an obligation and interest rate.\
\>", "Heading1",
 CellChangeTimes->{
  3.541810260457519*^9, 3.54181279052486*^9, {3.541812823008555*^9, 
   3.541812825703792*^9}, {3.541814026861518*^9, 3.541814037458807*^9}, 
   3.541814073370026*^9, {3.541814227877393*^9, 3.541814253516535*^9}, {
   3.5418143841282873`*^9, 3.541814411248863*^9}, {3.541991040261396*^9, 
   3.541991040512402*^9}, {3.541991152405986*^9, 3.541991152977973*^9}, {
   3.5462901788507023`*^9, 3.546290183012471*^9}, {3.551647210702242*^9, 
   3.551647259320103*^9}, {3.551647308225993*^9, 3.551647314145585*^9}, {
   3.551656557188797*^9, 3.551656561548233*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Pb", "[", "r_", "]"}], ":=", 
   RowBox[{"1000000", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", 
       FractionBox["r", "1"]}], ")"}], 
     RowBox[{"-", "5"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Tooltip", "[", 
    RowBox[{"{", 
     RowBox[{"Pb", "[", "r", "]"}], "}"}], "]"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"r", ",", " ", "0", ",", "0.1"}], "}"}], ",", " ", 
   RowBox[{"AxesOrigin", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{"\"\<Interest  rate\>\"", ",", " ", "\"\<PV of the debt\>\""}], 
     "}"}]}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Thick", ",", "Red"}], "}"}]}], ",", 
   RowBox[{"Prolog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Blue", ",", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0.01", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.01", ",", "1200000"}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
   ",", 
   RowBox[{"ImageSize", "\[Rule]", "250"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5228230495588145`*^9, 3.522823065658118*^9}, {
   3.5228231008831434`*^9, 3.5228231040187635`*^9}, {3.5295584899238815`*^9, 
   3.5295585100792103`*^9}, {3.529645649085102*^9, 3.5296456492879033`*^9}, {
   3.5296457285988116`*^9, 3.529645745868122*^9}, {3.529992905624536*^9, 
   3.5299929101769915`*^9}, 3.529993135507522*^9, {3.531114130077935*^9, 
   3.5311141516971893`*^9}, {3.531114227216589*^9, 3.5311142273587217`*^9}, {
   3.531114823214162*^9, 3.531114826034747*^9}, {3.5312440978999977`*^9, 
   3.531244103595841*^9}, {3.541814373715582*^9, 3.541814394134265*^9}, {
   3.551647266169788*^9, 3.55164730279445*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   TagBox[
    TooltipBox[
     {RGBColor[1, 0, 0], Thickness[Large], LineBox[CompressedData["
1:eJwVzn881Accx3Hs3MJV0s2PC+X7Pdw5d5MMkT4+wlqy3EXKQ7J+3TSShjad
X7HoQZyS4rIKJXZdzu8v0qRaKUQrkmI1CpP5HVGzP96P1+P539tkd6hon5qK
iornwv5v3iAV3pxksv7PpLuzsYkCPKD2xe+lTBVY/yR0i2eCAKf0o0rSmdrw
lXZKKeuYANcVyDkxzFVAI5gFFbEC7Bm4szeCaQUpMX42/0QJUJnarhbGdIby
dLqGf5gAWS872w4yvaBdKIp2DxBgC92fCmEGguPw6X3u9gJk/uW542TDIXjk
rv1vQT8fw6xlr9X7fgKp9f67fjI+GoenDLeGxkFry7mVYhEfZ8O++yRvTASF
2uCAHY2PCu4SfVlzMkStwQqTOkv0pT12NxCcBK7dg/SJg5YoS9bTZd6Qwpjv
RnsTtiVOD1kx2PWnIC2obojbw8OWwG2LJYOZ4NpyfMjtDA8zrN9kdI9mgZdC
NdtYyMNDuY1h6iPnYLXDuIfOUh42Gcj9I/VkABGO0873LFB7/FPTCCsXftBV
qEwet8C2F7tcld9cgAyG/C4NLbCj5JdUo6qL8E606Jb1PBfXmWRU91deAk/N
luHr9VzcmUMMbn2YBwN7Q0oVR7k42RC00601H2p3Zd7rdeKix5jt0643BXCE
sd2y7AMHBSNFEu8Pl+FQprcgsZaDx3Pa94rmrkDc4I6bPnEcPP9tvGhC5yo0
xUtYQ84c5Cj74ll6RWBknN6/n85Bl96Rl2zdYmivEWtcazZHA/04fGzxG0wc
9Rd1Ss1R/PFOnzpfDskvJAO1283xx+GM9G7XazCaKLa+aGiOjKLPxGd9FdCU
c7hM+MoMWct5cU99r0NK3323NLkZjrsEt3bbloDTbmnw0GEzzHycGyutLgFb
1baAOiczlGzKc6+0U8I1K2qcp2mGjXeCtBUNSpDmKlld7abops/4IHYpBbrp
iVftF0zRNDTs7XhzKdRJZueJIFN0zlVOoVcZRPh6dxXammKe8vYKtUdlIFRq
hperm+KeppwNmX7lwHVcm2nTxsZdNR6pb5+Xg5WuqOHWRTbWKG52LPm+AgLz
N9U9D2aj/wm6Q+FoBSTqH2PEOrBxrSPnhurhSkikc0M0GWwMH2VsEMxXwqUj
l7Idu0gcjHk4YBhbBebLIj1QTmLhWEBh9McqCFcPsCmOJbHxQLm4JLka6EX3
hO1bSGTV/L3xsgYFxqe1fOQkifPRNFafFgVJs+ZfvyVI7EX2EHsJBT2gcGEv
+Mr9PScLdCgI2zjlc34ViWuevWrLX0GBJH3fcKoRiZvf9/rl8SmopHn0hOqR
GG37IviCkILOBwkP1mmRGDg759SzlQKtxR0DP2uS6FpvuHTlNgoEOxOWVWmQ
qOnur/zVjwKZTp9k9SISs3yeT+buoaBBUN9opk6iIvxZzPkICvp5omXLPxGY
YT+zpfsIBbSi6dteHwkMn9M3MYxa+Nc1HJ82T6BD4vZGWQwFpa5NeppzBP5x
uuNzWRIFIXk2ZaozBBb7Tnd2naDgS75QCe8JTFuhV8xKpYDrUlMdPU2gd/62
zTlSCmAq9PXMJIF24kijrlMLTqml2y+Yxct6Z3CGArMs4ZrICQLn31Xc3HGW
Avqp1UHl4wT2lj6RZmdT8GbG7+rYGIH/AfN+LHc=
       "]]},
     FractionBox["1000000", 
      SuperscriptBox[
       RowBox[{"(", 
         RowBox[{"1", "+", "r"}], ")"}], "5"]]],
    Annotation[#, 1000000 (1 + $CellContext`r)^(-5), "Tooltip"]& ]},
  AspectRatio->1,
  Axes->True,
  AxesLabel->{
    FormBox["\"Interest  rate\"", TraditionalForm], 
    FormBox["\"PV of the debt\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  ImageSize->250,
  PlotRange->{{0, 0.1}, {0, 999999.9897959181}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Prolog->{
    RGBColor[0, 0, 1], 
    LineBox[{{0.01, 0}, {0.01, 1200000}}]}]], "Output",
 CellChangeTimes->{{3.522823066921726*^9, 3.5228231053447723`*^9}, {
   3.5295584977551317`*^9, 3.5295585108592157`*^9}, 3.5296456501615086`*^9, {
   3.5296457392068796`*^9, 3.5296457483641386`*^9}, {3.529992912433217*^9, 
   3.529992916526626*^9}, 3.5299932156705375`*^9, {3.53111414292435*^9, 
   3.531114152618188*^9}, 3.5311142278009443`*^9, 3.531114826624118*^9, 
   3.531244104389386*^9, 3.541814394989665*^9, {3.5516472892090917`*^9, 
   3.5516473034815187`*^9}}]
}, Open  ]],

Cell["\<\
Suppose that you will have to return an obligation of 1000000 JPY after 5 \
years. The PV of the oblifgation changes according to the interest rate. The \
PV at the 1% interest rate is illustrated. 


PV of the debt and a set of bonds\
\>", "Figure Title",
 CellChangeTimes->{
  3.541810260457519*^9, 3.54181279052486*^9, {3.541812823008555*^9, 
   3.541812825703792*^9}, {3.541814026861518*^9, 3.541814037458807*^9}, 
   3.541814073370026*^9, {3.541814227877393*^9, 3.541814253516535*^9}, 
   3.5418143841282873`*^9, {3.541814497526607*^9, 3.5418145202627993`*^9}, {
   3.541991041693656*^9, 3.5419910418367443`*^9}, 3.541991154768804*^9, {
   3.542522458657621*^9, 3.542522492709203*^9}, {3.5516473231154823`*^9, 
   3.5516474662637954`*^9}, {3.551647682255392*^9, 3.5516477363848047`*^9}, {
   3.5516477725714235`*^9, 3.551647823596525*^9}, {3.551656572861364*^9, 
   3.5516566054866266`*^9}},
 TextAlignment->Left,
 TextJustification->0.],

Cell["", "Heading1",
 CellChangeTimes->{
  3.541810260457519*^9, 3.54181279052486*^9, {3.541812823008555*^9, 
   3.541812825703792*^9}, {3.541814026861518*^9, 3.541814037458807*^9}, 
   3.541814073370026*^9, {3.541814227877393*^9, 3.541814253516535*^9}, 
   3.5418143841282873`*^9, 3.541814497526607*^9, {3.541991040647279*^9, 
   3.541991041580621*^9}, {3.5419911530739594`*^9, 3.5419911546693163`*^9}, {
   3.541991996668797*^9, 3.541991999829762*^9}, 3.542522307612708*^9, 
   3.542522357882106*^9, 3.542522423574974*^9, {3.5432825180606413`*^9, 
   3.543282558975244*^9}, {3.546290212781323*^9, 3.546290227704898*^9}, 
   3.5516478155877247`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Tooltip", "[", 
      RowBox[{"Pb", "[", "r", "]"}], "]"}], ",", " ", 
     RowBox[{"Tooltip", "[", 
      RowBox[{"7409", 
       RowBox[{"PV", "[", 
        RowBox[{"10", ",", "0.04", ",", "r"}], "]"}]}], "]"}]}], "}"}], ",", 
   " ", 
   RowBox[{"{", 
    RowBox[{"r", ",", " ", "0", ",", "0.1"}], "}"}], ",", " ", 
   RowBox[{"AxesOrigin", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}]}], ",", " ", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Interest  rate\>\"", ",", " ", "\"\<PV\>\""}], "}"}]}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Red"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Green"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"Prolog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Blue", ",", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0.01", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.01", ",", "1200000"}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
   ",", 
   RowBox[{"ImageSize", "\[Rule]", "250"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5312444450908823`*^9, 3.531244468418589*^9}, {
  3.541814510560688*^9, 3.541814510649806*^9}, {3.55164775353852*^9, 
  3.5516477681309795`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   TagBox[
    TooltipBox[
     {RGBColor[1, 0, 0], Thickness[Large], LineBox[CompressedData["
1:eJwVzn881Accx3Hs3MJV0s2PC+X7Pdw5d5MMkT4+wlqy3EXKQ7J+3TSShjad
X7HoQZyS4rIKJXZdzu8v0qRaKUQrkmI1CpP5HVGzP96P1+P539tkd6hon5qK
iornwv5v3iAV3pxksv7PpLuzsYkCPKD2xe+lTBVY/yR0i2eCAKf0o0rSmdrw
lXZKKeuYANcVyDkxzFVAI5gFFbEC7Bm4szeCaQUpMX42/0QJUJnarhbGdIby
dLqGf5gAWS872w4yvaBdKIp2DxBgC92fCmEGguPw6X3u9gJk/uW542TDIXjk
rv1vQT8fw6xlr9X7fgKp9f67fjI+GoenDLeGxkFry7mVYhEfZ8O++yRvTASF
2uCAHY2PCu4SfVlzMkStwQqTOkv0pT12NxCcBK7dg/SJg5YoS9bTZd6Qwpjv
RnsTtiVOD1kx2PWnIC2obojbw8OWwG2LJYOZ4NpyfMjtDA8zrN9kdI9mgZdC
NdtYyMNDuY1h6iPnYLXDuIfOUh42Gcj9I/VkABGO0873LFB7/FPTCCsXftBV
qEwet8C2F7tcld9cgAyG/C4NLbCj5JdUo6qL8E606Jb1PBfXmWRU91deAk/N
luHr9VzcmUMMbn2YBwN7Q0oVR7k42RC00601H2p3Zd7rdeKix5jt0643BXCE
sd2y7AMHBSNFEu8Pl+FQprcgsZaDx3Pa94rmrkDc4I6bPnEcPP9tvGhC5yo0
xUtYQ84c5Cj74ll6RWBknN6/n85Bl96Rl2zdYmivEWtcazZHA/04fGzxG0wc
9Rd1Ss1R/PFOnzpfDskvJAO1283xx+GM9G7XazCaKLa+aGiOjKLPxGd9FdCU
c7hM+MoMWct5cU99r0NK3323NLkZjrsEt3bbloDTbmnw0GEzzHycGyutLgFb
1baAOiczlGzKc6+0U8I1K2qcp2mGjXeCtBUNSpDmKlld7abops/4IHYpBbrp
iVftF0zRNDTs7XhzKdRJZueJIFN0zlVOoVcZRPh6dxXammKe8vYKtUdlIFRq
hperm+KeppwNmX7lwHVcm2nTxsZdNR6pb5+Xg5WuqOHWRTbWKG52LPm+AgLz
N9U9D2aj/wm6Q+FoBSTqH2PEOrBxrSPnhurhSkikc0M0GWwMH2VsEMxXwqUj
l7Idu0gcjHk4YBhbBebLIj1QTmLhWEBh9McqCFcPsCmOJbHxQLm4JLka6EX3
hO1bSGTV/L3xsgYFxqe1fOQkifPRNFafFgVJs+ZfvyVI7EX2EHsJBT2gcGEv
+Mr9PScLdCgI2zjlc34ViWuevWrLX0GBJH3fcKoRiZvf9/rl8SmopHn0hOqR
GG37IviCkILOBwkP1mmRGDg759SzlQKtxR0DP2uS6FpvuHTlNgoEOxOWVWmQ
qOnur/zVjwKZTp9k9SISs3yeT+buoaBBUN9opk6iIvxZzPkICvp5omXLPxGY
YT+zpfsIBbSi6dteHwkMn9M3MYxa+Nc1HJ82T6BD4vZGWQwFpa5NeppzBP5x
uuNzWRIFIXk2ZaozBBb7Tnd2naDgS75QCe8JTFuhV8xKpYDrUlMdPU2gd/62
zTlSCmAq9PXMJIF24kijrlMLTqml2y+Yxct6Z3CGArMs4ZrICQLn31Xc3HGW
Avqp1UHl4wT2lj6RZmdT8GbG7+rYGIH/AfN+LHc=
       "]]},
     FractionBox["1000000", 
      SuperscriptBox[
       RowBox[{"(", 
         RowBox[{"1", "+", "r"}], ")"}], "5"]]],
    Annotation[#, 1000000 (1 + $CellContext`r)^(-5), "Tooltip"]& ], 
   TagBox[
    TooltipBox[
     {RGBColor[0, 1, 0], Thickness[Large], LineBox[CompressedData["
1:eJwVkGs0lAkYgDWbnGpcVrOY8WFm3MlMW0etwtsbOVaUpShLhJrqkLSo00Zq
ibYhd5lpqh2MWE1GMb4uLk0ohaKQe+VSnAi5pGTbH895fj8PKzDMYz9FSUnJ
7Tv/WzxCRjQmsOybmMkz2QVcPEz5qbqUpgT1g0uEoflcnNE5WXKRpgEhmz+H
OORy0Tav2CyGxoRUSmDO+BUu9r2vDY6krYG7A5JVLllclPFbKOG0zfCxZfff
KvFcZPR2PD9Cc4fJVuegvEAuNi3zJUNpAfDJWrM7WJ+LtNdue5JqjsJf6Zfs
n/A5GL5W+FZ58ARYuopopAoH9SMufGgOiwXNwIGDQwlWOB++b7FYEQcPHPPv
M5WsUGqupiNsTIQW/3Pz6nGr0XtpqxOdkwRlPWxqqNJqFCZqa9Hup4CvPXVx
7owlzo6uoRpVpkFS4exQuJolNgV4qZ4ayQCbKHZ1TboFpq4dTu2eyIInt2R9
2YYWeFSkCFcevwTSpg+cZrk5NtCLfaO0hcB4GNtjt9UcNaYWG8YZIhg5XPgo
vtsMn/f4O8p+vQoNu00bd4WaYXtJPF9Pfg3e1OcknKSYoS0rtWKo/B8wloYN
tV4zRT8Be8TzqRgW+u55qNqY4nTNIb+tzblgcvVRl0mnCW6bXN/WOZwHrssr
5AcjTZAzXnhq55d8SBa/qk+hmeA5QUuwx1cJ0Kbdq5XvGePl7Wc8Pmleh7tD
5IsJP2M0kw2eYWgXQmD82Z/7VIxxS/94r5FWEQiCk510y4yQrhOLrRb/gi/n
ZpeWnxHyvtUOKlsVw8OOv0bTqUb4x4fUi92ON8BTHLdUVW6I1MIfeNneUnA+
Zpz0NNgQGassY9u8b0JWZ6YinW6IU1tCmrvXl4CzMc825zEbM1pFp1MqSuBI
VF0zL5aNp1zETuUbZNDnUv3nog0bFbWHNKQ1MtDI3OSpOc7CrTrUL7wtpcDe
U+AcV8RC47Dwd1ONpXDUz9wlbx8LN4tkM+h+CzpfTjJH9Vkolj3UpTy7BZcl
0eoVvUwMahA4ZPjcBk/0eXdIwET/O9v477pug/uzaeu3vzPxjrSqXe1gGYh6
RhzC6Ez0Pb9sY8FEGQioi02zpQZos8ns/pJj5fDJYEXfezsDjJigOnAWyiEw
o033QI0+jsQ8fU+clsOaCNVEvx36WDC5tyD6mxws3I5JBK/1UHH4Nq8ksQI6
0kxuVIboIePOgHP+chJMdXeOVS7Rw4XopYzBlSS4hWVlDC4S2I9Go0ZqJBx4
E7CP+o1AyeOgpDxNEtqHTx/xmSdw3as3z3N1SYh/cdZrbpJA17l+H7EVCcUX
Yn02DRAYvb4n5OpvJMz/mErvrSMwYP6rXZ8nCatt584vryXQsZJQN/AiwcY5
immtIHCFk6/sig8J62auV/GrCMza1TUtCiJh0f1cnV0FgdKIVzGXI0nYG6Q+
JSkkMPWXzzu6j5MQnAGKFwUERnzVYREnSYC07SRFQuDGuN0KYQwJiV/mtfzF
BNant6sIE0igPLG8RBcSWOQ929F5ngR7yccs5xwCk3W1ixh8Eib3n7h7PJvA
nbleroIUElblP4hsSydwAy9KrzPtex8nZuWyNAIZlllj9EwShkvG6qxTCFwY
K6vak01Cm0zj+v7k7/9KX6bk5JBwT94vzeQT+B9WNT/L
       "]]},
     RowBox[{"7409", " ", 
       RowBox[{"(", 
         RowBox[{
           FractionBox["104.`", 
            SuperscriptBox[
             RowBox[{"(", 
               RowBox[{"1", "+", "r"}], ")"}], "10"]], "+", 
           FractionBox["4.`", 
            SuperscriptBox[
             RowBox[{"(", 
               RowBox[{"1", "+", "r"}], ")"}], "9"]], "+", 
           FractionBox["4.`", 
            SuperscriptBox[
             RowBox[{"(", 
               RowBox[{"1", "+", "r"}], ")"}], "8"]], "+", 
           FractionBox["4.`", 
            SuperscriptBox[
             RowBox[{"(", 
               RowBox[{"1", "+", "r"}], ")"}], "7"]], "+", 
           FractionBox["4.`", 
            SuperscriptBox[
             RowBox[{"(", 
               RowBox[{"1", "+", "r"}], ")"}], "6"]], "+", 
           FractionBox["4.`", 
            SuperscriptBox[
             RowBox[{"(", 
               RowBox[{"1", "+", "r"}], ")"}], "5"]], "+", 
           FractionBox["4.`", 
            SuperscriptBox[
             RowBox[{"(", 
               RowBox[{"1", "+", "r"}], ")"}], "4"]], "+", 
           FractionBox["4.`", 
            SuperscriptBox[
             RowBox[{"(", 
               RowBox[{"1", "+", "r"}], ")"}], "3"]], "+", 
           FractionBox["4.`", 
            SuperscriptBox[
             RowBox[{"(", 
               RowBox[{"1", "+", "r"}], ")"}], "2"]], "+", 
           FractionBox["4.`", 
            RowBox[{"1", "+", "r"}]]}], ")"}]}]],
    Annotation[#, 
     7409 (104. (1 + $CellContext`r)^(-10) + 4. (1 + $CellContext`r)^(-9) + 
      4. (1 + $CellContext`r)^(-8) + 4. (1 + $CellContext`r)^(-7) + 
      4. (1 + $CellContext`r)^(-6) + 4. (1 + $CellContext`r)^(-5) + 
      4. (1 + $CellContext`r)^(-4) + 4. (1 + $CellContext`r)^(-3) + 
      4. (1 + $CellContext`r)^(-2) + 4./(1 + $CellContext`r)), "Tooltip"]& ]},
  
  AspectRatio->1,
  Axes->True,
  AxesLabel->{
    FormBox["\"Interest  rate\"", TraditionalForm], 
    FormBox["\"PV\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  ImageSize->250,
  PlotRange->{{0, 0.1}, {0, 1.0372599815531017`*^6}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Prolog->{
    RGBColor[0, 0, 1], 
    LineBox[{{0.01, 0}, {0.01, 1200000}}]}]], "Output",
 CellChangeTimes->{
  3.541814511568709*^9, {3.551647763672533*^9, 3.5516477692160873`*^9}}]
}, Open  ]],

Cell["\<\

Suppose that you will pay the obligationt after 5 yeas by the bonds. How many \
bonds are required ?  You can calculate the PV of the bond. Then the \
obligation PV devided by the bond PV becomes the answer. In this case, 7409 \
bonds are required to meet the both PVs. However, the fluctuations of \
interest rates makes a gap. To immunize against the fluctuations, namely \
remove the gap as much as possible, we will make a portfolio. 

Taylor series.\
\>", "Figure Title",
 CellChangeTimes->{
  3.541810260457519*^9, 3.54181279052486*^9, {3.541812823008555*^9, 
   3.541812825703792*^9}, {3.541814026861518*^9, 3.541814037458807*^9}, 
   3.541814073370026*^9, {3.541814227877393*^9, 3.541814253516535*^9}, 
   3.5418143841282873`*^9, {3.541814497526607*^9, 3.5418145202627993`*^9}, {
   3.541991041693656*^9, 3.5419910418367443`*^9}, 3.541991154768804*^9, {
   3.542522519228218*^9, 3.5425225300648327`*^9}, {3.5516478311892843`*^9, 
   3.5516478544056053`*^9}, {3.55164788595076*^9, 3.5516480718853517`*^9}, {
   3.551648128735036*^9, 3.551648184560618*^9}, {3.5516482221223736`*^9, 
   3.5516482354107027`*^9}, {3.551648368912051*^9, 3.5516485163487935`*^9}, {
   3.5516566419592733`*^9, 3.551656672593336*^9}},
 TextAlignment->Left,
 TextJustification->0.],

Cell["", "Heading2",
 CellChangeTimes->{
  3.541810260457519*^9, 3.54181279052486*^9, {3.541812823008555*^9, 
   3.541812825703792*^9}, {3.541814026861518*^9, 3.541814037458807*^9}, 
   3.541814073370026*^9, {3.541814227877393*^9, 3.541814253516535*^9}, 
   3.5418143841282873`*^9, {3.541814497526607*^9, 3.541814521841433*^9}, {
   3.541814558795891*^9, 3.5418145699732*^9}, {3.5516485223493934`*^9, 
   3.5516485232054787`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"PV", "[", 
    RowBox[{"n_", ",", "c_", ",", "r_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "c"}], " ", "100", 
     SuperscriptBox[
      RowBox[{"(", 
       FractionBox["1", 
        RowBox[{"1", "+", "r"}]], ")"}], 
      RowBox[{"n", "+", "1"}]], 
     FractionBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "r"}], ")"}], "r"]}], "+", 
    RowBox[{"c", " ", 
     FractionBox["100", "r"]}], "+", 
    FractionBox["100", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", "r"}], ")"}], "n"]]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{"PV1", ",", "PV2"}], "}"}], "=", 
  RowBox[{"Normal", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Series", "[", 
      RowBox[{
       RowBox[{"PV", "[", 
        RowBox[{"10", ",", "0.04", ",", "r"}], "]"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"r", ",", " ", "0.01", ",", "1"}], "}"}]}], "]"}], ",", 
     RowBox[{"Series", "[", 
      RowBox[{
       RowBox[{"PV", "[", 
        RowBox[{"10", ",", "0.04", ",", "r"}], "]"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"r", ",", " ", "0.01", ",", "2"}], "}"}]}], "]"}]}], "}"}], 
   "]"}]}], "\n", 
 RowBox[{"{", 
  RowBox[{
   RowBox[{"128.41391359210496`", "\[VeryThinSpace]", "-", 
    RowBox[{"1099.550659727247`", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "0.01`"}], "+", "r"}], ")"}]}]}], ",", 
   RowBox[{"128.41391359210496`", "\[VeryThinSpace]", "-", 
    RowBox[{"1099.550659727247`", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "0.01`"}], "+", "r"}], ")"}]}], "+", 
    RowBox[{"5679.782004068606`", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "0.01`"}], "+", "r"}], ")"}], "2"]}]}]}], "}"}], "\n", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Tooltip", "[", 
      RowBox[{"PV", "[", 
       RowBox[{"10", ",", "0.04", ",", "r"}], "]"}], "]"}], ",", 
     RowBox[{"Tooltip", "[", "PV1", "]"}], ",", 
     RowBox[{"Tooltip", "[", "PV2", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"r", ",", "0", ",", "0.1"}], "}"}], ",", 
   RowBox[{"AxesOrigin", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}]}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Interest  rate\>\"", ",", " ", "\"\<PV\>\""}], "}"}]}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Red"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Green"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Orange"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"Prolog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Blue", ",", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0.01", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.01", ",", "1200000"}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
   ",", 
   RowBox[{"ImageSize", "\[Rule]", "250"}]}], "]"}]}], "Input",
 PageBreakWithin->Automatic,
 CellChangeTimes->{{3.5228241726100135`*^9, 3.5228241760420356`*^9}, {
   3.522824261140581*^9, 3.5228243343674507`*^9}, {3.5228245149201756`*^9, 
   3.5228245155597796`*^9}, {3.5228249994174967`*^9, 3.522825017607213*^9}, {
   3.531114442463731*^9, 3.53111450654698*^9}, {3.531114845078947*^9, 
   3.531114845157113*^9}, 3.5462032968155527`*^9, {3.551648526702829*^9, 
   3.5516485377189302`*^9}},
 FontSize->8],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"128.41391359210496`", "\[VeryThinSpace]", "-", 
    RowBox[{"1099.550659727247`", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "0.01`"}], "+", "r"}], ")"}]}]}], ",", 
   RowBox[{"128.41391359210496`", "\[VeryThinSpace]", "-", 
    RowBox[{"1099.550659727247`", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "0.01`"}], "+", "r"}], ")"}]}], "+", 
    RowBox[{"5679.782004068606`", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "0.01`"}], "+", "r"}], ")"}], "2"]}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.531114422202942*^9, 3.5311146958142567`*^9, 
  3.531114779329513*^9, 3.531244499905518*^9, 3.541814690725078*^9, 
  3.551648540054164*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"128.41391359210496`", "\[VeryThinSpace]", "-", 
    RowBox[{"1099.550659727247`", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "0.01`"}], "+", "r"}], ")"}]}]}], ",", 
   RowBox[{"128.41391359210496`", "\[VeryThinSpace]", "-", 
    RowBox[{"1099.550659727247`", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "0.01`"}], "+", "r"}], ")"}]}], "+", 
    RowBox[{"5679.782004068606`", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "0.01`"}], "+", "r"}], ")"}], "2"]}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.531114422202942*^9, 3.5311146958142567`*^9, 
  3.531114779329513*^9, 3.531244499905518*^9, 3.541814690725078*^9, 
  3.551648540056164*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   TagBox[
    TooltipBox[
     {RGBColor[1, 0, 0], Thickness[Large], LineBox[CompressedData["
1:eJwVxXk01AkcAPAhU5RkGcdMo0yr2PWyHbuyan2/mFQ6fmMwM64xU3pilSYT
rRxpVeyOIhImJR2OmIz710Y8ze5TjkURTaVExUOUo3Xt7h+f92HtD+Ue1KRQ
KHv/8/+5g6S0+RzLgSeonl+IFWOwplFdKY0CUb8tPt0cI8ZJ08iSCzR9MLAM
XSOPFuO2m0VWMTRziK8tU9ieFOOrD6qA47QNMKDT+PlIuBiVsnZNCQ2h08v8
h7chYmS8fNZ2hMaBXvaR8NdeYmxZ7Esepomg3ezOyXXfi5H2eq9XUv1RmGoU
meb3iVCySd5H7T8BQxSTIeMsEa6S/j7cGnoKIm1aI0PcRfiPRLxQ1BAProuK
NP20Raj4Rs9U3pwAQwGxFbJz/sjX6nCh2yRBRNqrg5RJIcoTTIxpNcmg6Ora
+F2wEKeGNuha1F4En4NJiccG/bBFxFseNZgG8vQ6+uP9fpiy6V2Keiwdno0u
K/5zwBePZjdIqKMZYLfEczgz1Bcf0Yt8w03kQGcZUYc/+qD+p4VHo4xsmBbm
NH0d7YNtL/zZyl3XYFaWX7xZ0we7Ss7IzKpyQN9EcnS5zBu3sVKqByqvQ+aY
qp9m7o1+WWsG3ZtywW3tznJesRdO1Af5bW+9Ad7hD2sPsb1w97htZ8+7m2Cw
w3wZ9akAbUYLojxmbgHTvk5nLEiAZ7PaA7izt8FBKoxbqi3AK/viuJ8N8uE8
8zCfmsNHK2V/HMOkANapTmv3IB+dekdfWhgXwtKM1GFePw/ppqccO769A5y3
97dS43kYOK/qp64vgsq2VCOKNQ/DhlMuqNnFUDcv3BHa5Im6BYsCL/MVMD4d
EB8t8USGofWpTv5diFON5rit8sRPTiGtatsSoL9w3den8sC0juzY5OoSuJoz
UTgh9cAo11yXyi1K8FzVEsW09MAGVZC+ol4JUztP27GfuON2U92ZQKdS+NJ0
IiwiwR3Xhkref2ouBS0Jv7tviztitnLSkVMGzhNf/Wo2wsVc5cOVmn+XwZNY
kYyVx8UDj7Kc07zL4Y/HTj/Lfbjof2+37P3zcsjfb0j/xZiL9xQPuvQOVYC6
MNV1ockNfRMX2+eNVUBQRuzDXWfd8MetVjUaxyqBaePll7rdDaVjus42c5Wg
0XKfVUNxw8GYpg/M2CroqLJ2Ka3nYN64MC96vgo+xp/U0zrDwYbg8sCShGp4
Y5voEsTmIOPe2523dEgIKx2Yc9Th4Fy0FqN/GQnj/uq927Q52OtoMWShR4Kl
YHWZ7RIO3m48kHTTgASnXWdqrKkc3Nz9pu3GShIczLLajDU4uGe61zt3PQkK
gf/g6zECo21fhFxzI2H1/Tt2wW0Eiv6Z/emVOwkWnRyLgFYC2bXMFat5JHRz
DO2FzQQudfFVXvUmga3u7eM2Epju+Xwi+wAJkUkbNzjUE6iQdsdcOU5CXDk7
n6kkMMXuC6GOIMHVaWQz/S6B0llTFjOShAibiA9GxQTaxwsa5DEkrLhr0r6i
gMC/UruWyM+RUOdsmUm9TmAhf+pZTyIJlHL/sEXXCDy/0qSQISNhfZ4gQiOb
QI8bvD1ZySRolUTNzmUQuCUw3KznIglnDXOiZ9MJZFinj9AvkZB+SWo1k0bg
3EjFA6/LJFgJJ2e/XCSwt/RpcmYmCTGXWDPTyQT+C+rYOiA=
       "]]},
     RowBox[{
       FractionBox["4.`", "r"], "+", 
       FractionBox["100", 
        SuperscriptBox[
         RowBox[{"(", 
           RowBox[{"1", "+", "r"}], ")"}], "10"]], "-", 
       FractionBox["4.`", 
        RowBox[{"r", " ", 
          SuperscriptBox[
           RowBox[{"(", 
             RowBox[{"1", "+", "r"}], ")"}], "10"]}]]}]],
    Annotation[#, 4./$CellContext`r + 
     100 (1 + $CellContext`r)^(-10) - (
      4./$CellContext`r) (1 + $CellContext`r)^(-10), "Tooltip"]& ], 
   TagBox[
    TooltipBox[
     {RGBColor[0, 1, 0], Thickness[Large], LineBox[CompressedData["
1:eJwVxX040wkcAHC5KJI8tcsMdcLT4iG5e3pZtu8XS95bG+ZlskU3PEorpadD
q7zVrWuT0LRLVOLEJsYvTy+SS44cpcRILyvNyYOEUHf3x+f52OxOZO/R19PT
C/jP/xfriKT2LBvGREPZhMVeAcbrf3+vmqQHwt0ZKoMEAX4mH1WeJZlB32JB
4li8AN2uVFDTSD/A/WDycEusAF9+aI45RHKBnNHM18kxAlRJuvRFJAQX25jO
7ggBUgZ6OveRWJBwelWVzFeAjw15xF4SH7Sh5+KNqAIkvQoIO9O4H7a/zVOu
6+ejyLXwjYH2CKz0Xe6E+XxclfTrSEeiGDjvpLdr2Xz8IhJ8q2hKhwWidda8
xXysXGdKLmzPhi0VB38ey4hC7sInXhbOZ4DFaXGRjO7CwmzzlaTbUmAKbW21
EbtwatjFxO5ODqxw2XfCoSsSH/NDlqbocuF+9z/HOt0iUeb6XqYZywN/lwhd
jIqH+xVNIoPRAqie6khRU3nYalHBO2xeCDOFR27E5Uag2cS31lGKAiwnzfyM
jCOwsz+KqfK5BNaO/ZnGSeH4XJkhsa4rgrn2Kt2jwTB0s5HVv1Nfhlr7Aw2H
uGEYKV+j47QVAys81uHk/VCcbIyL3NZRAs2egYapm0LRb3zjs973V4BiHCvu
KeKi82hZStDsVfCnZ68ZN+Fiprwrhj13DcLtCzZMnwjBi4HH2Z+WXwdvXd9A
1EgwUlXa4xTzMjCLWTZzUxCMHoOjA3Yry0Ht67P1z54gtCCL3Z84/AFupnWW
NGYQCr82aw2cKuBiJilOTnDw4IjsrIZ5AzR9V4N4thw0KftOmM+thC8Keqzm
LBspKxzFz7hVME5qHvI2ZOOER0KHZqMS2mLFi8xFOzH3ieKYtF4JYpHjuU4t
C1N8i73Um1Rg9l7j5RvJwqbmOLPKRhXoH0zf4JOzA7eRTWaFHtVQcNy56llq
INonioYm2qth3Afj1rIDEBWqz+6sm6CXsmGeRfPHYtUDS/2/b0JL1vpXn9f6
YXSr3DM3vAbYAecX8L/6YNQtP8lQXw1IU3pnLw95463Ku89NY2tBuifLtbRh
O/JOGdJKx2rBm+pOUHO9cMtW6u0FB9SgDuq1OCnehkljJp7O82p4R+tTFwUz
UZfW9sHqWB20nW5wymd4Yun4rtLUr3UQX3P9k5GTBzbF1wiV2fXQmj8/BQvd
kXLrrfdVIwLuPYouVwwAzqcupGiXEOCyVnL401PAQXe7YTtTAorSazz8/gK8
9ij6zJXlBIjBoG+6DvDHF687SywJwNprS4JkgP7Tg+HFTgQ8KPqQYMwETN3Y
n3BpJwFtyYnrk8sYyP8yR3/JIcCtO3+2/RIDmXeslq0OIeC6672HdnkMNPbi
qX4PJ0AyYsbvOsHAvOC+SUU0AazoaqkTj4GVSS/SLh4i4Gng5NgbUwbKNs/s
0CQT4F1hfYdmwMCkObKN1VEC6o28Tstm6UhLD20qTCOg4EHeGhii48NzzxcV
ZhEQStvMkTfSsZw71dN7ioCWfP7qsTo6/mZpXk6REPDTZPbw9ko6BpWE+Mul
BJCVL05Oyum4SXjYujeHgOyl+ix/GR0pjnkfLc4TMB3vYFWSRcf5j7V3w/IJ
iG1hD82k0nGwult64QIBGvtfalhJdPwXlQI/kw==
       "]]},
     RowBox[{
       RowBox[{"128.41391359210496`", "\[VeryThinSpace]"}], "-", 
       RowBox[{"1099.550659727247`", " ", 
         RowBox[{"(", 
           RowBox[{
             RowBox[{"-", "0.01`"}], "+", "r"}], ")"}]}]}]],
    Annotation[#, 128.41391359210496` - 
     1099.550659727247 (-0.01 + $CellContext`r), "Tooltip"]& ], 
   TagBox[
    TooltipBox[
     {RGBColor[1, 0.5, 0], Thickness[Large], LineBox[CompressedData["
1:eJwV0Xs4VAkYBvBpJCVJmlxGKSWrVE+xqUZ8X6JUKp3DDOM2gxZdSKFdiUKi
yDU06IJUQi7hnG6qyfbkkpWt3Ckp9GhC0RbNnv54n/f5/fu+eh7+xF42i8Vy
Y/KrcwbpwIbTehaZVF3zlnAx7mPPe1jGYcGKrFB1jTAxjmmFlCRw1OC5Wpp3
X6gYN+YVGoZxFoFlEdshKkSM3QM1XkGc1SAre7xRGiTG0rgX7AAOgmC4E6wP
iJHb1dLkx7EDX95JjtBJjM+nudAHOSJInQwZ/9tEjJw3O53iHx0Cai/pFdEr
wgDjzF7Fvj9BceexsZkSEeoGnh1q9D8BZkXOmvtJEX4PEMsLpVFQGFjHdp0u
wuJlqlqZDTGweZ3j7MTT7iiY2rxFe1U8mFpUReuMuWFmjKYG534ifO01mxW7
zw3HP65W0X+QDMcO9KfyPrricxF/VuhgKsgiao/Ze7likvGHpI7hNPjqTWU5
DbjgoWxpgKIsA1ylKRYJR1ywVrvQJVgzExpMdz9pH3NGtVF5rYybDXKrGR98
TzljU6e7Vem2SyCzzXa/OMsZX5eciltQdRmWPy5YwssU4ka9JOp95RVwn1LU
4GsiRFfJ4kGyPgd+nyPHkRon/PrI19W6MReylkWrV3o44Y4R01dtH/JAwW59
jcd3R1wluxFq/+Mq1DXcDDZJd8RoyQsvYiIf8nlPpyeZO2LWrpPEF/XrENR2
4e6ZbgEalvad5GregDmXGkXUGQFa9si69DUKIMrA3NCRJ0BtrRObmpffBLW7
rF7L93z0/lnTp7iyEFwVtl6rkvDxyFBSQodVEWyN36CmZMtHlRsK3umCYig6
uCRMPoWP3LlGJ14JbkH9aNlIc7UDjloeaOwwLYG/3jo2rD3mgKnN2eGJVAn4
yO/KuRYOGLo9Z0vlulLojrRuHZ/qgNIaX7XiR6XM3x4H1Wrt0VpL5Ye3ZRm0
ds38yE6zx6X+Af2jDWXAfqPt91Bkj5hdOrbJrhwijbbW/FxjjzmlT3TY/5TD
ONoojUyzR89ayeZU4W0Y/Yz+7u0kut/ZEdfffhsmeFeDcytIvFNc/VrVpwJ6
8stThxNIdImdxrs2XAEaqrEZRn4kbjAzvD/lcCVwnmgPxe8hMXBYZfOqyUoY
VC/3LlpL4mBY/cD88CpgRY65ZOmSeG3E7drxn1XAT+k6W6NMYoyN6HA+iwKN
y+4RQYx9LorNG9kUtByVFC5lbLjdq3mREgUuMeZZ0TNILLjiK5fOpuDgyg39
26eTWGwXKFDWo6D49DSTTkUSK4pjldI3U1AS+l+K4RQSpftue5fEUFDmg5HC
bwSyVmwwu32GAvOFf/TqMLYYuq9KxVGg3HT+UOc4gZT/04rqRAoOGcxVFzMu
DmxTaMygQJRxKmDfGIEZYazLQ9cp6MjYlnPqC4F+ybYty59RYKqyq67zM4GF
ZNPNVXUUGBiV1+cxHuDww40bKBBaL/6xn7FXursBr4mCuP263d9lBDplHQ7c
1koBJ/yclMvYKj9DzWeAgoePd/70GCKQe+edzdUZNBy/Z2M2b5DAyeNTuX0z
aebP1A/tAwT2bNL/qK9Kg8RXXpfDOP+ZZ3yeOg0TxFrzNYxNWt825erQcK5N
95FdP4G233qEOStpeHevf5fkPYHHTTsPXNpDg+i5IELQS6Do+4R5N0lD7MJs
46WMrR7Mn72QT4MU2DqjbwlU3uJSelFIw/4ho9QExmkO7V+zPWmInpz4re7N
r71aw7KCaPj8+fxL2x4Ck9b/t7vjKA0rTFqUdBkHTmjpzQ+hIdiKd1jWTSAv
ylGaGUYD/usqS2b8NOW1UuZpGi5fX3y2o4vAAsF4S1ssDZ6enmG3GJ/T0Szg
xtGwbkh6I4KxfS7fVpJIw1y/d9eXMV7nHbygLZkG7t680MlOZj+jtE/a52kw
NoqKaWI8+ami2imdBuHDyPqrjHvKXiZeuEBDmn6uTQjj/wH0D8lm
       "]]},
     RowBox[{
       RowBox[{"128.41391359210496`", "\[VeryThinSpace]"}], "-", 
       RowBox[{"1099.550659727247`", " ", 
         RowBox[{"(", 
           RowBox[{
             RowBox[{"-", "0.01`"}], "+", "r"}], ")"}]}], "+", 
       RowBox[{"5679.782004068606`", " ", 
         SuperscriptBox[
          RowBox[{"(", 
            RowBox[{
              RowBox[{"-", "0.01`"}], "+", "r"}], ")"}], "2"]}]}]],
    Annotation[#, 128.41391359210496` - 
     1099.550659727247 (-0.01 + $CellContext`r) + 
     5679.782004068606 (-0.01 + $CellContext`r)^2, "Tooltip"]& ]},
  AspectRatio->1,
  Axes->True,
  AxesLabel->{
    FormBox["\"Interest  rate\"", TraditionalForm], 
    FormBox["\"PV\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  ImageSize->{332.5000000000001, Automatic},
  PlotRange->{{0, 0.1}, {0, 139.99999938969512`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Prolog->{
    RGBColor[0, 0, 1], 
    LineBox[{{0.01, 0}, {0.01, 1200000}}]}]], "Output",
 CellChangeTimes->{3.531114422202942*^9, 3.5311146958142567`*^9, 
  3.531114779329513*^9, 3.531244499905518*^9, 3.541814690725078*^9, 
  3.551648540078166*^9}]
}, Open  ]],

Cell["\<\

We would like to make an equation with a similar appearance to the \
price-yield curve. Then we use the Taylor expansion. The price-yield curve of \
the bond function (a red curve)  is expanded by Taylor series around the \
point r=0.01. The first-order approximation which   is a linear approximate \
equation is illustrated in green. The equation is the tangent line at the \
point r=0.01. Then the second-order approximation is illustrated in orange. \
The second-order approximation is more accurate than the first-order one. At \
non-neighborhood of r=0.01, a gap becomes bigger between the original \
equation and its approximation.
\
\>", "Figure Title",
 CellChangeTimes->{
  3.541810260457519*^9, 3.54181279052486*^9, {3.541812823008555*^9, 
   3.541812825703792*^9}, {3.541814026861518*^9, 3.541814037458807*^9}, 
   3.541814073370026*^9, {3.541814227877393*^9, 3.541814253516535*^9}, 
   3.5418143841282873`*^9, {3.541814497526607*^9, 3.541814521841433*^9}, {
   3.541814558795891*^9, 3.54181464952489*^9}, {3.541991043689872*^9, 
   3.541991044123761*^9}, {3.541991159058935*^9, 3.5419911592183647`*^9}, {
   3.542522682477497*^9, 3.542522683511737*^9}, {3.542522722877635*^9, 
   3.5425227254018517`*^9}, {3.551648813922548*^9, 3.5516489160917635`*^9}, {
   3.5516489862377777`*^9, 3.5516489916703205`*^9}, {3.5516490238715405`*^9, 
   3.5516490750166545`*^9}, {3.5516491122663794`*^9, 3.551649173348487*^9}, {
   3.551649220726224*^9, 3.5516492822883797`*^9}, {3.551649314441595*^9, 
   3.551649341178268*^9}, {3.5516493813672867`*^9, 3.5516494391420636`*^9}, {
   3.551649475839733*^9, 3.5516494814712963`*^9}, {3.5516495257207203`*^9, 
   3.5516496277809258`*^9}, 3.551655755400626*^9},
 TextAlignment->Left,
 TextJustification->0.],

Cell["\<\
Making a porfolio from three kind bonds.\
\>", "Heading1",
 CellChangeTimes->{
  3.5462902863609047`*^9, {3.5516558151456003`*^9, 3.5516558634594307`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"PV", "[", 
    RowBox[{"n_", ",", "c_", ",", "r_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"i", "=", "1"}], 
      RowBox[{"2", "*", "n"}]], 
     RowBox[{
      FractionBox["c", "2"], " ", 
      FractionBox["100", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", 
          FractionBox["r", "2"]}], ")"}], "i"]]}]}], "  ", "+", 
    FractionBox["100", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox["r", "2"]}], ")"}], 
      RowBox[{"2", "n"}]]]}]}], ";", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PV", "[", 
       RowBox[{"5", ",", "0.03", ",", "r"}], "]"}], ",", 
      RowBox[{"PV", "[", 
       RowBox[{"10", ",", "0.04", ",", "r"}], "]"}], ",", 
      RowBox[{"PV", "[", 
       RowBox[{"12", ",", "0.06", ",", "r"}], "]"}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"r", ",", " ", "0", ",", "0.1"}], "}"}], ",", " ", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], ",", " ", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<Interest  rate\>\"", ",", "\"\<PV\>\""}], "}"}]}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Red"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Green"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Orange"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"Prolog", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Blue", ",", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0.02", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0.02", ",", "200"}], "}"}]}], "}"}], "]"}], ",", 
       RowBox[{"Inset", "[", 
        RowBox[{
         RowBox[{"Panel", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<Bond1\>\"", ",", "7"}], "]"}], ",", 
           RowBox[{"Background", "\[Rule]", "LightRed"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.03", ",", "90"}], "}"}]}], "]"}], ",", 
       RowBox[{"Inset", "[", 
        RowBox[{
         RowBox[{"Panel", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<Bond2\>\"", ",", "7"}], "]"}], ",", 
           RowBox[{"Background", "\[Rule]", "LightGreen"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.03", ",", "120"}], "}"}]}], "]"}], ",", 
       RowBox[{"Inset", "[", 
        RowBox[{
         RowBox[{"Panel", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<Bond3\>\"", ",", "7"}], "]"}], ",", 
           RowBox[{"Background", "\[Rule]", "LightOrange"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.03", ",", "140"}], "}"}]}], "]"}]}], "}"}]}], ",", 
    RowBox[{"Epilog", "->", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Inset", "[", 
        RowBox[{
         RowBox[{"PV", "[", 
          RowBox[{"5", ",", "0.03", ",", "0.02"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.02", ",", 
           RowBox[{"PV", "[", 
            RowBox[{"5", ",", "0.03", ",", "0.02"}], "]"}]}], "}"}]}], "]"}], 
       ",", 
       RowBox[{"Inset", "[", 
        RowBox[{
         RowBox[{"PV", "[", 
          RowBox[{"10", ",", "0.04", ",", "0.02"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.02", ",", 
           RowBox[{"PV", "[", 
            RowBox[{"10", ",", "0.04", ",", "0.02"}], "]"}]}], "}"}]}], "]"}],
        ",", 
       RowBox[{"Inset", "[", 
        RowBox[{
         RowBox[{"PV", "[", 
          RowBox[{"12", ",", "0.06", ",", "0.02"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.02", ",", 
           RowBox[{"PV", "[", 
            RowBox[{"12", ",", "0.06", ",", "0.02"}], "]"}]}], "}"}]}], 
        "]"}]}], "}"}]}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "300"}]}], "]"}]}]], "Input",
 PageBreakWithin->Automatic,
 GroupPageBreakWithin->Automatic,
 CellChangeTimes->{{3.522814530853489*^9, 3.522814657807103*^9}, {
  3.5228147009413795`*^9, 3.522814711331046*^9}, {3.522814870639267*^9, 
  3.522815063489813*^9}, {3.522815458970058*^9, 3.522815465724901*^9}, {
  3.5299921623972206`*^9, 3.5299921991939*^9}, {3.5299991192728715`*^9, 
  3.5299992338063235`*^9}, {3.5299992872486677`*^9, 3.52999928777672*^9}, {
  3.531115117064745*^9, 3.531115158505108*^9}, {3.531115217926063*^9, 
  3.5311153113889923`*^9}, {3.531244796221002*^9, 3.531244802292816*^9}, {
  3.5312456605856323`*^9, 3.531245799558672*^9}, {3.53124584675935*^9, 
  3.5312459557689037`*^9}, {3.531582247183576*^9, 3.531582261509801*^9}, {
  3.54196916731248*^9, 3.541969195738373*^9}, {3.551655775409627*^9, 
  3.5516558036424503`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[1, 0, 0], Thickness[Large], LineBox[CompressedData["
1:eJwV0Hs0lAkYx3FrESVZOy4zyCq1dHGKc+j+PK5HSZd37uOVadMqm5jCxqKc
ZaPcm81lqJBbq8mIMW8dyqLWnKTSIiYkt8ZGumkVdvaP5zzn89/vfG1/CCMO
a2tpaflp7v9frKYi2s/a7qC/D/i8cIfEEG3TuzU0Lbj9V8WiN40kfrSIqc6g
GcOjTSdtBhtI3Ha1yj6e9h2I7yWK7t4mceBVa1AkbQNE5p2/nFBPoiz1ibaI
htDvWr1C7waJjP6ex8dp++BYUU6T+SUSH+qRVChNCGXr9D0DYkmkvfDjpzWF
g0nMSHK3M4kiJ8lL3ZFTQA/jN/a/8cflEedfd4SdAb/VqT2jN/xxVnRwoao5
EUaDEgo3hPij1MHIQtKeDJ2jTHGXgz9ydTq96Y5p8HGj4qRqWICSZHMzWkMm
HIhcHj5WJMCZiQ2Gdo3ZkJutvLA8SIAPhZylsWoxtJxwmuixFWCW01iWavoi
yEmzmrJhPoYXNot0p3IhYn+MtU8lH5X0KjLKXALaL6KXpB/lo/G7BeUUoxBy
Z0N5tx35+Ph5oKds52X43jKpoGKKh93VSanW9VdgeMvSyNAaHm6zzVKMyovg
T2BunozmYUD+CjXzQTEUkmN6e7fz8EPT0QCvjhKIarf6ka3LQ9+3Ll29Y1ch
9qmshd3GRcepyljW51LgEtZM0wwu/pb/JIj4Uga/vg8i9vO5WLAngXhvUgHn
rq8pKbXhor1sJIFhXgk84YGtB9UcdB+c6rczuwYvlTqVMjkH6RZn3DrX/AHB
RQp919McDJ5vHdFdXwXZK72m5nw5ePJ1VobK8zqo0pjCb0w5aFj5dXAOVwo5
lX30hgE2Mr5de6aLewMWdiVbJUnZ+M79WIfKpRocdDp21EWzUdxZeDpTUQ2f
nuQkTPqwMXZXsbfcVQY36d21eXQ2NrceNZY2yWBS4Uq7P8pCLwvDz8HuNbAp
uTmwr56Fq8JE4+/aa2CmaGbP2SQWYqHso9u+m7DayGJ+EZeFxbIWS+1HN0Fo
E+0w7sDCQ8p8D7GgFiCltvTUv0wMvOWbOt5XC/Oz58MbHjDxlvROt9GROpiT
dw7dK2AimaK3pXy6DqIU0T1Ox5m4eat9w1cn5ODKL7Vw9mBixLShh+OcHEwW
epXLTJmojn/wyup0PQgs1XvC1QSWvz1QHjdfD1WrdwaaNBHYHFIbXJ2sAIMh
fbJcTCDj1rBPqQEFsaO8huKfCJyL02GMLKFAbOqX9E8IgYNudhN2RhRIVaFs
F43L2g6lXTWh4O4FZyPlEQKdnw09LrGkwHN3y4vpwwTu/jQoKF5PQfbGK8Ye
QgLjXJ4fu7yfAolX6LkJFoHC2S/bB5gU2Lau5bpo7NlotcyGQ8HEa4N1CUwC
F3uTsksCCmYurZw0Iwi8yO77UHiIAuHmpk73vQRKI57FF0RS4O7ia1ewk8Cs
Tf/uVf2ssfbTE2M+BEZ8sbC1iqEgXT+qzUnjLYm8Zkk8BfP2Ohlt3gTev9C9
SHKWgpC47b/MeBB4jTvT05tCQeNA4mIPjdMtza8xUil45T1UlO5OIKuEszs/
U9Mn5fn4KjcCXYOjrHuzKXiYE5MrQk2/tRcn6b9rbLxuXwNo+k3W3eHnaPan
TS8z0Hiw5u/MvDwKuiqU3awdBP4HXUJDsg==
     "]]}, 
   {RGBColor[0, 1, 0], Thickness[Large], LineBox[CompressedData["
1:eJwV0Hk41AkYwPEhbIfUasoYaqNRUsnG00H1vnJsm+PHGMOMwUzHM10adqfs
4yZFrWNIlzESUUnTjFw/T6rZIbtWuQplkjYq2nic5Sjb/vF9vv9/zPaKmAe0
KRSKx7f+f/4AKX6cZLbzo2Pr1GysAA9rL31YSqXAveIUneYYAU7QIhTp1MUg
c9ZdnRctwO3XSixjqCvB3XCtAiMF+Kq/bv9xqg188pzzOuGEAJUprdphVIQN
t5zvLggRIL27s+UY1Qt8zIz0N3IF+ESPR4ZQ+dAxIlp5z06A1NcenFRVKNRe
vk3W9/IxbJP0jW7fb1Bsca7/qpSPK8S/f2wSxYEt7cBDD18+ToUJZkvUicDP
du5Kms9H+VoDmvRxMjyyzuXuTglGP502V2PrVDjMtGHrTQehNNloGbVGAuGr
raoDREH46YONPuN+Jhh0CXyLhgLxCZ+9MGogC5r3ikL7hYGYseldhmb4Arwt
XGNX+YGHoTJ1mO7QJdhpkzvuKuZhg3EJ74SRFEZ+/NNu23gALh6dbRiiy6CT
OT1GiQ/AlpfBzsqfr4CmxExyUjcAOxSnUpZX5sHEpbXaD9K4uN0so+ptxVWI
XKGSmptzMTDbfMCnMR8S0p/z8uUcHFcdCnRpKgCx1sJVw84cdBvZ3P7i3TWI
2NJfduupP1oP3YxiTRdCgLfW15KD/ng6u3U/c6YIjk0mtvfo+mOOZzxzzPAG
TLF+suzM8UNLZV883egmlKWdlSi3++GunqFuxrJiOIiqRJseNhrT4hzbrG7B
GopbpTqajcKvdX26G0rgj1IHimIVG3/9mJGucb4NzfOMOkbVvqh/c47wop8c
rJy6G9uFvkhfsi6u3e8OvK8Zy0tf4ouju442aTYroGoHug6QLMxqk8VKqhQg
03rj0SFkYdSefNeKLUrIuj/prqGxUF13aLFcpQTZ2aKM+lofdKHpTwt3lUIm
L299a7gPWojC3o8+LoVlW68umrHwQZQpJxy97oIJ+4b53C4m5itrTbSb70J/
bWJ0byYT9zVkO2Vxy0CXschghSsTg6vdUt53lUF67t9pLbPeWC1/0GFwsBw8
v1+lWVrujbwzevbXh8shWRIyaBHijdscLGu0fqmAYwl1s27rvFE8rO9k/aUC
JlSMPoc+LxyIaew3ja0EB0dTgUGhF14fCboe/bUSIp9m3XYReqH6cJlQkVwF
mldHj0RaeCG9und34TwSzm50nwxvJfBLtA69bwEJ9S17Xu9tJrDHkfGBYUCC
SMUf83hCYNFf+1KvGZLQ6KaWMhoItH3+T0uBCQlbxZ8H21QEun/u4eZvIMEw
pqnAXklg9OaXR694k8CJKFpvKSGQPzWz45UPCbNvbENpaQQ63zdd9AObhLTg
4O65KQTOd+Upc7kktEXF2w8kEXjBt2tcto8E84nkYXksgXLx85ic4yTEYYAf
igjM2DpJaMJJsLqj52QbQqB4hmZmGkGCG53KWX2EQPtEf7U0hoTSf110FgoJ
rD/X8Z00iYSVj3LYmiACi/0+db44Q0IzZyirmUdgmolRMT2FhF7K6S+1XAJZ
BWz3bAkJYmmoh5xN4BbhieUvMkkYodXYFbAIpK+7MGh8noRnNTtdLzG/+Q2W
P+BcJGG4aTg+1eubX+kzyeXLJJw63/ouwZPA/wCKsER5
     "]]}, 
   {RGBColor[1, 0.5, 0], Thickness[Large], LineBox[CompressedData["
1:eJwV0Gs0lAkcx3Hrkq0kpyZjBkmrTW5Hdg+W+P9dd11SPTMGY2LGGFO2kkiR
GepIHBRWKpOtRYlkjdweZ1N2SmWTTEoxSsrSdEE0TUJrX/zO9+XvnI95VBwh
0NTQ0Ni8sP9bpiQTu46Zu4dZT6i/pgkwVnPVjXqKBjQotEQ8sQBVRil1JygG
MBTD+V6WKsBNFTWWYsoasDvcNZaZLMDnr29F76fYw2dvfxuDBAFKc+Wa8RQE
B9WR6g0xAqQ/e9Kzh7IVKKrLsQcDBXh/EYfcTeHCzQmlfQZNgJQXm8Py2vdC
ynDvy5maaIx3kLzUGTkILdUR72f9onF1Ys677rh0WKaVU2T4ho8z8byvNbIM
uKIM8hBn8rF2g76RpCsL/AMzlsus+Bii/dCXZpcH7mkpvWV3o1CSRTWkXMsH
A3WjbfauKPz0xl7Poq0QpnOGlZXUKLzPZS1LVRaBc3enecM1HhY4jBYoJouB
+Hv/+opfebi3VBavM34ahupVgZMmPOyk1XCSqBL4HJThduAuFw2mvnaO00uh
1VsvjiHiYs9gpLfU7xwQIueLlTZc7Ks7mmvafB78+sUdp9oicZN5Qcu/TX/A
7bNarekbI3F7yVol414Z1Kvd2l9IIvBj+87tPt3loOnfVBG2MgIDPjg+7h+t
AE8djWbyyHa0G69KZX65ANO889qaag5mlsijidmLQNXODk5I5uDZoMPE9IpL
4Mfes9tnKhwtpSOH6dQq8BWyeB0Hw9FzaPyZhWE1WOXEPHXRCkeaUbrHQ6vL
oG0csEWcyUbh/K0RHdsaWOu09EE5hY0J7wpOKLyvgGOjr2xaEoZ6VVrCUyG1
IN8W6bneMgzpK63TH4f8CW9tCsqS20JxynNXt8KxDhT75E7hQaFY9LA0Lb+l
DswEcyr1aAim+pf5NjlJYW7DybS6oyEou7XToLZdCkWZchFhGoI+RnpfhJ71
YJp1x3JxGwvXxcWPTXXVw9F8VrsqlIVYKlV5bL0Kli/H6Odng7FMetNY88FV
cK9VvFaVByO/s8SriN0Arvp9Hx/5BGNka0Du2EADuLnNcwfGmdhae71Pf0cj
FNYMbLxSxERO9iKXyslGiNW9QV/jxsSfXC2vfbOvCeYk6cXW7xiYOKnnZTfX
BF6GbLfNpxmoFN97bZLWDJc6ks61+TOw8kNEpWi+GRw8ou1Ag4Gy2AZhXVYL
pJosS6ZJCaS3vvrlwmISXFx1xu7sIHBOpE0fWUqCw0QOM1tI4JCHxRsLfRJ6
4rSf+cUQePEuP69iBQkNq67//A+fwB+eDveUG5Owau7bpO4IAgPVQ+wyWxIG
A7mug0wCRY6Du85tI0FMa2LqexDInZl1e84gQTfqfpgcCPRuM1luxiJhp8+h
Q8XuBC7x5Uh/Z5MwEXCMYraJwOLggY+lfBIMEqilG50IrE18Kj67f+F/SaEO
x5bAAufPWxQHSJi9fEZubkNg4qyRuUkKCYo7un+NWhHokhEqk4hJ2KZe+irB
ksDbv/XpSo6R0NvLz8r7jsDqkE9P+rNJ+PFTkDNzLYHHjanV9FwSiPJsbWNz
ApnlrMCSfBIerBuevLSaQCdhkml/IQkir5kVe00X/KyL39NOkpCazNrqZLLg
977xetgpEuzfTlXN0xf86h/lnzlDAvtGt1kHjcD/APkkO/s=
     "]]}},
  AspectRatio->1,
  Axes->True,
  AxesLabel->{
    FormBox["\"Interest  rate\"", TraditionalForm], 
    FormBox["\"PV\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  Epilog->{
    InsetBox[
     BoxData[
      FormBox["104.73565226535085`", TraditionalForm]], {0.02, 
     104.73565226535085`}], 
    InsetBox[
     BoxData[
      FormBox["118.04555296627046`", TraditionalForm]], {0.02, 
     118.04555296627046`}], 
    InsetBox[
     BoxData[
      FormBox["142.48677451525572`", TraditionalForm]], {0.02, 
     142.48677451525572`}]},
  ImageSize->300,
  PlotRange->{{0, 0.1}, {0, 171.99999663265297`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]},
  Prolog->{
    RGBColor[0, 0, 1], 
    LineBox[{{0.02, 0}, {0.02, 200}}], 
    InsetBox[
     BoxData[
      FormBox[
       PanelBox[
        StyleBox["\"Bond1\"", 7, StripOnInput -> False], Background -> 
        RGBColor[1, 0.85, 0.85]], TraditionalForm]], {0.03, 90}], 
    InsetBox[
     BoxData[
      FormBox[
       PanelBox[
        StyleBox["\"Bond2\"", 7, StripOnInput -> False], Background -> 
        RGBColor[0.88, 1, 0.88]], TraditionalForm]], {0.03, 120}], 
    InsetBox[
     BoxData[
      FormBox[
       PanelBox[
        StyleBox["\"Bond3\"", 7, StripOnInput -> False], Background -> 
        RGBColor[1, 0.9, 0.8]], TraditionalForm]], {0.03, 140}]}]], "Output",
 PageBreakWithin->Automatic,
 GroupPageBreakWithin->Automatic,
 CellChangeTimes->{
  3.531245807506792*^9, 3.531245855718299*^9, 3.531245892645702*^9, {
   3.5312459334022017`*^9, 3.5312459563666763`*^9}, {3.531582265511918*^9, 
   3.53158227499312*^9}, {3.5419691710981913`*^9, 3.541969196415325*^9}, 
   3.551655808203906*^9}]
}, Open  ]],

Cell["\<\
We would like to make a portfolio. Suppse that there are three kinds of bonds \
available which are Bond1, 2, and 3. At first we shall illustrate three \
price-yield curves of the bonds. Suppose that all bonds have the same yield \
to maturity value 2% here.

A PV-yield curve of the obligation.\
\>", "Figure Title",
 CellChangeTimes->{
  3.541810260457519*^9, 3.54181279052486*^9, {3.541812823008555*^9, 
   3.541812825703792*^9}, {3.541814026861518*^9, 3.541814037458807*^9}, 
   3.541814073370026*^9, {3.541814227877393*^9, 3.541814253516535*^9}, 
   3.5418143841282873`*^9, {3.541814497526607*^9, 3.541814521841433*^9}, {
   3.541814558795891*^9, 3.541814636969993*^9}, {3.541814710574153*^9, 
   3.541814714438092*^9}, {3.5418148162190104`*^9, 3.541814849947123*^9}, {
   3.5418149574114513`*^9, 3.541815127709384*^9}, 3.541815170706318*^9, {
   3.5418152533420563`*^9, 3.5418152570398006`*^9}, {3.541815445537537*^9, 
   3.541815456062772*^9}, {3.541815686153945*^9, 3.54181576594291*^9}, {
   3.541818162106352*^9, 3.541818185991667*^9}, {3.5418187579544363`*^9, 
   3.5418187596980047`*^9}, {3.541818808671074*^9, 3.5418188449015923`*^9}, {
   3.541819230267544*^9, 3.5418192700161247`*^9}, {3.541819436835663*^9, 
   3.541819442451579*^9}, {3.5419910581366463`*^9, 3.5419910582900953`*^9}, 
   3.542524967303486*^9, {3.5516558804781327`*^9, 3.551656176767759*^9}, {
   3.551656797021778*^9, 3.5516568536624413`*^9}},
 TextAlignment->Left,
 TextJustification->0.],

Cell["", "Heading1",
 CellChangeTimes->{
  3.541810260457519*^9, 3.54181279052486*^9, {3.541812823008555*^9, 
   3.541812825703792*^9}, {3.541814026861518*^9, 3.541814037458807*^9}, 
   3.541814073370026*^9, {3.541814227877393*^9, 3.541814253516535*^9}, 
   3.5418143841282873`*^9, {3.541814497526607*^9, 3.541814521841433*^9}, {
   3.541814558795891*^9, 3.541814636969993*^9}, {3.541814710574153*^9, 
   3.541814714438092*^9}, {3.5418148162190104`*^9, 3.541814849947123*^9}, {
   3.5418149574114513`*^9, 3.541815127709384*^9}, 3.541815170706318*^9, {
   3.5418152533420563`*^9, 3.5418152570398006`*^9}, {3.541815445537537*^9, 
   3.541815456062772*^9}, {3.541815686153945*^9, 3.54181576594291*^9}, {
   3.541818162106352*^9, 3.541818185991667*^9}, {3.5418187579544363`*^9, 
   3.5418187596980047`*^9}, {3.541818808671074*^9, 3.5418188449015923`*^9}, {
   3.541819230267544*^9, 3.5418192700161247`*^9}, {3.541819436835663*^9, 
   3.54181946775001*^9}, {3.541819499761126*^9, 3.541819520224223*^9}, 
   3.541991059705117*^9, 3.5419911872296343`*^9, 3.546290314743*^9, {
   3.5516561375168343`*^9, 3.5516561388129635`*^9}, 3.5516568569047656`*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Pb", "[", 
    RowBox[{"r_", ",", " ", "n_"}], "]"}], ":=", 
   RowBox[{"1000000", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", 
       FractionBox["r", "2"]}], ")"}], 
     RowBox[{
      RowBox[{"-", "2"}], "n"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Tooltip", "[", " ", 
    RowBox[{"Pb", "[", 
     RowBox[{"r", ",", "5"}], "]"}], "]"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"r", ",", " ", "0", ",", "0.1"}], "}"}], ",", 
   "\[IndentingNewLine]", " ", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1000000"}], "}"}]}], ",", 
   RowBox[{"AxesOrigin", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}]}], ",", " ", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Interest  rate\>\"", ",", "\"\<PV\>\""}], "}"}]}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Thick", ",", "Red"}], "}"}]}], ",", 
   RowBox[{"Prolog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Blue", ",", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0.02", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.02", ",", "10000000"}], "}"}]}], "}"}], "]"}]}], "}"}]}],
    ",", 
   RowBox[{"Epilog", "->", 
    RowBox[{"Inset", "[", 
     RowBox[{
      RowBox[{"Pb", "[", 
       RowBox[{"0.02", ",", "5"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.02", ",", 
        RowBox[{"Pb", "[", 
         RowBox[{"0.02", ",", "5"}], "]"}]}], "}"}]}], "]"}]}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "250"}]}], "]"}]}], "Input",
 PageBreakWithin->Automatic,
 GroupPageBreakWithin->Automatic,
 CellChangeTimes->{{3.522815895273655*^9, 3.522816004505555*^9}, {
   3.5299996174296823`*^9, 3.5299996252934685`*^9}, {3.53000000924586*^9, 
   3.5300000097499104`*^9}, 3.5300002914990826`*^9, 3.530000414656397*^9, {
   3.531115378467462*^9, 3.531115547272286*^9}, {3.531244808898334*^9, 
   3.5312448135338306`*^9}, {3.531245992236061*^9, 3.53124599510166*^9}, {
   3.54196922663759*^9, 3.541969246038059*^9}, {3.551656149927075*^9, 
   3.551656159831065*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   TagBox[
    TooltipBox[
     {RGBColor[1, 0, 0], Thickness[Large], LineBox[CompressedData["
1:eJwVkHs0lAkchlG6LbKazJi023wGg0xWuypdfn6uFUo3NrkVu0JhatLFZNi1
xdlJyGqboTbEJtkZufTNWbcmKSWXSaJxq6ZxCQmRVDv7x3ve8/zxnvOeh3Eg
audPWhoaGp7q/N85gyS38Sxj05Oz92b4iWwM11paU0LRgLXStm2ev7LxPe2U
+DxFH/IfEmL6L2zckFfEiqOsgH4drrCMz8aegbqQYxQbOJPRp/vmFBslglYt
DsUBQqz8o/Zx2EjvftYSSfGC5JpYmnMAGx/P8yMPU4LgyEFR74a1bKT0ee49
VxsNW7d/Mea9tkaOreiltvIEuEc0k5oia/yG+/twU1Q8FLy9m9u4wxpnOPu/
FMkSYcRwZoHrHGssttCjiRqTQMmOzHokXYk+c+WuRuxzMJHuEk4cXomiJKoh
pTIVVj1zdJIxVuLUkI0OsyodNuteHrZXWOHjIG9d3mAGuDkG+hSmWWGarSpN
MZYJ8qGppU88rDA6W8bRHv0Tjro5KBYvssIGoyK/GKoIDkRmi8LuWKL++JeG
UXo2WE4deLs13hJbugKdJVuugGb6h5qwdZbYLv5NsLziL3hOLtK+MmGBGxhp
t1+XXwXOmuMdFmUW6C8kBnc9ygGVh+GYIccCJ2vD/F2ackFY/3MX2Fqg+zu7
p52qPNhnbyLvH2Ehe/Q6b/fHa9CsmWAguMnCM8LWkJ2z+RBgLW1bz2Fh1raE
nRMGf8P61W77U2xYyJIoE+jU6/Be2UZtmzBHx97RbqZhIXQuSPFXSs3RiBaP
cssbIP/O3Y7kmWPo5zqltnURqIZrWvc4mePR4bTzCueb8EPz5MIWbXPUuT4n
9KJPMdzJSrhp1GCG9CVW8U99/oGiUtFmjQtmOO54qElhJ4bpV3n6Sh8zzJBn
81Nvi+FF5cmHOxhmyNua41q+RgJTW9z6At+YoqwuTL+4VgKyaHIs+ZYputB0
PoY6lsDGheNFFL4pmkZx+scbS6A34s07uaspOmRL3qPXLfCnn5nbY2CKOZK7
y7Sab4H7RoFNTC8TgxuEThm+pXD1Q8zygEImBkrdBf3PS6FeN1p46AQTpcXV
7XoHy0BhYGf00pGJfsnz7AvGyoB7NIUyoMfEdetZlZpHyuGil0r5ttsEuWM6
TuxP5eBEzXkde8MEB+MeDRjzK4CkjLVPxppgwbuAgtOfK+Apx5vb4WmCsvDS
UHHSbYhwrhrca2yCdOmrzdcWkkDbRM0sGCHw0+m5dOVXJPC6TmYphgnsReYQ
U4+ERrZd0ddqzn8QfC7PgATKPKkqdojA1R0vWnKXkZAR1PfYq59Aj+le3xxr
EqrzXfxn+wg8bdd16MoOEjrbjI/7thEYNDO7sWcXCR0rGgtSnxDoXGW8+Ftv
EpYw7vfdkxO4yNVPctmXhIjgLM7qVgIz9zyfzA4moa5HrKHbRGAxtyMu6xgJ
D7YxFLX3CUxb+2G74jgJNTPOV6frCeTO0hjGp9R71Y2oVWq2T/xRJoojISkf
Wdl1BNZfaJ8vOkvC/gr+gpN3CCz0mXrWmUyCbYiYKq4lMGUZtZAuIKH50gob
VQ2Bu3O9PYSpJMy/W8nbU03gmtCY5Z3pJEw3DIgFVQTSrTJHjP4gIZK/a0RW
qfY3Ula99yIJWeEz33/8V+2vpC310iX136XdibZq/g/dg0TF
       "]]},
     FractionBox["1000000", 
      SuperscriptBox[
       RowBox[{"(", 
         RowBox[{"1", "+", 
           FractionBox["r", "2"]}], ")"}], "10"]]],
    Annotation[#, 1000000 (1 + Rational[1, 2] $CellContext`r)^(-10), 
     "Tooltip"]& ]},
  AspectRatio->1,
  Axes->True,
  AxesLabel->{
    FormBox["\"Interest  rate\"", TraditionalForm], 
    FormBox["\"PV\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  Epilog->InsetBox[
    BoxData[
     FormBox["905286.9546929835`", TraditionalForm]], {0.02, 
    905286.9546929835}],
  ImageSize->250,
  PlotRange->{{0, 0.1}, {0, 1000000}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], Automatic},
  Prolog->{
    RGBColor[0, 0, 1], 
    LineBox[{{0.02, 0}, {0.02, 10000000}}]}]], "Output",
 CellChangeTimes->{{3.522815997048707*^9, 3.522816005004758*^9}, 
   3.529999627819721*^9, 3.530000010968032*^9, 3.5300002930312357`*^9, 
   3.5300004166505966`*^9, 3.5300009076786942`*^9, {3.531115450707629*^9, 
   3.5311154715478163`*^9}, {3.5311155258140173`*^9, 3.531115549366232*^9}, {
   3.53124481430945*^9, 3.531244826355167*^9}, 3.531246000743506*^9, 
   3.531246224782152*^9, 3.531246742944901*^9, 3.541969246708292*^9, 
   3.551656160487131*^9}]
}, Open  ]],

Cell["\<\

The target obligation PV curve is illustrated. The PV changes according to \
the fluctuation of interest rate. To immunize against the fluctuation, we \
would like to make a potfolio of which PV values are similar to those of the \
obligation around the current interest rate 2%.
\
\>", "Figure Title",
 CellChangeTimes->{
  3.541810260457519*^9, 3.54181279052486*^9, {3.541812823008555*^9, 
   3.541812825703792*^9}, {3.541814026861518*^9, 3.541814037458807*^9}, 
   3.541814073370026*^9, {3.541814227877393*^9, 3.541814253516535*^9}, 
   3.5418143841282873`*^9, {3.541814497526607*^9, 3.541814521841433*^9}, {
   3.541814558795891*^9, 3.541814636969993*^9}, {3.541814710574153*^9, 
   3.541814714438092*^9}, {3.5418148162190104`*^9, 3.541814849947123*^9}, {
   3.5418149574114513`*^9, 3.541815127709384*^9}, 3.541815170706318*^9, {
   3.5418152533420563`*^9, 3.5418152570398006`*^9}, {3.541815445537537*^9, 
   3.541815456062772*^9}, {3.541815686153945*^9, 3.54181576594291*^9}, {
   3.541818162106352*^9, 3.541818185991667*^9}, {3.5418187579544363`*^9, 
   3.5418187596980047`*^9}, {3.541818808671074*^9, 3.5418188449015923`*^9}, {
   3.541819230267544*^9, 3.5418192700161247`*^9}, {3.541819436835663*^9, 
   3.54181946775001*^9}, {3.541819499761126*^9, 3.541819524704187*^9}, {
   3.5425257809590282`*^9, 3.542525781726807*^9}, {3.551656198495931*^9, 
   3.5516563543815184`*^9}, {3.551656875039579*^9, 3.55165695765884*^9}},
 TextAlignment->Left,
 TextJustification->0.],

Cell["\<\
We selected bonds 1 and 2 for the portfolio.Then we made simultaneous \
equations: one equation to meet PVs, and another equation to meet the \
Macaulay durations. Solving the set of equations, we found that the portfolio \
consisted of 7938 bond1s and 626 bond2s. \
\>", "Heading1",
 CellChangeTimes->{
  3.546290366587557*^9, {3.551657015636637*^9, 3.551657095727646*^9}, {
   3.5516571380328755`*^9, 3.551657239333005*^9}, {3.551657308118882*^9, 
   3.551657312239294*^9}, {3.551657350960166*^9, 3.5516574485799274`*^9}, {
   3.551657482198289*^9, 3.5516574824053097`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Tooltip", "[", 
      RowBox[{
       RowBox[{"7938.1", " ", 
        RowBox[{"PV", "[", 
         RowBox[{"5", ",", "0.03", ",", "r"}], "]"}]}], "+", 
       RowBox[{"625.9", " ", 
        RowBox[{"PV", "[", 
         RowBox[{"10", ",", "0.04", ",", "r"}], "]"}]}]}], "]"}], ",", 
     RowBox[{"Tooltip", "[", 
      RowBox[{"Pb", "[", 
       RowBox[{"r", ",", "5"}], "]"}], "]"}]}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"r", ",", " ", "0", ",", "0.2"}], "}"}], ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1000000"}], "}"}]}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Interest  rate\>\"", ",", "\"\<PV\>\""}], "}"}]}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Red"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Green"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"Prolog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Blue", ",", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0.02", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.02", ",", "10000000"}], "}"}]}], "}"}], "]"}]}], "}"}]}],
    ",", 
   RowBox[{"ImageSize", "\[Rule]", "230"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5228170633623424`*^9, 3.5228171312227774`*^9}, {
   3.522817193077174*^9, 3.5228172315938206`*^9}, {3.5228172808745365`*^9, 
   3.5228174231474485`*^9}, {3.5299996915690956`*^9, 3.529999707553694*^9}, {
   3.5300000230232377`*^9, 3.530000023559291*^9}, 3.5300003034842806`*^9, {
   3.530000381335065*^9, 3.530000383703302*^9}, {3.5300004273926706`*^9, 
   3.5300004327932105`*^9}, {3.531152149846681*^9, 3.531152264750448*^9}, 
   3.531152383209832*^9, {3.5312448333631277`*^9, 3.5312448380438433`*^9}, {
   3.531246169875968*^9, 3.531246202979241*^9}, {3.541969301777233*^9, 
   3.541969301856983*^9}, {3.546202577105674*^9, 3.5462025791969557`*^9}, {
   3.5516574923113003`*^9, 3.551657501951264*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   TagBox[
    TooltipBox[
     {RGBColor[1, 0, 0], Thickness[Large], LineBox[CompressedData["
1:eJwVkns01HkYxq2wkWiZ8p0Zt2EwbrOV0kV5eylrqbYtmsZBEzrWpZhcUidD
m1qdKFNSaErYSCVTkUuIMfFzcutCMkXKii6TXIqs1v7xnOf59/M5DysgYutu
VRUVlY2z+b8XGRLZSm8GzE6VxCQuTpCDJadoplCY0RV26QgX1+Rf54hoi+GG
Xmhrk4iLvUPyoBjaOpjqX8szjuGiNOWRqpC2Bbr+fCV8souLjJfPOvbSBDDk
6CEJd+Jiq4ZvxR5aJAQmfBJ4Ku2R9moTP7UuEY7xM3M8N9mjcGn2a/WBZIhr
XVZUVWGHxtEnPrRFpIFC08My0s4Op4S7vl+XpQNdUXK+M8MWi611SHbLedBN
iKk6rWOLPLXHbnSuBNIKrNWiRDaYnWywiFadA7u7NdqFY9b45d1ibXZNLnjo
FfbWxFpjq2D7/EPD+cAoo5sXjnBQvHRQrBi5Aoo3QaM74jgYKZEJ1ZWFIDru
7s5Q42Az/bpvrME10BttWDKQbIULRr83Kxk3YFBRH5pJrLDjxc710l9vQkh4
4sTty5bYVXI0xehuCWzoG5+Q/WyJa1ji8n/KpODlvHDmfaMF+mWZDW97eAuo
6t78l3wLHK8L8dvQdhukOlFVonE2en527Hw+eAdw41fOqhNs5CqvHvL6VgrF
NlIjngUbj2U9Cto6XQZHu6MEe5rM8cLmw1vH9Moh1fla29huc+RIBw4zDCrg
ouZJdwNtc3TpU75kL6oEEfNrQH+pGdJJIj62qQL1zV+m9viYYfCMfEDd/h74
hXrfm9Qww6gP4lOK9dXwKdJpIrmYhdpX5wSf49WAMmeLVwmfhQx928ROXi0o
D1fMddNm4ahLeJvC8T68dknqs6w0xfTHkoS08vvwLkjBs40wxUMeuW5lK+pg
9Jc7zkutTFEmD1lQXFcH+/nD0hOlJriBaH8LdqmHI71D4yo2JmgRIXw72lIP
dhg2f+asMa6TSCdwiwxobA07uY4x5kobmKrtMpipqXb9mGKEgc1Zruk+DWCf
pj2tP8cId1Z6prztaYAc48lVVkcNsbK4tkvnDznIkr6FZH5nou9xjdUFI3Jw
jCtfyE9g4ionTvUP+x6Ag/uVJ8u1mBg9ou3K/fcBRGntP9mTysBh0cMhw4RG
WJF3INrBkIEFn/0L4mcawV/WXqh6k46y0DvBJclNoJhPdKdX05FR+cb9b00K
5pCesLF2gv/GqzEG5lGwt7O5xaSNYB+y37F1KLiWVs/3bCF4hQpMzdej4FNe
uTKXIujQ3d+Rx6Rg7U9u+l71ZPYGfT659hS46Rovr7lNMN7xRfil3ykoipHI
pRkEBVPTa3u3UVDvvETQn05wfY2hrsl2CoTermz9MwS13HylF30oiOd1cGJO
Eczw7hmXBFJw19nI3CmZYHF0t+hCDAVl9yqftR4gKF45+ZtiPwWTuss0VeMI
Rk8TluFBCuRZgwHLYwmuTtohyxZR0BTwXnxhH8HGM10/Zv9FgbPdxIvwMIJF
vC/Pnh+nIK6gmXc5hOBJpkERI4WCeQl3p54GE/TK274xK42CVn+qCoIIrgiO
NXp+mgLbiYHu6ACCDNuMj/SzFKjP1WIVCWb9fSyt5Z+b5fdbIu71n/V362la
ZiYFDrU8m4V+BP8Dv+Iucg==
       "]]},
     RowBox[{
       RowBox[{"7938.1`", " ", 
         RowBox[{"(", 
           RowBox[{
             FractionBox["101.5`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "10"]], "+", 
             FractionBox["1.5`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "9"]], "+", 
             FractionBox["1.5`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "8"]], "+", 
             FractionBox["1.5`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "7"]], "+", 
             FractionBox["1.5`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "6"]], "+", 
             FractionBox["1.5`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "5"]], "+", 
             FractionBox["1.5`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "4"]], "+", 
             FractionBox["1.5`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "3"]], "+", 
             FractionBox["1.5`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "2"]], "+", 
             FractionBox["1.5`", 
              RowBox[{"1", "+", 
                FractionBox["r", "2"]}]]}], ")"}]}], "+", 
       RowBox[{"625.9`", " ", 
         RowBox[{"(", 
           RowBox[{
             FractionBox["102.`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "20"]], "+", 
             FractionBox["2.`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "19"]], "+", 
             FractionBox["2.`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "18"]], "+", 
             FractionBox["2.`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "17"]], "+", 
             FractionBox["2.`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "16"]], "+", 
             FractionBox["2.`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "15"]], "+", 
             FractionBox["2.`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "14"]], "+", 
             FractionBox["2.`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "13"]], "+", 
             FractionBox["2.`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "12"]], "+", 
             FractionBox["2.`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "11"]], "+", 
             FractionBox["2.`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "10"]], "+", 
             FractionBox["2.`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "9"]], "+", 
             FractionBox["2.`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "8"]], "+", 
             FractionBox["2.`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "7"]], "+", 
             FractionBox["2.`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "6"]], "+", 
             FractionBox["2.`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "5"]], "+", 
             FractionBox["2.`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "4"]], "+", 
             FractionBox["2.`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "3"]], "+", 
             FractionBox["2.`", 
              SuperscriptBox[
               RowBox[{"(", 
                 RowBox[{"1", "+", 
                   FractionBox["r", "2"]}], ")"}], "2"]], "+", 
             FractionBox["2.`", 
              RowBox[{"1", "+", 
                FractionBox["r", "2"]}]]}], ")"}]}]}]],
    Annotation[#, 
     7938.1 (101.5 (1 + Rational[1, 2] $CellContext`r)^(-10) + 
       1.5 (1 + Rational[1, 2] $CellContext`r)^(-9) + 
       1.5 (1 + Rational[1, 2] $CellContext`r)^(-8) + 
       1.5 (1 + Rational[1, 2] $CellContext`r)^(-7) + 
       1.5 (1 + Rational[1, 2] $CellContext`r)^(-6) + 
       1.5 (1 + Rational[1, 2] $CellContext`r)^(-5) + 
       1.5 (1 + Rational[1, 2] $CellContext`r)^(-4) + 
       1.5 (1 + Rational[1, 2] $CellContext`r)^(-3) + 
       1.5 (1 + Rational[1, 2] $CellContext`r)^(-2) + 
       1.5/(1 + Rational[1, 2] $CellContext`r)) + 
     625.9 (102. (1 + Rational[1, 2] $CellContext`r)^(-20) + 
       2. (1 + Rational[1, 2] $CellContext`r)^(-19) + 
       2. (1 + Rational[1, 2] $CellContext`r)^(-18) + 
       2. (1 + Rational[1, 2] $CellContext`r)^(-17) + 
       2. (1 + Rational[1, 2] $CellContext`r)^(-16) + 
       2. (1 + Rational[1, 2] $CellContext`r)^(-15) + 
       2. (1 + Rational[1, 2] $CellContext`r)^(-14) + 
       2. (1 + Rational[1, 2] $CellContext`r)^(-13) + 
       2. (1 + Rational[1, 2] $CellContext`r)^(-12) + 
       2. (1 + Rational[1, 2] $CellContext`r)^(-11) + 
       2. (1 + Rational[1, 2] $CellContext`r)^(-10) + 
       2. (1 + Rational[1, 2] $CellContext`r)^(-9) + 
       2. (1 + Rational[1, 2] $CellContext`r)^(-8) + 
       2. (1 + Rational[1, 2] $CellContext`r)^(-7) + 
       2. (1 + Rational[1, 2] $CellContext`r)^(-6) + 
       2. (1 + Rational[1, 2] $CellContext`r)^(-5) + 
       2. (1 + Rational[1, 2] $CellContext`r)^(-4) + 
       2. (1 + Rational[1, 2] $CellContext`r)^(-3) + 
       2. (1 + Rational[1, 2] $CellContext`r)^(-2) + 
       2./(1 + Rational[1, 2] $CellContext`r)), "Tooltip"]& ], 
   TagBox[
    TooltipBox[
     {RGBColor[0, 1, 0], Thickness[Large], LineBox[CompressedData["
1:eJwV0HlYzHkcwHEiii4avjPTdBqajCbydCA+PoxWyCY0Sjk2u1M97SqmPNK9
aFJRSxMlR0bpkKZUio5Rsb8YSkoo5QgNSSeqqbV/vJ/X/2/T3/a7/q42adIk
55/9b4ayTKSIWbIqRzdhKOIoD/3U5lQX0vRg5F53DjOah8P0kIJTNBO4c2RF
cnEEDx2keZxw2mIgymyNzyE87Oiu2xdEWw1DzuZ+OwN5KIt/ohZIcwGzI076
/F08ZL5qbfyLtgeGNgS8dLDn4aNpnmV/0gLAiDvX6sFnS6S9dnZPkEeCV7CG
cGSjJQZap71V7xKDTVRsycKyRWgkiut5vD8RHjW0Bm1atAhHAvdO5NWcgcHd
VvIWCRfzLXToaYqzMNjJ0PfX4aJgapMjg5cOcdfUFj8PW4hpYjKXVnEJvuYW
7TAbsMBvnxZrsSszwCT3jVOCyAIf7XHTDlVK4XC525L1XziYZP0hqa0vEyre
ORldP8jBgPSaQPXea1Dcm80dV5ljPSPPM5jkglKpa6cdZY56AxP1vczrsHJ0
l7ZKxxwb23fzZU43oOtkGHO6ZAE+KzgWb1haALeXSWb1mC5AB9OkW+9LZCAd
uPhgsHQ+eqWaKbc+LAT9iNKbIb/MxyG5r9e6x0UwK+Hr+upONm7st2158eEm
vN15ekPLQTbyerNDt40WQ/q+8KeOM9l4PPXJPtexEhgbnlr5MHcent8c5To4
+xb49F/mhzrOQ46sK4pJyqBZ00LW3W2Gazp7X7HnlsNmRaefWpIZMuiR2LTw
NsROsRdLrM1QOF7XpW55BzRZZVbb20zxYE/SqTZ+BeTxxYVNkaaolT1FmCKo
BA3VMUk/xxSZ+tzIFkEVsMyKX99oNcGBNf6P22yrYTBu8Pihv03wTFN6ROKt
ahC4f5Ak25hg6IYMxxI7OeyNSMqJaTbGmjpfvXy5HLoONaRE2RrjOrrWqHDN
XXDy5WyxuWqE8/cHfhxQ3IXLcn7z9xlGuDpdNowuNTDuKyVDYYaYIas1UGuo
AXUX7qXgYRZ616euPeNRCyccopKj/2Dh7vKN8R9f1kJGe4xHzxsDLM+veqbj
Uwcx9VwTJ4EBesZOW57VVweTxY2eBo1MXLaCUzH5wD3I8lQ0hLoxUdSntZan
ugfOM9h8eMpAZfjDblbEfWjPU+ACLwZm9e/KChu/DyZPfDTzlXSs8bspLBD/
C+dap91WBdCRWf5u/VVNCjS0aMEVk+moCpvK7JpJgc+2z7mNEwQ7kf2JrUPB
1lU62u9VBDMp7wTpbAr0BEZbdEcILn3+pvGKAQUN20c7vPsJbvre6ZFhSYG1
fPqcOW8Jhtm2+1/cQkFOXkhVSi3BPSNjKzu2UhD9PspNdpcgv5Kla+xGQWXy
ZvqDaoIzHD1lFzwoOPzJnDVxh6Bk+8uhdG8KpPlCtm8xwXzR8/DzQRQUUceX
rsskmGT/49e2QxS87v8h2islKBqjm7JCKDhh3NcZlkFw+dEdNWnhFEhsdtqX
XiB4//Sz6WkxFLg7573jphDMEXxrfRFLQWaM4rBTMsGTBiSHGU/BchvXZcLT
BLddcduUmkhBT3aQ3ZVTBO2EwYYv/qGAuGoFyxMIMrmSL4xkCvythl91xBFU
fSmuck+h4OxSqwPjsT//FTYnnjtHQZxLkZWhmOB/dbY9zA==
       "]]},
     FractionBox["1000000", 
      SuperscriptBox[
       RowBox[{"(", 
         RowBox[{"1", "+", 
           FractionBox["r", "2"]}], ")"}], "10"]]],
    Annotation[#, 1000000 (1 + Rational[1, 2] $CellContext`r)^(-10), 
     "Tooltip"]& ]},
  AspectRatio->1,
  Axes->True,
  AxesLabel->{
    FormBox["\"Interest  rate\"", TraditionalForm], 
    FormBox["\"PV\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  ImageSize->230,
  PlotRange->{{0, 0.2}, {0, 1000000}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], Automatic},
  Prolog->{
    RGBColor[0, 0, 1], 
    LineBox[{{0.02, 0}, {0.02, 10000000}}]}]], "Output",
 CellChangeTimes->{
  3.5228172319526234`*^9, {3.522817283510954*^9, 3.522817424083455*^9}, 
   3.5299997092608643`*^9, 3.5300000243883743`*^9, 3.5300003045303855`*^9, 
   3.5300004342923603`*^9, {3.530000912447171*^9, 3.5300009282057467`*^9}, 
   3.531152233929641*^9, 3.531152265887401*^9, 3.531152384072784*^9, 
   3.531244838620503*^9, 3.5312462040502787`*^9, 3.531246234077867*^9, 
   3.53124675542599*^9, 3.541969302708659*^9, 3.546202584677566*^9, 
   3.551657503654434*^9}]
}, Open  ]],

Cell["\<\
The graphics shows the obligation PV in green  and the portfolio PV in red. \
At the point of r=2%, both PV values are the same. Around the r=2% point, the \
two functions are very similar to each other. Therefore, if the fluctuation \
of interest rate is small, there is no effect. 

However, when the fluctuation is not small, the gap between both PVs becomes \
bigger. The reimmunization is needed.\
\>", "Figure Title",
 CellChangeTimes->{
  3.541810260457519*^9, 3.54181279052486*^9, {3.541812823008555*^9, 
   3.541812825703792*^9}, {3.541814026861518*^9, 3.541814037458807*^9}, 
   3.541814073370026*^9, {3.541814227877393*^9, 3.541814253516535*^9}, 
   3.5418143841282873`*^9, {3.541814497526607*^9, 3.541814521841433*^9}, {
   3.541814558795891*^9, 3.541814636969993*^9}, {3.541814710574153*^9, 
   3.541814714438092*^9}, {3.5418148162190104`*^9, 3.541814849947123*^9}, {
   3.5418149574114513`*^9, 3.541815127709384*^9}, 3.541815170706318*^9, {
   3.5418152533420563`*^9, 3.5418152570398006`*^9}, {3.541815445537537*^9, 
   3.541815456062772*^9}, {3.541815686153945*^9, 3.54181576594291*^9}, {
   3.541818162106352*^9, 3.541818185991667*^9}, {3.5418187579544363`*^9, 
   3.5418187596980047`*^9}, {3.541818808671074*^9, 3.5418188449015923`*^9}, {
   3.541819230267544*^9, 3.5418192700161247`*^9}, {3.541819436835663*^9, 
   3.54181946775001*^9}, {3.541819499761126*^9, 3.541819526161977*^9}, {
   3.541819633637536*^9, 3.541819649861411*^9}, {3.541819723543798*^9, 
   3.54181973260961*^9}, {3.541819766411357*^9, 3.541819778283331*^9}, 
   3.541991192270185*^9, {3.542525799983189*^9, 3.542525801151044*^9}, {
   3.551657535159584*^9, 3.551657791712237*^9}, {3.5516579396140256`*^9, 
   3.5516580361936827`*^9}},
 TextAlignment->Left,
 TextJustification->0.],

Cell["", "Heading2",
 CellChangeTimes->{
  3.541810260457519*^9, 3.54181279052486*^9, {3.541812823008555*^9, 
   3.541812825703792*^9}, {3.541814026861518*^9, 3.541814037458807*^9}, 
   3.541814073370026*^9, {3.541814227877393*^9, 3.541814253516535*^9}, 
   3.5418143841282873`*^9, {3.541814497526607*^9, 3.541814521841433*^9}, {
   3.541814558795891*^9, 3.541814636969993*^9}, {3.541814710574153*^9, 
   3.541814714438092*^9}, {3.5418148162190104`*^9, 3.541814849947123*^9}, {
   3.5418149574114513`*^9, 3.541815127709384*^9}, 3.541815170706318*^9, {
   3.5418152533420563`*^9, 3.5418152570398006`*^9}, {3.541815445537537*^9, 
   3.541815456062772*^9}, {3.541815686153945*^9, 3.54181576594291*^9}, {
   3.541818162106352*^9, 3.541818185991667*^9}, {3.5418187579544363`*^9, 
   3.5418187596980047`*^9}, {3.541818808671074*^9, 3.5418188449015923`*^9}, {
   3.541819230267544*^9, 3.5418192700161247`*^9}, {3.541819436835663*^9, 
   3.54181946775001*^9}, {3.541819499761126*^9, 3.541819526161977*^9}, {
   3.541819633637536*^9, 3.541819649861411*^9}, {3.541819723543798*^9, 
   3.54181973260961*^9}, {3.541819766411357*^9, 3.5418197721222486`*^9}, {
   3.541819807693028*^9, 3.5418198282111588`*^9}, 3.5425251961170473`*^9, 
   3.546290390484915*^9, {3.5516579255416183`*^9, 3.5516579264227066`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"7938.1", "*", 
         RowBox[{"PV", "[", 
          RowBox[{"5", ",", "0.03", ",", "r"}], "]"}]}], "+", 
        RowBox[{"625.9", "*", 
         RowBox[{"PV", "[", 
          RowBox[{"10", ",", "0.04", ",", "r"}], "]"}]}]}], ",", 
       RowBox[{"Pb", "[", 
        RowBox[{"r", ",", "5"}], "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"r", ",", " ", "0", ",", "0.2"}], "}"}], ",", " ", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1000000"}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<Interest\>\"", ",", "\"\<PV\>\""}], "}"}]}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Thick", ",", "Red"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Thick", ",", "Green"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Prolog", "\[Rule]", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Inset", "[", 
         RowBox[{
          RowBox[{"Panel", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"Pb", "[", 
               RowBox[{"r", ",", "5"}], "]"}], ",", "7"}], "]"}], ",", 
            RowBox[{"Background", "\[Rule]", "LightGreen"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"0.05", ",", "600000"}], "}"}]}], "]"}], ",", "Blue", ",", 
        
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"t", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", "10000000"}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
     ",", 
     RowBox[{"ImageSize", "\[Rule]", "220"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", "0.1", ",", "\"\<Interest  rate\>\""}], "}"}], ",", 
     "0.01", ",", "0.2", ",", "0.01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellMargins->{{39, 0}, {4, 6}},
 PageBreakWithin->Automatic,
 CellChangeTimes->{{3.522817934222325*^9, 3.5228179620685034`*^9}, {
   3.5299998039503326`*^9, 3.5299998193668737`*^9}, {3.530000031120047*^9, 
   3.530000031632098*^9}, 3.5300003131972523`*^9, {3.5300004479227233`*^9, 
   3.5300004537223034`*^9}, {3.531152347500646*^9, 3.53115239055236*^9}, {
   3.531152453654648*^9, 3.5311524583182592`*^9}, {3.531244846428524*^9, 
   3.531244852763749*^9}, {3.531246531831394*^9, 3.531246627811452*^9}, {
   3.531246676487097*^9, 3.531246686840671*^9}, {3.531502095251107*^9, 
   3.53150222071826*^9}, {3.531502252550131*^9, 3.5315022570689087`*^9}, {
   3.5419693485009623`*^9, 3.541969348605166*^9}, {3.5462006203033648`*^9, 
   3.546200638252527*^9}, {3.5462025337607613`*^9, 3.546202534280465*^9}, {
   3.5516578345235176`*^9, 3.5516578653806033`*^9}},
 FontSize->8],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`t$$ = 0.09999999999999999, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`t$$], 0.1, "Interest  rate"}, 0.01, 0.2, 0.01}}, 
    Typeset`size$$ = {264.00000000000006`, {109., 114.92816326530618`}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`t$1399$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`t$$ = 0.1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`t$$, $CellContext`t$1399$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[{7938.1 $CellContext`PV[5, 0.03, $CellContext`r] + 
         625.9 $CellContext`PV[10, 0.04, $CellContext`r], 
         $CellContext`Pb[$CellContext`r, 5]}, {$CellContext`r, 0, 0.2}, 
        PlotRange -> {0, 1000000}, AxesLabel -> {"Interest", "PV"}, 
        AspectRatio -> 1, PlotStyle -> {{Thick, Red}, {Thick, Green}}, Prolog -> {
          Inset[
           Panel[
            Style[
             $CellContext`Pb[$CellContext`r, 5], 7], Background -> 
            LightGreen], {0.05, 600000}], Blue, 
          Line[{{$CellContext`t$$, 0}, {$CellContext`t$$, 10000000}}]}, 
        ImageSize -> 220], 
      "Specifications" :> {{{$CellContext`t$$, 0.1, "Interest  rate"}, 0.01, 
         0.2, 0.01, Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{450., {166.32, 172.68}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`PV[
         Pattern[$CellContext`n, 
          Blank[]], 
         Pattern[$CellContext`c, 
          Blank[]], 
         Pattern[$CellContext`r, 
          Blank[]]] := 
       Sum[($CellContext`c/2) (
           100/(1 + $CellContext`r/2)^$CellContext`i), {$CellContext`i, 1, 
           2 $CellContext`n}] + 
        100/(1 + $CellContext`r/2)^(2 $CellContext`n), $CellContext`Pb[
         Pattern[$CellContext`r, 
          Blank[]]] := 1000000/(1 + $CellContext`r/1)^5, $CellContext`Pb[
         Pattern[$CellContext`r, 
          Blank[]], 
         Pattern[$CellContext`n, 
          Blank[]]] := 1000000/(1 + $CellContext`r/2)^(2 $CellContext`n)}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellMargins->{{39, 0}, {6, 4}},
 CellChangeTimes->{
  3.541969349528225*^9, {3.546200629628993*^9, 3.546200642078199*^9}, 
   3.546202539285267*^9, {3.5516578560836735`*^9, 3.5516578812271876`*^9}}]
}, Open  ]],

Cell["\<\
If the interest rate becomes 10%, the gap between both PVs become noticeable.\
\
\>", "Figure Title",
 CellChangeTimes->{
  3.541810260457519*^9, 3.54181279052486*^9, {3.541812823008555*^9, 
   3.541812825703792*^9}, {3.541814026861518*^9, 3.541814037458807*^9}, 
   3.541814073370026*^9, {3.541814227877393*^9, 3.541814253516535*^9}, 
   3.5418143841282873`*^9, {3.541814497526607*^9, 3.541814521841433*^9}, {
   3.541814558795891*^9, 3.541814636969993*^9}, {3.541814710574153*^9, 
   3.541814714438092*^9}, {3.5418148162190104`*^9, 3.541814849947123*^9}, {
   3.5418149574114513`*^9, 3.541815127709384*^9}, 3.541815170706318*^9, {
   3.5418152533420563`*^9, 3.5418152570398006`*^9}, {3.541815445537537*^9, 
   3.541815456062772*^9}, {3.541815686153945*^9, 3.54181576594291*^9}, {
   3.541818162106352*^9, 3.541818185991667*^9}, {3.5418187579544363`*^9, 
   3.5418187596980047`*^9}, {3.541818808671074*^9, 3.5418188449015923`*^9}, {
   3.541819230267544*^9, 3.5418192700161247`*^9}, {3.541819436835663*^9, 
   3.54181946775001*^9}, {3.541819499761126*^9, 3.541819526161977*^9}, {
   3.541819633637536*^9, 3.541819649861411*^9}, {3.541819723543798*^9, 
   3.54181973260961*^9}, {3.541819766411357*^9, 3.5418197721222486`*^9}, {
   3.541819807693028*^9, 3.5418198584076557`*^9}, {3.541991065102874*^9, 
   3.5419910653868628`*^9}, {3.541991196640217*^9, 3.5419911972439117`*^9}, {
   3.542525210272505*^9, 3.5425252117121*^9}, {3.551658060938157*^9, 
   3.551658093507414*^9}},
 TextAlignment->Left,
 TextJustification->0.]
},
ScreenStyleEnvironment->"Printout",
WindowToolbars->{"RulerBar", "EditBar"},
WindowSize->{777, 700},
WindowMargins->{{159, Automatic}, {Automatic, 43}},
PrintingCopies->1,
PrintingStartingPageNumber->95,
PrintingPageRange->{1, Automatic},
PageHeaders->{{
   Cell[
    TextData[{
      Cell[
       BoxData[
        RowBox[{
          StyleBox[
           CounterBox["Page"], FontFamily -> "I Helvetica Oblique", FontSize -> 
           10, FontSlant -> "Plain"], 
          StyleBox[
           RowBox[{
             StyleBox[
             "\[ThickSpace]   \[ThickSpace]", FontFamily -> 
              "I Helvetica Oblique", FontSize -> 10, FontSlant -> "Plain"], 
             "\[ThickSpace]"}]], "|", 
          "\[ThickSpace]\[ThickSpace]\[ThickSpace]", 
          RowBox[{"8", "\:7ae0", "\:3000", "\:30dd"}]}]]], "\:30fc", 
      "\:30c8\:30d5\:30a9\:30ea\:30aa\:3068\:306f\:91d1\:5229\:5909\:52d5\
\:306b\:5bfe\:3059\:308b\:5bfe\:7b56"}], "Header", 
    CellMargins -> {{0, Inherited}, {Inherited, Inherited}}], None, None}, {
  None, None, 
   Cell[
    TextData[{
      Cell[
       BoxData[
        RowBox[{"8", "\:7ae0", "\:3000", "\:30dd"}]]], "\:30fc", 
      Cell[
       BoxData[
        RowBox[{
         "\:30c8\:30d5\:30a9\:30ea\:30aa\:3068\:306f\:91d1\:5229\:5909\:52d5\
\:306b\:5bfe\:3059\:308b\:5bfe\:7b56", 
          "\[ThickSpace]\[ThickSpace]\[ThickSpace]", "|", " \[ThickSpace]", 
          StyleBox[
           CounterBox["Page"], FontFamily -> "I Helvetica Oblique", FontSize -> 
           10, FontSlant -> "Plain"], 
          StyleBox[
          "     ", FontFamily -> "I Helvetica Oblique", FontSize -> 10, 
           FontSlant -> "Plain"]}]]]}], "Header", 
    CellMargins -> {{Inherited, 0}, {Inherited, Inherited}}]}},
PageFooters->{{None, None, None}, {None, None, None}},
PageHeaderLines->{True, True},
PageFooterLines->{False, False},
PrintingOptions->{"FacingPages"->True,
"FirstPageFace"->Right,
"FirstPageFooter"->True,
"FirstPageHeader"->False,
"PaperOrientation"->"Portrait",
"PaperSize"->{402., 576.9599999999999},
"PrintCellBrackets"->False,
"PrintMultipleHorizontalPages"->False,
"PrintRegistrationMarks"->True,
"PrintingMargins"->{{72.00000078, 72.00000078}, {53.8582683, 70.8661425}}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (2010\:5e7412\:67082\
\:65e5)",
StyleDefinitions->"orjnew.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "chNumerics"->{
  Cell[550, 20, 338, 7, 25, "ChapterLabel",
   CounterAssignments->{{"ChapterLabel", 8}},
   CellTags->"chNumerics"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"chNumerics", 89719, 2078}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[550, 20, 338, 7, 25, "ChapterLabel",
 CounterAssignments->{{"ChapterLabel", 8}},
 CellTags->"chNumerics"],
Cell[891, 29, 310, 7, 43, "Heading1"],
Cell[CellGroupData[{
Cell[1226, 40, 2114, 55, 223, "Input"],
Cell[3343, 97, 4079, 96, 264, "Output"]
}, Open  ]],
Cell[7437, 196, 718, 15, 131, "Figure Title"],
Cell[8158, 213, 664, 11, 30, "Heading1"],
Cell[CellGroupData[{
Cell[8847, 228, 1962, 48, 253, "Input"],
Cell[10812, 278, 2916, 60, 295, "Output"]
}, Open  ]],
Cell[13743, 341, 952, 19, 135, "Figure Title"],
Cell[14698, 362, 650, 10, 30, "Heading1"],
Cell[CellGroupData[{
Cell[15373, 376, 1481, 42, 231, "Input"],
Cell[16857, 420, 6182, 135, 295, "Output"]
}, Open  ]],
Cell[23054, 558, 1274, 23, 219, "Figure Title"],
Cell[24331, 583, 430, 7, 30, "Heading2"],
Cell[CellGroupData[{
Cell[24786, 594, 3575, 104, 232, "Input",
 PageBreakWithin->Automatic],
Cell[28364, 700, 766, 21, 88, "Output"],
Cell[29133, 723, 766, 21, 88, "Output"],
Cell[29902, 746, 7752, 156, 435, "Output"]
}, Open  ]],
Cell[37669, 905, 1759, 29, 283, "Figure Title"],
Cell[39431, 936, 165, 4, 30, "Heading1"],
Cell[CellGroupData[{
Cell[39621, 944, 4943, 131, 674, "Input",
 PageBreakWithin->Automatic],
Cell[44567, 1077, 7058, 144, 388, "Output",
 PageBreakWithin->Automatic]
}, Open  ]],
Cell[51640, 1224, 1482, 25, 135, "Figure Title"],
Cell[53125, 1251, 1145, 16, 30, "Heading1"],
Cell[CellGroupData[{
Cell[54295, 1271, 2276, 62, 302, "Input",
 PageBreakWithin->Automatic],
Cell[56574, 1335, 3054, 65, 300, "Output"]
}, Open  ]],
Cell[59643, 1403, 1486, 25, 157, "Figure Title"],
Cell[61132, 1430, 586, 10, 114, "Heading1"],
Cell[CellGroupData[{
Cell[61743, 1444, 2229, 54, 256, "Input"],
Cell[63975, 1500, 12235, 278, 271, "Output"]
}, Open  ]],
Cell[76225, 1781, 1778, 29, 177, "Figure Title"],
Cell[78006, 1812, 1297, 18, 30, "Heading2"],
Cell[CellGroupData[{
Cell[79328, 1834, 3148, 76, 174, "Input",
 PageBreakWithin->Automatic],
Cell[82479, 1912, 3126, 66, 423, "Output"]
}, Open  ]],
Cell[85620, 1981, 1532, 25, 51, "Figure Title"]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature NvTZC4kHF@oWQCg7oMLmoV6L *)
