(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       150,          7]
NotebookDataLength[    588104,      12913]
NotebookOptionsPosition[    585256,      12813]
NotebookOutlinePosition[    585717,      12833]
CellTagsIndexPosition[    585674,      12830]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"SetDirectory", "[", 
  RowBox[{"NotebookDirectory", "[", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.459764055049808*^9, 3.459764068708728*^9}}],

Cell[BoxData["\<\"\\\\\\\\gcs12dm3\\\\rto$\\\\20010570\\\\myhome\\\\\
mydocuments_12\\\\MATHEMATICA\"\>"], "Output",
 CellChangeTimes->{
  3.459764069586917*^9, {3.4624106823644953`*^9, 3.449096519986899*^9}, 
   3.464908878435705*^9, 3.4663070688197894`*^9, 3.555463830422657*^9, 
   3.5554639289635105`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:4e3b\:6210\:5206\:5206\:6790\:306e\:53ef\:8996\:5316", "Section",
 CellChangeTimes->{{3.464908832759406*^9, 3.46490883390541*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"22", ",", "11"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"20", ",", "10"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"17", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"18", ",", "15"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"15", ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"19", ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"19", ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"24", ",", "17"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"21", ",", "14"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{3.5554639226868825`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"margin", "=", "10"}], ";"}]], "Input",
 CellChangeTimes->{{3.459767520803391*^9, 3.45976752486343*^9}, {
  3.459767700826408*^9, 3.459767701124219*^9}, {3.459767889950354*^9, 
  3.459767890348591*^9}, {3.466306900987584*^9, 3.4663069046536083`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"xmin", "=", 
   RowBox[{
    RowBox[{"Min", "[", 
     RowBox[{"data", "\[LeftDoubleBracket]", 
      RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], "]"}], "-", 
    "margin"}]}], ";", 
  RowBox[{"xmax", "=", 
   RowBox[{
    RowBox[{"Max", "[", 
     RowBox[{"data", "\[LeftDoubleBracket]", 
      RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], "]"}], "+", 
    "margin"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ymin", "=", 
   RowBox[{
    RowBox[{"Min", "[", 
     RowBox[{"data", "\[LeftDoubleBracket]", 
      RowBox[{"All", ",", "2"}], "\[RightDoubleBracket]"}], "]"}], "-", 
    "margin"}]}], ";", 
  RowBox[{"ymax", "=", 
   RowBox[{
    RowBox[{"Max", "[", 
     RowBox[{"data", "\[LeftDoubleBracket]", 
      RowBox[{"All", ",", "2"}], "\[RightDoubleBracket]"}], "]"}], "+", 
    "margin"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.459761669456757*^9, 3.459761801213954*^9}, {
  3.4597618484689627`*^9, 3.459761858742066*^9}, {3.45976750571805*^9, 
  3.459767541764429*^9}, {3.466306935994209*^9, 3.466306937070616*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"listPlotData", "[", 
   RowBox[{"data_", ",", 
    RowBox[{"p_:", 
     StyleBox["Automatic", "MR"]}], 
    StyleBox[",", "MR"], 
    RowBox[{
     StyleBox["epilog_:", "MR"], 
     RowBox[{
      StyleBox["{", "MR"], "}"}]}]}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"ListPlot", "[", 
   RowBox[{"data", ",", 
    RowBox[{"AxesOrigin", "\[Rule]", "p"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xmin", ",", "xmax"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"ymin", ",", "ymax"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"PointSize", "[", "0.02", "]"}]}], ",", 
    RowBox[{"Epilog", "\[Rule]", " ", "epilog"}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", " ", "1"}]}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.459754989273464*^9, {3.459755042294911*^9, 3.459755044955943*^9}, {
   3.459758856755713*^9, 3.459758883943795*^9}, {3.459759104469788*^9, 
   3.4597591131391068`*^9}, 3.4597593341648006`*^9, {3.459759386800569*^9, 
   3.459759395425241*^9}, {3.459759844323518*^9, 3.459759867821406*^9}, {
   3.459760134933935*^9, 3.4597602063555393`*^9}, {3.459760238451078*^9, 
   3.459760261795684*^9}, {3.4597603090713253`*^9, 3.459760310682692*^9}, {
   3.459760375969307*^9, 3.459760379054434*^9}, {3.4597609634143753`*^9, 
   3.459761014775003*^9}, {3.4597610495697527`*^9, 3.4597611363586893`*^9}, {
   3.459761193576125*^9, 3.459761220911234*^9}, {3.4597612567378693`*^9, 
   3.459761264699129*^9}, {3.459761296212854*^9, 3.459761312648469*^9}, {
   3.459761422462965*^9, 3.45976143163542*^9}, {3.459761806997305*^9, 
   3.459761812970565*^9}, {3.459920005599283*^9, 3.459920013154121*^9}, {
   3.4599205837270737`*^9, 3.459920596168055*^9}, 3.459920674914081*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"listPlotData", "[", "data", "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[
  {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
   PointBox[{{22., 11.}, {20., 10.}, {17., 8.}, {18., 15.}, {15., 7.}, {19., 
    9.}, {19., 7.}, {24., 17.}, {21., 14.}}]},
  AspectRatio->1,
  Axes->True,
  PlotRange->{{5, 34}, {-3, 27}},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{{3.4597611696041107`*^9, 3.45976119789494*^9}, 
   3.459767556860344*^9, {3.462410682598497*^9, 3.459880428135373*^9}, 
   3.4599200265899963`*^9, {3.4599206001004133`*^9, 3.449096520840468*^9}, 
   3.46490887867203*^9, 3.4663069809288263`*^9, 3.4663070688665895`*^9, 
   3.5554638304686613`*^9, 3.5554639289955134`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"origin", "=", 
   RowBox[{"Mean", "[", "data", "]"}]}], ";", 
  RowBox[{"listPlotData", "[", 
   RowBox[{"data", ",", 
    RowBox[{"Mean", "[", "data", "]"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Red", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"25", ",", "15"}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.02", "]"}], ",", "Red", ",", 
        RowBox[{"Point", "[", 
         RowBox[{
         "data", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "]"}]}], "}"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.459759020987771*^9, 3.4597590722004433`*^9}, {
   3.4597612369364023`*^9, 3.459761241059828*^9}, {3.459761476922493*^9, 
   3.459761497645698*^9}, 3.4597618365320587`*^9, {3.459761876342525*^9, 
   3.4597619682416286`*^9}, {3.459762037455127*^9, 3.45976204912855*^9}, {
   3.459762097942152*^9, 3.459762119453628*^9}, {3.459765248869193*^9, 
   3.459765255856542*^9}, {3.4599202758777447`*^9, 3.4599203134530354`*^9}, {
   3.459920355228685*^9, 3.4599203867753677`*^9}, {3.4599210780484877`*^9, 
   3.459921079583139*^9}}],

Cell[BoxData[
 GraphicsBox[
  {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
   PointBox[{{22., 11.}, {20., 10.}, {17., 8.}, {18., 15.}, {15., 7.}, {19., 
    9.}, {19., 7.}, {24., 17.}, {21., 14.}}]},
  AspectRatio->1,
  Axes->True,
  AxesOrigin->NCache[{
     Rational[175, 9], 
     Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
  Epilog->{{
     RGBColor[1, 0, 0], 
     LineBox[{{0, 0}, {25, 15}}]}, {
     PointSize[0.02], 
     RGBColor[1, 0, 0], 
     PointBox[{22, 11}]}},
  PlotRange->{{5, 34}, {-3, 27}},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{{3.4597612027856817`*^9, 3.4597612701177588`*^9}, {
   3.4597613028971987`*^9, 3.4597613192458887`*^9}, {3.4597614350707912`*^9, 
   3.459761498327175*^9}, 3.459761821286228*^9, {3.459761902360003*^9, 
   3.459761920712886*^9}, {3.459761954912402*^9, 3.459761969290402*^9}, 
   3.459762050012754*^9, {3.459762102564855*^9, 3.4597621199333677`*^9}, 
   3.4597652576839437`*^9, 3.459767561535226*^9, {3.4624106827544975`*^9, 
   3.459880428184771*^9}, 3.459920315314273*^9, 3.459920388624288*^9, {
   3.459921080432193*^9, 3.449096520937015*^9}, 3.464908878702187*^9, 
   3.466306987543268*^9, 3.46630706889779*^9, 3.555463830541669*^9, 
   3.5554639290175157`*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.4597574091454287`*^9, 3.459757410585944*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tbl", "=", 
  RowBox[{"Table", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Theta]", "=", 
      RowBox[{
       RowBox[{"Pi", "/", "18"}], "*", 
       RowBox[{"(", 
        RowBox[{"i", "-", "1"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"data1", "=", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"RotationMatrix", "[", 
           RowBox[{"-", "\[Theta]"}], "]"}], ".", 
          RowBox[{"(", 
           RowBox[{"#", "-", "origin"}], ")"}]}], "+", "origin"}], "&"}], "/@",
        "data"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"p", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"xmin", ",", 
          RowBox[{
          "origin", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
         "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"xmax", ",", 
          RowBox[{
          "origin", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
         "}"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"p", "=", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"RotationMatrix", "[", 
           RowBox[{"-", "\[Theta]"}], "]"}], ".", 
          RowBox[{"(", 
           RowBox[{"#", "-", "origin"}], ")"}]}], "+", "origin"}], "&"}], "/@",
        "p"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"listPlotData", "[", 
      RowBox[{"data1", ",", "origin", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"Red", ",", 
           RowBox[{"Line", "[", "p", "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", "0.02", "]"}], ",", "Red", ",", 
           RowBox[{"Point", "[", 
            RowBox[{
            "data1", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
            "]"}]}], "}"}]}], "}"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"i", ",", "18"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.459754437998444*^9, 3.459754457958385*^9}, {
   3.459754586059123*^9, 3.459754604909582*^9}, {3.45975514085566*^9, 
   3.459755141867238*^9}, {3.4597552404073877`*^9, 3.459755248240671*^9}, {
   3.459755431217457*^9, 3.459755496441094*^9}, {3.4597555358278723`*^9, 
   3.459755592393227*^9}, {3.45975562789037*^9, 3.459755636114959*^9}, {
   3.459755673140542*^9, 3.459755680380601*^9}, {3.4597558643269663`*^9, 
   3.4597558879140587`*^9}, {3.4597562085544567`*^9, 3.45975622149627*^9}, {
   3.4597562514974337`*^9, 3.459756275147345*^9}, {3.459760556366856*^9, 
   3.459760614529086*^9}, {3.459760696892603*^9, 3.45976073847941*^9}, {
   3.459760784627139*^9, 3.459760824904076*^9}, {3.4597608556928873`*^9, 
   3.459760861440572*^9}, {3.4597609096439867`*^9, 3.459760912828466*^9}, {
   3.459762155695594*^9, 3.459762201419797*^9}, 3.459762257483637*^9, {
   3.459762719943192*^9, 3.4597627674907093`*^9}, {3.4597632523631697`*^9, 
   3.4597632573487186`*^9}, {3.4597633796004467`*^9, 3.459763392311408*^9}, {
   3.459763614960773*^9, 3.459763692670199*^9}, {3.4597637444342947`*^9, 
   3.4597637956695633`*^9}, {3.459763847896611*^9, 3.459763897269848*^9}, {
   3.4624107272927833`*^9, 3.4624107464029055`*^9}, 3.462410813810938*^9, {
   3.4624108962886667`*^9, 3.459920757989291*^9}, 3.459920793753146*^9, {
   3.459921086676099*^9, 3.459921087774931*^9}, {3.4663070223470917`*^9, 
   3.4663070278227262`*^9}, {3.4663074664975386`*^9, 3.4663074696331587`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[
    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
     PointBox[{{22., 11.}, {20., 10.}, {17., 8.}, {18., 15.}, {15., 7.}, {19.,
       9.}, {19., 7.}, {24., 17.}, {21., 14.}}]},
    AspectRatio->1,
    Axes->True,
    AxesOrigin->NCache[{
       Rational[175, 9], 
       Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
    Epilog->{{
       RGBColor[1, 0, 0], 
       LineBox[
        NCache[{{5, 
           Rational[98, 9]}, {34, 
           Rational[98, 9]}}, {{5, 10.88888888888889}, {
          34, 10.88888888888889}}]]}, {
       PointSize[0.02], 
       RGBColor[1, 0, 0], 
       PointBox[{22, 11}]}},
    PlotRange->{{5, 34}, {-3, 27}},
    PlotRangeClipping->True], ",", 
   GraphicsBox[
    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
     PointBox[{{21.980469610771966`, 10.554544407408091`}, {19.83720592708062,
       9.917033009729742}, {16.535486312710137`, 8.468362036706118}, {
      18.735831309390854`, 15.188368130124644`}, {14.392222629018788`, 
      7.83085063902777}, {18.678749996401482`, 9.105873434384465}, {
      18.331453641067622`, 7.136257928360049}, {24.991974182797964`, 
      16.116094570147478`}, {21.51660639076055, 13.682615844111645`}}]},
    AspectRatio->1,
    Axes->True,
    AxesOrigin->NCache[{
       Rational[175, 9], 
       Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
    Epilog->{{
       RGBColor[1, 0, 0], 
       LineBox[
        NCache[{{
          Rational[175, 9] + Rational[-130, 9] Cos[Rational[1, 18] Pi], 
           Rational[98, 9] + Rational[130, 9] Sin[Rational[1, 18] Pi]}, {
          Rational[175, 9] + Rational[131, 9] Cos[Rational[1, 18] Pi], 
           Rational[98, 9] + Rational[-131, 9] Sin[Rational[1, 18] Pi]}}, {{
         5.219443567601438, 13.397140344077883`}, {33.778868404955475`, 
         8.361343191736903}}]]}, {
       PointSize[0.02], 
       RGBColor[1, 0, 0], 
       PointBox[
        NCache[{
         Rational[175, 9] + Rational[23, 9] Cos[Rational[1, 18] Pi] + 
          Rational[1, 9] Sin[Rational[1, 18] Pi], Rational[98, 9] + 
          Rational[1, 9] Cos[Rational[1, 18] Pi] + 
          Rational[-23, 9] Sin[Rational[1, 18] Pi]}, {21.980469610771966`, 
         10.554544407408091`}]]}},
    PlotRange->{{5, 34}, {-3, 27}},
    PlotRangeClipping->True], ",", 
   GraphicsBox[
    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
     PointBox[{{21.883883380155726`, 10.119247702699504`}, {19.66247799525824,
       9.863595368564932}, {16.15935984624918, 9.010270556970122}, {
      19.49319347031477, 15.246098759145811`}, {13.937954461351694`, 
      8.75461822283555}, {18.380765231146665`, 9.265922891104694}, {
      17.69672494449533, 7.386537649532875}, {25.815389481681557`, 
      15.073363140763615`}, {21.970251189346826`, 13.280345708382898`}}]},
    AspectRatio->1,
    Axes->True,
    AxesOrigin->NCache[{
       Rational[175, 9], 
       Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
    Epilog->{{
       RGBColor[1, 0, 0], 
       LineBox[
        NCache[{{
          Rational[175, 9] + Rational[-130, 9] Cos[Rational[1, 9] Pi], 
           Rational[98, 9] + Rational[130, 9] Sin[Rational[1, 9] Pi]}, {
          Rational[175, 9] + Rational[131, 9] Cos[Rational[1, 9] Pi], 
           Rational[98, 9] + Rational[-131, 9] Sin[Rational[1, 9] Pi]}}, {{
         5.871106588647988, 15.829179848037437`}, {33.12219259143933, 
         5.910595691593045}}]]}, {
       PointSize[0.02], 
       RGBColor[1, 0, 0], 
       PointBox[
        NCache[{
         Rational[175, 9] + Rational[23, 9] Cos[Rational[1, 9] Pi] + 
          Rational[1, 9] Sin[Rational[1, 9] Pi], Rational[98, 9] + 
          Rational[1, 9] Cos[Rational[1, 9] Pi] + 
          Rational[-23, 9] Sin[Rational[1, 9] Pi]}, {21.883883380155726`, 
         10.119247702699504`}]]}},
    PlotRange->{{5, 34}, {-3, 27}},
    PlotRangeClipping->True], ",", 
   GraphicsBox[
    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
     PointBox[{{21.713176031893568`, 9.707336155976048}, {19.48112522432469, 
      9.84131075219161}, {15.883049012971373`, 9.609259944622732}, {
      20.24907441675581, 15.171437771113803`}, {13.650998205402495`, 
      9.743234540838294}, {18.115099820540248`, 9.475285348407171}, {
      17.115099820540248`, 7.743234540838293}, {26.445226839462443`, 
      13.90348857868268}, {22.347150628109127`, 12.805412367329364`}}]},
    AspectRatio->1,
    Axes->True,
    AxesOrigin->NCache[{
       Rational[175, 9], 
       Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
    Epilog->{{
       RGBColor[1, 0, 0], 
       LineBox[
        NCache[{{Rational[175, 9] + Rational[-65, 3] 3^Rational[-1, 2], 
           Rational[163, 9]}, {
          Rational[175, 9] + Rational[131, 6] 3^Rational[-1, 2], 
           Rational[65, 18]}}, {{6.935188612002548, 18.11111111111111}, {
         32.049925321751275`, 3.611111111111111}}]]}, {
       PointSize[0.02], 
       RGBColor[1, 0, 0], 
       PointBox[
        NCache[{
         Rational[39, 2] + Rational[23, 6] 3^Rational[-1, 2], 
          Rational[173, 18] + Rational[1, 6] 3^Rational[-1, 2]}, {
         21.713176031893568`, 9.707336155976048}]]}},
    PlotRange->{{5, 34}, {-3, 27}},
    PlotRangeClipping->True], ",", 
   GraphicsBox[
    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
     PointBox[{{21.473534422380336`, 9.33132549114762}, {19.29865792645584, 
      9.85085626740172}, {15.714949377725826`, 10.247130210223384`}, {
      20.98050708865058, 14.966653702369689`}, {13.540072881801331`, 
      10.766660986477483`}, {17.889825873650324`, 9.727599433969282}, {
      16.604250654277244`, 8.195510547731326}, {26.862348966737525`, 
      12.64201693048841}, {22.635852808320976`, 12.272246430191093`}}]},
    AspectRatio->1,
    Axes->True,
    AxesOrigin->NCache[{
       Rational[175, 9], 
       Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
    Epilog->{{
       RGBColor[1, 0, 0], 
       LineBox[
        NCache[{{
          Rational[175, 9] + Rational[-130, 9] Cos[Rational[2, 9] Pi], 
           Rational[98, 9] + Rational[130, 9] Sin[Rational[2, 9] Pi]}, {
          Rational[175, 9] + Rational[131, 9] Cos[Rational[2, 9] Pi], 
           Rational[98, 9] + Rational[-131, 9] Sin[Rational[2, 9] Pi]}}, {{
         8.379358043836982, 20.173598806583346`}, {30.594646894287344`, 
         1.5327581256737073`}}]]}, {
       PointSize[0.02], 
       RGBColor[1, 0, 0], 
       PointBox[
        NCache[{
         Rational[175, 9] + Rational[23, 9] Cos[Rational[2, 9] Pi] + 
          Rational[1, 9] Sin[Rational[2, 9] Pi], Rational[98, 9] + 
          Rational[1, 9] Cos[Rational[2, 9] Pi] + 
          Rational[-23, 9] Sin[Rational[2, 9] Pi]}, {21.473534422380336`, 
         9.33132549114762}]]}},
    PlotRange->{{5, 34}, {-3, 27}},
    PlotRangeClipping->True], ",", 
   GraphicsBox[
    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
     PointBox[{{21.172239940656596`, 9.00264060199445}, {19.120620278164537`, 
      9.891941878545866}, {15.660168562866966`, 10.904499988529722`}, {
      21.665267274386352`, 14.637968813216517`}, {13.60854890037491, 
      11.79380126508114}, {17.711788225359022`, 10.015198711978305`}, {
      16.179699339121065`, 8.729623492605228}, {27.054081818743544`, 
      11.327277373875729`}, {22.82758566032699, 11.697047874173046`}}]},
    AspectRatio->1,
    Axes->True,
    AxesOrigin->NCache[{
       Rational[175, 9], 
       Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
    Epilog->{{
       RGBColor[1, 0, 0], 
       LineBox[
        NCache[{{
          Rational[175, 9] + Rational[-130, 9] Sin[Rational[2, 9] Pi], 
           Rational[98, 9] + Rational[130, 9] Cos[Rational[2, 9] Pi]}, {
          Rational[175, 9] + Rational[131, 9] Sin[Rational[2, 9] Pi], 
           Rational[98, 9] + Rational[-131, 9] Cos[Rational[2, 9] Pi]}}, {{
         10.159734526749986`, 21.95397528949635}, {
         28.800575207659627`, -0.26131356095401337`}}]]}, {
       PointSize[0.02], 
       RGBColor[1, 0, 0], 
       PointBox[
        NCache[{
         Rational[175, 9] + Rational[1, 9] Cos[Rational[2, 9] Pi] + 
          Rational[23, 9] Sin[Rational[2, 9] Pi], Rational[98, 9] + 
          Rational[-23, 9] Cos[Rational[2, 9] Pi] + 
          Rational[1, 9] Sin[Rational[2, 9] Pi]}, {21.172239940656596`, 
         9.00264060199445}]]}},
    PlotRange->{{5, 34}, {-3, 27}},
    PlotRangeClipping->True], ",", 
   GraphicsBox[
    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
     PointBox[{{20.81844726708716, 8.731268412550879}, {18.95242186330272, 
      9.963319220119756}, {15.720371055733843`, 11.561395431473073`}, {
      22.282548882224916`, 14.195370027688634`}, {13.854345651949405`, 
      12.79344623904195}, {17.58639645951828, 10.329344623904195`}, {
      15.854345651949405`, 9.329344623904195}, {27.01459968979379, 
      9.999217604982002}, {22.916523478440475`, 11.097293816335318`}}]},
    AspectRatio->1,
    Axes->True,
    AxesOrigin->NCache[{
       Rational[175, 9], 
       Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
    Epilog->{{
       RGBColor[1, 0, 0], 
       LineBox[
        NCache[{{
           Rational[110, 9], Rational[98, 9] + 
           Rational[65, 3] 3^Rational[-1, 2]}, {
           Rational[481, 18], Rational[98, 9] + 
           Rational[-131, 6] 3^Rational[-1, 2]}}, {{12.222222222222221`, 
         23.398144721330784`}, {26.72222222222222, -1.7165919884179406`}}]]}, {
       PointSize[0.02], 
       RGBColor[1, 0, 0], 
       PointBox[
        NCache[{
         Rational[373, 18] + Rational[1, 6] 3^Rational[-1, 2], 
          Rational[197, 18] + Rational[-23, 6] 3^Rational[-1, 2]}, {
         20.81844726708716, 8.731268412550879}]]}},
    PlotRange->{{5, 34}, {-3, 27}},
    PlotRangeClipping->True], ",", 
   GraphicsBox[
    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
     PointBox[{{20.422906213030696`, 8.525454429472198}, {18.79917330559345, 
      10.062819527718347`}, {15.89372763404463, 12.197857103424733`}, {
      22.813596122871658`, 13.652305485918506`}, {14.269994726607383`, 
      13.735222201670883`}, {17.517460541481874`, 10.660492005178586`}, {
      15.638075299910057`, 9.97645171852725}, {26.745102224397485`, 
      8.698190047854393}, {22.899963932062754`, 10.491207480235111`}}]},
    AspectRatio->1,
    Axes->True,
    AxesOrigin->NCache[{
       Rational[175, 9], 
       Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
    Epilog->{{
       RGBColor[1, 0, 0], 
       LineBox[
        NCache[{{
          Rational[175, 9] + Rational[-130, 9] Sin[Rational[1, 9] Pi], 
           Rational[98, 9] + Rational[130, 9] Cos[Rational[1, 9] Pi]}, {
          Rational[175, 9] + Rational[131, 9] Sin[Rational[1, 9] Pi], 
           Rational[98, 9] + Rational[-131, 9] Cos[Rational[1, 9] Pi]}}, {{
         14.504153485295895`, 24.462226744685346`}, {
         24.422737641740287`, -2.788859258105999}}]]}, {
       PointSize[0.02], 
       RGBColor[1, 0, 0], 
       PointBox[
        NCache[{
         Rational[175, 9] + Rational[1, 9] Cos[Rational[1, 9] Pi] + 
          Rational[23, 9] Sin[Rational[1, 9] Pi], Rational[98, 9] + 
          Rational[-23, 9] Cos[Rational[1, 9] Pi] + 
          Rational[1, 9] Sin[Rational[1, 9] Pi]}, {20.422906213030696`, 
         8.525454429472198}]]}},
    PlotRange->{{5, 34}, {-3, 27}},
    PlotRangeClipping->True], ",", 
   GraphicsBox[
    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
     PointBox[{{19.997635093261287`, 8.391452206487351}, {18.66553098491522, 
      10.187419534844835`}, {16.174970945890013`, 12.7945464385476}, {
      23.2422733946424, 13.025275929203904`}, {14.842866837543943`, 
      14.590513766905085`}, {17.507075054236083`, 10.998579110190114`}, {
      15.537459548211665`, 10.651282754856252`}, {26.253777966668395`, 
      7.463725766464516}, {22.77841017463098, 9.897204492500348}}]},
    AspectRatio->1,
    Axes->True,
    AxesOrigin->NCache[{
       Rational[175, 9], 
       Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
    Epilog->{{
       RGBColor[1, 0, 0], 
       LineBox[
        NCache[{{
          Rational[175, 9] + Rational[-130, 9] Sin[Rational[1, 18] Pi], 
           Rational[98, 9] + Rational[130, 9] Cos[Rational[1, 18] Pi]}, {
          Rational[175, 9] + Rational[131, 9] Sin[Rational[1, 18] Pi], 
           Rational[98, 9] + Rational[-131, 9] Cos[Rational[1, 18] Pi]}}, {{
         16.93619298925545, 25.113889765731894`}, {
         21.97199014159643, -3.445535071622139}}]]}, {
       PointSize[0.02], 
       RGBColor[1, 0, 0], 
       PointBox[
        NCache[{
         Rational[175, 9] + Rational[1, 9] Cos[Rational[1, 18] Pi] + 
          Rational[23, 9] Sin[Rational[1, 18] Pi], Rational[98, 9] + 
          Rational[-23, 9] Cos[Rational[1, 18] Pi] + 
          Rational[1, 9] Sin[Rational[1, 18] Pi]}, {19.997635093261287`, 
         8.391452206487351}]]}},
    PlotRange->{{5, 34}, {-3, 27}},
    PlotRangeClipping->True], ",", 
   GraphicsBox[
    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
     PointBox[{{19.555555555555557`, 8.333333333333334}, {18.555555555555557`,
       10.333333333333334`}, {16.555555555555557`, 13.333333333333334`}, {
      23.555555555555557`, 12.333333333333334`}, {15.555555555555555`, 
      15.333333333333334`}, {17.555555555555557`, 11.333333333333334`}, {
      15.555555555555555`, 11.333333333333334`}, {25.555555555555557`, 
      6.333333333333333}, {22.555555555555557`, 9.333333333333334}}]},
    AspectRatio->1,
    Axes->True,
    AxesOrigin->NCache[{
       Rational[175, 9], 
       Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
    Epilog->{{
       RGBColor[1, 0, 0], 
       LineBox[
        NCache[{{
           Rational[175, 9], 
           Rational[76, 3]}, {
           Rational[175, 9], 
           Rational[-11, 3]}}, {{19.444444444444443`, 25.333333333333332`}, {
         19.444444444444443`, -3.6666666666666665`}}]]}, {
       PointSize[0.02], 
       RGBColor[1, 0, 0], 
       PointBox[
        NCache[{
          Rational[176, 9], 
          Rational[25, 3]}, {19.555555555555557`, 8.333333333333334}]]}},
    PlotRange->{{5, 34}, {-3, 27}},
    PlotRangeClipping->True], ",", 
   GraphicsBox[
    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
     PointBox[{{19.110099962963645`, 8.352863722561366}, {18.472588565285296`,
       10.496127406252711`}, {17.02391759226167, 13.797847020623196`}, {
      23.743923685680198`, 11.597502023942475`}, {16.386406194583323`, 
      15.941110704314545`}, {17.66142898994002, 11.65458333693185}, {
      15.691813483915602`, 12.001879692265712`}, {24.67165012570303, 
      5.341359150535367}, {22.2381713996672, 8.816726942572783}}]},
    AspectRatio->1,
    Axes->True,
    AxesOrigin->NCache[{
       Rational[175, 9], 
       Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
    Epilog->{{
       RGBColor[1, 0, 0], 
       LineBox[
        NCache[{{
          Rational[175, 9] + Rational[130, 9] Sin[Rational[1, 18] Pi], 
           Rational[98, 9] + Rational[130, 9] Cos[Rational[1, 18] Pi]}, {
          Rational[175, 9] + Rational[-131, 9] Sin[Rational[1, 18] Pi], 
           Rational[98, 9] + Rational[-131, 9] Cos[Rational[1, 18] Pi]}}, {{
         21.952695899633436`, 25.113889765731894`}, {
         16.916898747292457`, -3.445535071622139}}]]}, {
       PointSize[0.02], 
       RGBColor[1, 0, 0], 
       PointBox[
        NCache[{
         Rational[175, 9] + Rational[1, 9] Cos[Rational[1, 18] Pi] + 
          Rational[-23, 9] Sin[Rational[1, 18] Pi], Rational[98, 9] + 
          Rational[-23, 9] Cos[Rational[1, 18] Pi] + 
          Rational[-1, 9] Sin[Rational[1, 18] Pi]}, {19.110099962963645`, 
         8.352863722561366}]]}},
    PlotRange->{{5, 34}, {-3, 27}},
    PlotRangeClipping->True], ",", 
   GraphicsBox[
    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
     PointBox[{{18.674803258255057`, 8.449449953177606}, {18.419150924120487`,
       10.67085533807509}, {17.565826112525677`, 14.173973487084153`}, {
      23.801654314701366`, 10.840139863018562`}, {17.310173778391103`, 
      16.395378871981638`}, {17.821478446660244`, 11.952568102186667`}, {
      15.94209320508843, 12.636608388838004`}, {23.628918696319168`, 
      4.517943851651776}, {21.835901263938453`, 8.363082143986507}}]},
    AspectRatio->1,
    Axes->True,
    AxesOrigin->NCache[{
       Rational[175, 9], 
       Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
    Epilog->{{
       RGBColor[1, 0, 0], 
       LineBox[
        NCache[{{
          Rational[175, 9] + Rational[130, 9] Sin[Rational[1, 9] Pi], 
           Rational[98, 9] + Rational[130, 9] Cos[Rational[1, 9] Pi]}, {
          Rational[175, 9] + Rational[-131, 9] Sin[Rational[1, 9] Pi], 
           Rational[98, 9] + Rational[-131, 9] Cos[Rational[1, 9] Pi]}}, {{
         24.38473540359299, 24.462226744685346`}, {
         14.466151247148598`, -2.788859258105999}}]]}, {
       PointSize[0.02], 
       RGBColor[1, 0, 0], 
       PointBox[
        NCache[{
         Rational[175, 9] + Rational[1, 9] Cos[Rational[1, 9] Pi] + 
          Rational[-23, 9] Sin[Rational[1, 9] Pi], Rational[98, 9] + 
          Rational[-23, 9] Cos[Rational[1, 9] Pi] + 
          Rational[-1, 9] Sin[Rational[1, 9] Pi]}, {18.674803258255057`, 
         8.449449953177606}]]}},
    PlotRange->{{5, 34}, {-3, 27}},
    PlotRangeClipping->True], ",", 
   GraphicsBox[
    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
     PointBox[{{18.262891711531605`, 8.620157301439768}, {18.396866307747167`,
       10.852208109008645`}, {18.16481550017829, 14.450284320361963`}, {
      23.726993326669362`, 10.084258916577523`}, {18.29879009639385, 
      16.68233512793084}, {18.030840903962726`, 12.218233512793084`}, {
      16.29879009639385, 13.218233512793084`}, {22.459044134238237`, 
      3.88810649387089}, {21.36096792288492, 7.986182705224207}}]},
    AspectRatio->1,
    Axes->True,
    AxesOrigin->NCache[{
       Rational[175, 9], 
       Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
    Epilog->{{
       RGBColor[1, 0, 0], 
       LineBox[
        NCache[{{
           Rational[80, 3], Rational[98, 9] + 
           Rational[65, 3] 3^Rational[-1, 2]}, {
           Rational[73, 6], Rational[98, 9] + 
           Rational[-131, 6] 3^Rational[-1, 2]}}, {{26.666666666666668`, 
         23.398144721330784`}, {
         12.166666666666666`, -1.7165919884179406`}}]]}, {
       PointSize[0.02], 
       RGBColor[1, 0, 0], 
       PointBox[
        NCache[{
         Rational[109, 6] + Rational[1, 6] 3^Rational[-1, 2], Rational[65, 6] + 
          Rational[-23, 6] 3^Rational[-1, 2]}, {18.262891711531605`, 
         8.620157301439768}]]}},
    PlotRange->{{5, 34}, {-3, 27}},
    PlotRangeClipping->True], ",", 
   GraphicsBox[
    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
     PointBox[{{17.886881046703174`, 8.859798910952996}, {18.406411822957274`,
       11.034675406877492`}, {18.802685765778936`, 14.618383955607506`}, {
      23.52220925792524, 9.352826244682753}, {19.322216542033036`, 
      16.793260451532}, {18.28315498952484, 12.44350745968301}, {
      16.75106610328688, 13.729082679056088`}, {21.197572486043963`, 
      3.470984366595806}, {20.827801985746646`, 7.697480525012358}}]},
    AspectRatio->1,
    Axes->True,
    AxesOrigin->NCache[{
       Rational[175, 9], 
       Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
    Epilog->{{
       RGBColor[1, 0, 0], 
       LineBox[
        NCache[{{
          Rational[175, 9] + Rational[130, 9] Sin[Rational[2, 9] Pi], 
           Rational[98, 9] + Rational[130, 9] Cos[Rational[2, 9] Pi]}, {
          Rational[175, 9] + Rational[-131, 9] Sin[Rational[2, 9] Pi], 
           Rational[98, 9] + Rational[-131, 9] Cos[Rational[2, 9] Pi]}}, {{
         28.7291543621389, 21.95397528949635}, {
         10.08831368122926, -0.26131356095401337`}}]]}, {
       PointSize[0.02], 
       RGBColor[1, 0, 0], 
       PointBox[
        NCache[{
         Rational[175, 9] + Rational[1, 9] Cos[Rational[2, 9] Pi] + 
          Rational[-23, 9] Sin[Rational[2, 9] Pi], Rational[98, 9] + 
          Rational[-23, 9] Cos[Rational[2, 9] Pi] + 
          Rational[-1, 9] Sin[Rational[2, 9] Pi]}, {17.886881046703174`, 
         8.859798910952996}]]}},
    PlotRange->{{5, 34}, {-3, 27}},
    PlotRangeClipping->True], ",", 
   GraphicsBox[
    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
     PointBox[{{17.558196157550004`, 9.161093392676737}, {18.44749743410142, 
      11.212713055168791`}, {19.460055544085275`, 14.673164770466366`}, {
      23.19352436877207, 8.668066058946982}, {20.349356820636693`, 
      16.724784432958423`}, {18.570754267533857`, 12.62154510797431}, {
      17.285179048160778`, 14.153633994212266`}, {19.88283292943128, 
      3.2792515145897894`}, {20.2526034297286, 7.505747673006341}}]},
    AspectRatio->1,
    Axes->True,
    AxesOrigin->NCache[{
       Rational[175, 9], 
       Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
    Epilog->{{
       RGBColor[1, 0, 0], 
       LineBox[
        NCache[{{
          Rational[175, 9] + Rational[130, 9] Cos[Rational[2, 9] Pi], 
           Rational[98, 9] + Rational[130, 9] Sin[Rational[2, 9] Pi]}, {
          Rational[175, 9] + Rational[-131, 9] Cos[Rational[2, 9] Pi], 
           Rational[98, 9] + Rational[-131, 9] Sin[Rational[2, 9] Pi]}}, {{
         30.509530845051906`, 20.173598806583346`}, {8.29424199460154, 
         1.5327581256737073`}}]]}, {
       PointSize[0.02], 
       RGBColor[1, 0, 0], 
       PointBox[
        NCache[{
         Rational[175, 9] + Rational[-23, 9] Cos[Rational[2, 9] Pi] + 
          Rational[1, 9] Sin[Rational[2, 9] Pi], Rational[98, 9] + 
          Rational[-1, 9] Cos[Rational[2, 9] Pi] + 
          Rational[-23, 9] Sin[Rational[2, 9] Pi]}, {17.558196157550004`, 
         9.161093392676737}]]}},
    PlotRange->{{5, 34}, {-3, 27}},
    PlotRangeClipping->True], ",", 
   GraphicsBox[
    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
     PointBox[{{17.286823968106432`, 9.514886066246174}, {18.51887477567531, 
      11.380911470030611`}, {20.116950987028627`, 14.61296227759949}, {
      22.75092558324419, 8.050784451108418}, {21.349001794597505`, 
      16.478987681383927`}, {18.884900179459752`, 12.74693687381505}, {
      17.884900179459752`, 14.478987681383927`}, {18.554773160537557`, 
      3.3187336435395407`}, {19.652849371890873`, 7.416809854892857}}]},
    AspectRatio->1,
    Axes->True,
    AxesOrigin->NCache[{
       Rational[175, 9], 
       Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
    Epilog->{{
       RGBColor[1, 0, 0], 
       LineBox[
        NCache[{{Rational[175, 9] + Rational[65, 3] 3^Rational[-1, 2], 
           Rational[163, 9]}, {
          Rational[175, 9] + Rational[-131, 6] 3^Rational[-1, 2], 
           Rational[65, 18]}}, {{31.953700276886337`, 18.11111111111111}, {
         6.838963567137613, 3.611111111111111}}]]}, {
       PointSize[0.02], 
       RGBColor[1, 0, 0], 
       PointBox[
        NCache[{
         Rational[39, 2] + Rational[-23, 6] 3^Rational[-1, 2], 
          Rational[173, 18] + Rational[-1, 6] 3^Rational[-1, 2]}, {
         17.286823968106432`, 9.514886066246174}]]}},
    PlotRange->{{5, 34}, {-3, 27}},
    PlotRangeClipping->True], ",", 
   GraphicsBox[
    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
     PointBox[{{17.08100998502775, 9.910427120302636}, {18.6183750832739, 
      11.534160027739881`}, {20.753412658980288`, 14.439605699288704`}, {
      22.207861041474057`, 7.519737210461677}, {22.290777757226437`, 
      16.06333860672595}, {19.216047560734136`, 12.815872791851458`}, {
      18.5320072740828, 14.695258033423276`}, {17.253745603409946`, 
      3.5882311089358474`}, {19.04676303579067, 7.433369401270578}}]},
    AspectRatio->1,
    Axes->True,
    AxesOrigin->NCache[{
       Rational[175, 9], 
       Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
    Epilog->{{
       RGBColor[1, 0, 0], 
       LineBox[
        NCache[{{
          Rational[175, 9] + Rational[130, 9] Cos[Rational[1, 9] Pi], 
           Rational[98, 9] + Rational[130, 9] Sin[Rational[1, 9] Pi]}, {
          Rational[175, 9] + Rational[-131, 9] Cos[Rational[1, 9] Pi], 
           Rational[98, 9] + Rational[-131, 9] Sin[Rational[1, 9] Pi]}}, {{
         33.017782300240896`, 15.829179848037437`}, {5.766696297449554, 
         5.910595691593045}}]]}, {
       PointSize[0.02], 
       RGBColor[1, 0, 0], 
       PointBox[
        NCache[{
         Rational[175, 9] + Rational[-23, 9] Cos[Rational[1, 9] Pi] + 
          Rational[1, 9] Sin[Rational[1, 9] Pi], Rational[98, 9] + 
          Rational[-1, 9] Cos[Rational[1, 9] Pi] + 
          Rational[-23, 9] Sin[Rational[1, 9] Pi]}, {17.08100998502775, 
         9.910427120302636}]]}},
    PlotRange->{{5, 34}, {-3, 27}},
    PlotRangeClipping->True], ",", 
   GraphicsBox[
    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
     PointBox[{{16.947007762042904`, 10.335698240072045`}, {18.74297509040039,
       11.667802348418114`}, {21.350101994103152`, 14.158362387443319`}, {
      21.580831484759457`, 7.091059938690933}, {23.14606932246064, 
      15.49046649578939}, {19.554134665745668`, 12.826258279097251`}, {
      19.206838310411808`, 14.795873785121668`}, {16.019281322020067`, 
      4.079555366664936}, {18.4527600480559, 7.554923158702351}}]},
    AspectRatio->1,
    Axes->True,
    AxesOrigin->NCache[{
       Rational[175, 9], 
       Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
    Epilog->{{
       RGBColor[1, 0, 0], 
       LineBox[
        NCache[{{
          Rational[175, 9] + Rational[130, 9] Cos[Rational[1, 18] Pi], 
           Rational[98, 9] + Rational[130, 9] Sin[Rational[1, 18] Pi]}, {
          Rational[175, 9] + Rational[-131, 9] Cos[Rational[1, 18] Pi], 
           Rational[98, 9] + Rational[-131, 9] Sin[Rational[1, 18] Pi]}}, {{
         33.66944532128745, 13.397140344077883`}, {5.110020483933415, 
         8.361343191736903}}]]}, {
       PointSize[0.02], 
       RGBColor[1, 0, 0], 
       PointBox[
        NCache[{
         Rational[175, 9] + Rational[-23, 9] Cos[Rational[1, 18] Pi] + 
          Rational[1, 9] Sin[Rational[1, 18] Pi], Rational[98, 9] + 
          Rational[-1, 9] Cos[Rational[1, 18] Pi] + 
          Rational[-23, 9] Sin[Rational[1, 18] Pi]}, {16.947007762042904`, 
         10.335698240072045`}]]}},
    PlotRange->{{5, 34}, {-3, 27}},
    PlotRangeClipping->True]}], "}"}]], "Output",
 CellChangeTimes->{
  3.459763258409766*^9, {3.459763384581566*^9, 3.4597633933255777`*^9}, 
   3.459763670990014*^9, 3.459763704645849*^9, {3.4597637778166018`*^9, 
   3.459763796656992*^9}, 3.4597638547303543`*^9, {3.459763889785812*^9, 
   3.4597638982503967`*^9}, 3.4597675664280653`*^9, 3.462410682941699*^9, 
   3.4624107479473157`*^9, 3.4624108150277452`*^9, {3.462410906475532*^9, 
   3.462410965334709*^9}, {3.462411009311391*^9, 3.4598804283193407`*^9}, 
   3.459920759462345*^9, 3.459920797520975*^9, {3.459921088751527*^9, 
   3.449096521348865*^9}, 3.464908878818585*^9, 3.466306995405719*^9, 
   3.4663070690849915`*^9, 3.466307471286769*^9, 3.555463830672682*^9, 
   3.5554639291365275`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tbl", "\[LeftDoubleBracket]", "2", 
  "\[RightDoubleBracket]"}]], "Input",
 CellChangeTimes->{{3.459763260658372*^9, 3.459763268806777*^9}}],

Cell[BoxData[
 GraphicsBox[
  {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
   PointBox[{{21.980469610771966`, 10.554544407408091`}, {19.83720592708062, 
    9.917033009729742}, {16.535486312710137`, 8.468362036706118}, {
    18.735831309390854`, 15.188368130124644`}, {14.392222629018788`, 
    7.83085063902777}, {18.678749996401482`, 9.105873434384465}, {
    18.331453641067622`, 7.136257928360049}, {24.991974182797964`, 
    16.116094570147478`}, {21.51660639076055, 13.682615844111645`}}]},
  AspectRatio->1,
  Axes->True,
  AxesOrigin->NCache[{
     Rational[175, 9], 
     Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
  Epilog->{{
     RGBColor[1, 0, 0], 
     LineBox[
      NCache[{{
        Rational[175, 9] + Rational[-130, 9] Cos[Rational[1, 18] Pi], 
         Rational[98, 9] + Rational[130, 9] Sin[Rational[1, 18] Pi]}, {
        Rational[175, 9] + Rational[131, 9] Cos[Rational[1, 18] Pi], 
         Rational[98, 9] + Rational[-131, 9] Sin[Rational[1, 18] Pi]}}, {{
       5.219443567601438, 13.397140344077883`}, {33.778868404955475`, 
       8.361343191736903}}]]}, {
     PointSize[0.02], 
     RGBColor[1, 0, 0], 
     PointBox[
      NCache[{
       Rational[175, 9] + Rational[23, 9] Cos[Rational[1, 18] Pi] + 
        Rational[1, 9] Sin[Rational[1, 18] Pi], Rational[98, 9] + 
        Rational[1, 9] Cos[Rational[1, 18] Pi] + 
        Rational[-23, 9] Sin[Rational[1, 18] Pi]}, {21.980469610771966`, 
       10.554544407408091`}]]}},
  PlotRange->{{5, 34}, {-3, 27}},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{
  3.459763269659314*^9, 3.459763921975959*^9, 3.459767577014584*^9, 
   3.462410683674904*^9, {3.4624110839578695`*^9, 3.459880428485606*^9}, 
   3.459920810909296*^9, {3.459921093207739*^9, 3.449096521584469*^9}, 
   3.4649088788877907`*^9, 3.466307069116191*^9, 3.5554638308527*^9, 
   3.555463929250539*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<demo.avi\>\"", ",", "tbl", ",", "\"\<AVI\>\""}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.459764119807858*^9, 3.4597641350714817`*^9}}],

Cell[BoxData["\<\"demo.avi\"\>"], "Output",
 CellChangeTimes->{
  3.459764136985012*^9, 3.4624106850165124`*^9, {3.462411090104309*^9, 
   3.4598804291822357`*^9}, {3.459920817446815*^9, 3.449096542188735*^9}, 
   3.464908880340762*^9, 3.4663070719710093`*^9, 3.555463832190834*^9, 
   3.555463936010215*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"\"\<demo.avi\>\"", ",", "\"\<Animation\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.4597641399303083`*^9, 3.459764156146085*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`i32$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {
    "\"min\"" :> {$CellContext`i32$$ = 1}, 
     "\"max\"" :> {$CellContext`i32$$ = 18}}, Typeset`bookmarkMode$$ = "Menu",
     Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`i32$$], 1, ""}, 1, 18, 1}}, Typeset`size$$ = 
    Automatic, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`i32$22657$$ = 0}, 
    PaneBox[
     PanelBox[
      DynamicWrapperBox[GridBox[{
         {
          ItemBox[
           ItemBox[
            StyleBox[GridBox[{
               {
                TagBox["\<\"\"\>",
                 HoldForm], 
                AnimatorBox[Dynamic[$CellContext`i32$$], {1, 18, 1},
                 AnimationRate->Automatic,
                 
                 AppearanceElements->{
                  "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
                   "DirectionButton"},
                 AutoAction->False,
                 DisplayAllSteps->True]}
              },
              AutoDelete->False,
              
              GridBoxAlignment->{
               "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
                "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
             "ListAnimateLabel",
             StripOnInput->False],
            Alignment->{Automatic, Inherited},
            StripOnInput->False],
           Background->None,
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            StyleBox[
             PaneBox[
              TagBox[
               PaneSelectorBox[{1->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3T+IpOUBx/GJMSSVKdIYSBEPixC0Sghh4TijWBsNYpHKM3lJEyXmjsTa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                   "], {{0, 358}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 358},
                 PlotRange->{{0, 360}, {0, 358}}], 2->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3UGIXPUdwPFnbamX2hwj9KDBQmiNWGrFLoSkFYunGrVoLgWNdBDaRmuV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                   "], {{0, 358}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 358},
                 PlotRange->{{0, 360}, {0, 358}}], 3->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U2InPUdwPHRtrSHQnMppKWHWDx4UAj0EhbEtCLklmgL5tCDRjp40tRG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                   "], {{0, 358}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 358},
                 PlotRange->{{0, 360}, {0, 358}}], 4->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U2IJGmZwPEcd8W97bIgCIKMe1jbw0KDl6Fg3d4VYW5+wvZRRzaZ00yr
IzueBC9z7GQ8NAuCsDr0RZiDbPbJ7Zsfeyl2UboxwWEG8eMwzEmaBjE3IiMz
KzIrqyqfyoiM9434/Sj7oyyq3woy/xP5VkU8H33h5c+P3zcajb7+V8Uvn//y
v//z17725W9+4S+Lv/zLN1/5txf+ovjD+JnR6MXif+Wf53CB0UrXCwGyoRhA
lG4AUboBROkGEKUbQJRuAFG6AUTpBhClG0CUbgBRugFEuT4FiFIMIEo3gCjd
AKJ0A4jSDSBKN4Ao3QCidAOomY4XP9B1Mpkt3zGbnGy+Y64bQM1sMpmWvxf1
WIZiOqkHY0k3gPOm40U3licb4+nm/6sbwDnTcT0VZT020jHadPTlAclZvVqp
v2dsfwO4SHFysXiJsrGxsXn+oRvAmeV3U0bLTY3l9sa5DQ7dAKJ0A4jSDSBK
N4Ao3QCidAOI0g0gSjeAKN0AolyZAkQpBhClG0CUbgBRugFE6QYQpRtAlG4A
UboBROkGEKUbQJRuAFGuTwGiFAOI0g0gSjeAKN0AonQDiNINIEo3gCjdAKJ0
A4jSDSBKN4Ao16cAUYoBROkGEKUbQJRuAFG6AUTpBhClG0CUbgBRugFE6QYQ
pRtAlOtTgCjFAKJ0A4jSDSBKN4Ao3QCidAOI0g2gZjpe/GDGyWRW//v6rxXd
ANZmk8m0/L2oxSIVxe/j6eLvG+XQDeC8KhSzyckiG9vh0A3gnOl4eZoxuqgb
dR0tEkjI6tWK8w1gL0Urqq2NSfGr/Q3gKsvvpiyMp2fv8f0U4EC6AUTpBhCl
G0CUbgBRugFE6QYQpRtAlG4AUa5MAaIUA4jSDSBKN4Ao3QCidAOI0g0gSjeA
KN0AonQDiNINjuTu3fmdO/Pf/a7rddAA3eB4inTcuDF/7bX5kyddL4WDuD6F
o3rvvfmrr86ffXZ+/37XS+H6FIMOFK9Wbt+eP/fc/OHDrpfCdegGnfnpT+e3
bs0/+9n5W291vRRidIOOvflm+bLlzp3yJQyZ0A2ScPduWY/iV1umOdANUlGc
bxRnHTdulGcgpE03SMtbb5U7Hs89V+5+kCrdIEVFNIp03L5tyzRNukG67t8v
X7a8+qot09ToBkl78qT8+dJqy5Rk6AYZsGWaGN0gG48elVumt27NT0+7XsrQ
uT6FzDx8OL95s9wydWltdxSDLN2/X256fOtbtkw7oRvk6smTshs3bszv3et6
KYOjG+SteLXy4otlPR486HopA6Ib9MGjR/Pnny/fbJkehW7QH8Upx82b5emH
LdOW6QZ9c+/ecsvUpbWt0Q16qNoyLerxve91vZR+0g16q3i18qUvla9c3I2w
abpBz52elj9i+vzz5d4pDdENBuHBg/J7tQa4NEQ3GBADXBri+hSGxQCXJigG
Q2SAy2F0g+EywOW6dIOhM8AlTjegZIBLhG7AkrsR7k03YIMBLnu4qBu//MXv
v/HK9HOf+X7x689/9s6RVwUdG+4Al9nkpKjCeLr1jtHJZHb2QTu7UUTjn/7x
P+pvD6aPj7BiSMtAB7gUpTjrxnRSD8bSzm68/NKPtrpRnHi0ulBI1BAHuNS6
sTzZqJ1+LOzsxqc/9d2tbhRv7777x/YXDEka1pbpxvnG8h2b6djZja+88MOt
aBQlaXmpkLyhDHA5143yXeOt/Y266p0Ppo+3uvGd139yvFVDyvo/wGVHN6bj
q883Cm/84HT9aqWIxtOnf2pvlZCf/g5wmY5H6++fLLc3zm1wXP7zG2+/3bdj
Ao0Z8AAXP/cFBxnkABfdgAYMbICLbkBjBjPARTegYQMY4KIb0Lz1AJeebpnq
BrSl2jLt4wAX3YB29XGAy5C74V4BHE81wKUvW6aD7YZ7BdCBe/f6McBlsPNT
3CuAbvRigMsAi1FxrwC6VA1wyXbLdLDdcK8AuldtmWY4wGWw3XCvAFKR4QCX
wXZj7l4BJKUa4JLJlumQu1FxrwBSUW2Z5nA3Qt2AtOQwwEU3IEXVAJdUt0x1
A9JVvGBJcoCLbkDSkhzgohuQgWqAS1GPNLZMj9MNV5BBA6ot0wQGuBzh+hRX
kEGTEhjgcoTzDVeQQfOqAS4dbZkeoRuuIINWVFumXQxwOUI3XEEGLepigMsR
uuEKMmhdNcDlWFumx/l+iivI4BiqLdP270Z4zJ/fcAUZHEP7A1z83Bf0UMsD
XHQDequ1AS66AT3XwgAX3YBBaHSAy2DnIMAQNTTARTFgWJoY4KIbMESHDXDR
DRiu6w5w0Q0YuvgAF90ASpEBLroBLO09wEU3gA17DHDRDWCHSwe46AaXy/cR
kunK01r2BQNcdi4yrZXvLdNlz9NeeYNrO/KXmeA/19TH7KmZT7VrgEsu3cjy
gDf6z3W1pD3/3SM/a3r8zyW4pMLfFB9WG+Cy8/qUfh8Bj4HQp+rBl5DXP5fg
ks4+bDXA5eZ1zzeyPwLJfEz6/9wIam6NRqej0f3R6ENdr4QE7ZMghql8eHQ6
wAXIzvI/K90NcAGys3E62sUAFyA7O17GHneAC0mbTU7KrY6TyazrlVytWut4
uvr7dJzL0rdXnv5hX3SjOsBnqyz+fms0+tWHP36EAS6H2V55+ge8tFzkxgFP
c9HTSXprukxxZFfPvuKYLv44HSd4XM+rrTyHw148XGeTyWLBxYFeHOHaAf/x
t1sf4HKI7ZXncMBLs1m12OUjOtlH+LJvtf8Opu7s2Xf2p+QO6061bnR82Pc6
bau/TqkO8PYBb3mASyOWD428Huer6qX+CC+PaiaHdONYjpI+qts2zjeW7+gy
HVecttW6MR0vP2DXAW9tgEsTlitfyuFxXi9c+o/w2WSc5LrO68X5xtm7ujrs
lx3GX/7i9994ZVo8eItff/6zd1b/9bv0gLcwwOVw65XX3pPF43wZjPQf4Ztd
Tlla+xvVU+xzn/l+9RS79GN3dKO7w37haVvxFVXT4bd+RLDcHrjygDc6wOVA
xVdYbcrUNzYyeZyv8pbAI3yn1fZt8mdvK1u75N3uNq+fYuu3B9PHF31wfeUJ
HPYLzzdefulH6278Q+2nzMerfcarD/iuAS6/fuO/Hn/0E+994K+LXx9P/rO1
r2tpebRXK0/ggO9lteyzA5zs91O4tvVTbP1WnHgc+DkjJzCHuPC07dOf+u66
G+uv6913/xj79JsDXIpozEej+tv/ffW1pr8iyMP6KVZ/Cz/FakInMKFPu9Wi
S07bvvLCD7e6UXyZ1/yHVwNcfvPBv9vqRnHicfjXBTlaP8XWb9d/ii20dAIT
alHx/2514zuv/+SgFZye/vmZZ7a6Uabj0a8P+rSQp/VTbP124FOs8ROY+bVa
9MYPTouVVN0ovqKnT/90yAIK7/zts1vRePq+9x/4OSFf1VNsHY0Dn2KNn8DM
D2hRg7dZKHczNrvxv5/8YlOfHDL19tvN3J6i8ROY+QEtavb2LKf/+lJ5jrGI
xh8+8vE///3HrhzgAuyp2ROY+QEtauO2Tr/97/9Z/mmPAS5ASFMnMJXrtegY
t4O7dIAL0Lloi453G8kLBrgA2Tnq7Wd3DXABstPBzauL843aABcgO53d7n41
wMXdCCE7HY/JePiwvKfH7dspXFoL7CmJ8ToGuEBWkujG3AAXyEkq3agY4AI5
SKsbFQNcIG0pdqNSbZmmcTdCoC7dblTuJT3ABYYp9W7M51kMcIFByaAblaQH
uMCwZNONSpIDXCBBrd78vIPrUw6X0gAXSFBLNz9fy6wYdbsGuADzdm5+Xpdx
N+bbA1yAShs3P6/LuxuV1QAXW6ZQaePm53V96Eal2jJ1N0Jo5+bndf3pRuXN
N8uXLXfuuLSWgWv85ud1fetG5e7dsh62TBm8Zm9+vtbPbsxXW6Y3brgbITSu
t92oGOACLeh5NyoGuECjBtGNigEu0JABdWNugAs0I8vrUw5kgAscZljFqDPA
Ba5ruN2oGOACcUPvRsUAF4jQjSUDXGBvurHBABfYg27sYIALXEo3LmSAC1xA
N65ggAucoxtXM8AFNunGvgxwgRXdiDHABYZ5fcrhDHBh2BTj+gxwYah04yAG
uDBIutEAA1wYGN1ojAEuDIZuNMwAFwZAN1phgAu9phttMcCFfphNTsqf1DiZ
zM7epxvtMsCFzE0n9WAs6cYxGOBCppYnG+Pp5rt143gMcCFTZT020qEbR2WA
C3maTcZb+xt13a1rSAxwITfTsfONNBjgQvKW2xvnNjh0o2MGuJAh3UiCAS5k
RTdSYYAL+dCNtBjgQg50I0UGuJA23UiXAS6kSjdSZ4AL6dGNDBjgQmJ0IxsG
uJAM3ciMAS4kwJUpWTLAhU4pRsYMcKEjupE3A1zogm70gQEuHJdu9Ee1ZXrn
TtfroP90o2/cwpT26QYQpRtAlG4AUboBROkGEOXnzIEoxQCidAOI0g0gSjeA
KN0AonQDiNINIEo3gCjdAKJ0A4jSDSDK9SlAlGIAUboBROkGEKUbQJRuAFG6
AUTpBhClG0CUbgBRugFE6QYQ5foUIEoxgCjdAKJ0A4jSDSBKN4Ao3QCidAOI
0g3gEtNx+fNdJ5NZ/Z26AVyoqMZ4uvh9oxy6AVxkNjlZZGM7HLoBXGR1urGj
G3VdLQ9IkPMNIMz+BhDn+ylAI3QDiNINIEo3gCjdAKJ0A4jSDSBKN4Ao3QCi
XJkCRCkGEKUbQJRuAFG6AUTpBhClG0CUbgBRugFE6QYQpRtAlG4AUa5PAaIU
A4jSDSBKN4Ao3QCidAOI0g0gSjeAKN0AonQDiNINIEo3gCjXp3CR/wdiKT3t

                   "], {{0, 358}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 358},
                 PlotRange->{{0, 360}, {0, 358}}], 5->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U+IZNtdwPHOUzErDS50kc2LZCGCMKLIpEEyUQyz0jGCiQth8sRiVnll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                   "], {{0, 358}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 358},
                 PlotRange->{{0, 360}, {0, 358}}], 6->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U2IJGcZwPH2C3OJSkQRvJggeElkQQ/rYHA0BEcPZpMgGW+dDTYDSnaM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                   "], {{0, 358}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 358},
                 PlotRange->{{0, 360}, {0, 358}}], 7->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3UGIa1cdx/FYKwqCiqK+7qYPF4O0JaBIGCiNijA7x1ZoFopp1TAgttPa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                   "], {{0, 358}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 358},
                 PlotRange->{{0, 360}, {0, 358}}], 8->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U1odFcdx/GxVnRncGMKCmlBHOGpREQJKa2xUphCwVjFZiOkFccRtI21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                   "], {{0, 358}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 358},
                 PlotRange->{{0, 360}, {0, 358}}], 9->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U+IJPtBB/A2Kg4IcfQ0hxw24YFzyIMBQZYJTyeK8G6uieAeN09tF8G8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                   "], {{0, 358}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 358},
                 PlotRange->{{0, 360}, {0, 358}}], 10->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U+IJNUBx/GO+XtJAjnnoJCrJ08ZEJOIZ6M5SG5xJY2nXWKUxIs5hJBL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                   "], {{0, 358}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 358},
                 PlotRange->{{0, 360}, {0, 358}}], 11->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3UGIHNlhBuCJHdtDCInISQcfZMhhLwFBLmJgsRJj0M1r55A5ymvSKBfv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                   "], {{0, 358}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 358},
                 PlotRange->{{0, 360}, {0, 358}}], 12->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3UGIHNlhBuCJHdtDCInISQcfZMhhLwFBLmJgsRJj0M1r55A5ymvSKBfv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                   "], {{0, 358}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 358},
                 PlotRange->{{0, 360}, {0, 358}}], 13->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U9oI9cBx3H1T2hoDw3tpYcWNj3lUhD0ohpC1IaAc4qSQqpDS50NFYZC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                   "], {{0, 358}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 358},
                 PlotRange->{{0, 360}, {0, 358}}], 14->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U+IJNUdwPGOiflLzDWEQNRTLgkDAVkGxE1EaU+2CnFyG1fSzEknRsl4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                   "], {{0, 358}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 358},
                 PlotRange->{{0, 360}, {0, 358}}], 15->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U+IJNd9wPGOnT++OWcnkPiWi4kgEMyA8SZGoJsk+2Af1yvS6CRNHClZ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                   "], {{0, 358}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 358},
                 PlotRange->{{0, 360}, {0, 358}}], 16->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U+IHGd6wOHeTUL2lj0uZA/am8MSMOxFDBgrMYa9Wd4c1occvDJpfLKd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                   "], {{0, 358}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 358},
                 PlotRange->{{0, 360}, {0, 358}}], 17->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3UFoXHd+wPHZbUvaS+reAu1BC1vwoQFDoSwCE3VDwLc429LdY9ahg0+J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                   "], {{0, 358}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 358},
                 PlotRange->{{0, 360}, {0, 358}}], 18->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U+IpGedwPHXqDinNbiX0ctOxIOgQmAXCQ1DZjcEwiLEqOBcFsYJWxsQ
ZtRN2PGkeMnRIjmEQGBgk8FLwEOw+mZumURZWmTGbigwzCyYuQyDYAwDkfKp
eqvffuutrur6ddfU+75Vnw9tT09NST956fnO2/X86UcuXv5W56Esy/77VHr3
re/9z7/+6Eff+/G3P5V+828/fv4/L34yfdD5RJY9l/43/HgAM2T76h4I0BqK
AUTpBhClG0CUbgBRugFE6QYQpRtAlG4AUboBROkGEKUbQJT9KUCUYgBRugFE
6QYQpRtAlG4AUboBROkGEKUbQEmvM1rQtdXtjx/od7cmHxjoBlDS73Z7w19T
Pcah6HXLwRjTDWBarzPqxvhmo9Ob/FPdAKb0OuVUDOsxkY5s0sqHBzTO/ncr
5Uc6Xt8AZkk3F6NvUSZe2Ji8/9AN4MB4NiUbv6gxfnlj6gUO3QCidAOI0g0g
SjeAKN0AonQDiNINIEo3gCjdAKLsTAGiFAOI0g0gSjeAKN0AonQDiNINIEo3
gCjdAKJ0A4jSDSBKN4Ao+1OAKMUAonQDiNINIEo3gCjdAKJ0A4jSDSBKN4Ao
3QCidAOI0g0gyv4UIEoxgCjdAKJ0A4jSDSBKN4Ao3QCidAOI0g0gSjeAKN0A
onQDiLI/BYhSDCBKN4Ao3QCidAOI0g0gSjeAKN0ASnqd0cKMrW6//Pvitznd
AAr9brc3/DXVYpSK9GunN/r9RDl0A5iWh6Lf3RploxoO3QCm9Drj24xsVjfK
ahok0CD736243wAWklqRv7TRTe+9vgEcZTybMtLpHTxiPgU4Id0AonQDiNIN
IEo3gCjdAKJ0A4jSDSBKN4AoO1OAKMUAonQDiNINIEo3gCjdAKJ0A4jSDSBK
N4Ao3QCidAOI0g0gyv4UIEoxgCjdAKJ0A4jSDSBKN4Ao3QCidAOI0g0gSjeA
KN0AonQDiLI/BYhSDCBKN4Ao3QCidAOI0g0gSjeAKN0AonQDiNINIEo3gCjd
AKLsTwGiFAOI0g0gqgnduHnjzgvP9555+vX0/r13b9c9HOAItXcjRePxs6+W
37Z7e/UOCZiv9m5cvvRWpRvpxqPeIQHz1d6NJ594rdKN9Hb37of1jgqYo/Zu
PHvxzUo0UknqHRJssH53K1Wh06s8kG11+wdPqr0b2729SjdefumdeocEmy2V
4qAbvW45GGO1dyO59sZO8d1Kisb9+x/XPSLYZKVujG82SrcfI03oRu7WrXt1
DwEYVO438gcezf7jO6XFEs3pBtAM1W7cvHHn6188+6V/OXgxIZtU20iBpqh2
4/Klt752+uzXzk50o7bRAc3T62TF/Mn45Y0s+/xXJyYv0iMWSwBzTC+WcL8B
zDe9WEI3gCNVFkvoBrCgYrGEbgBRJ+yGozNgA52kG47OgM10km44OgM200m6
4egM2Ewn6YajM2AznWRniqMzYDOdcD7F0RmwgZayfsPRGbBRrPsConQDiNIN
IEo3gCjd2GgffDB4++3Biy8OnntucO7c4Pz5ugdEO+jGBrl3b1iJn/988IMf
DCvx8MOD06eHH1y5MnjlleEfffRR3UOkHXRjbaUIpBSkIKQspDikRKRQpA9S
NFI60h/dM3vOMenG+rh+fXD16uAnPxnG4cyZwalTww/SNyDp25BUifQtCSzD
zRt3UjecntFKOzuDX/xiWImnnhp8+cvpH4DBY48NLlwYPpIq8f77dY+P9ZSf
nlHsT3F6RqPt7g5++cthE775zcGjjw4rkd6fPz98ZHt7+KewEvnpGXkxnJ7R
LOluIdUgNSGVId1FpEqkO4pUjPRIqke604Ca5PvRyt1wekY98snQ1IT0Xca5
c8NKnDkz/O4jPZK+E7l+ve7xwYH89IxyN5yesQrFZGi+ZOLUqfFkaKrE1avD
P4IGy0/PKHfD6RnLV0yGFksmislQSyZop2tv7BTdcHrGcqQUpNuGYslEMRlq
yQRrJHXD6RnHd/36eDI0XzKRZcMPLlywZIL1Zt1XwM7OeDK0vGQinwy1ZIJN
ohsz7e4eTIYWSybyyVBLJthsujGW7haKydBiyUQxGWrJBJRsaDcq+8fzJRPF
ZKglEzDXSX4OQmtU9o8XSyaK/eNAyZE/93kNi1HZP15eMpFPhloyAbMt8nOf
16Eb+ZKJWfvHLZmAiEV+7nP7ulEsmSgmQ/MlEyZDYRkW+bnPTe9GsWSi2D9e
LJkwGQoPwCI/97lZ3SgvmcgnQ4slE/aPw0os8nOf6+zG9P7x8pIJk6FQkyN/
7vPqupFPhhZLJuwfh2abs3PtQXUjnwwtH7mfT4Y6ch/ab2ndqBy5n0+GOnK/
/Zr1ClhES0feimEfOsijR145cj+fDK37yP1WXPBDNXnkSxzbiv8zG/jplvWc
BT24K7BQNw7dP77aJRNrc8GP/enqGtKCn3fFf2vW+NM1cEjTTztkf8ru7lPp
t5Uj96f2j6/NFaj9OQ3/dGvwn9CuT9fAIU0/7Uz6bT4ZWjpyfzvvxtwlE2tz
BWp/TvM/XcZmO51l57LsSpZdzbK30xdGlr0/+uCnWXY+yx6re3g0yiIJYg3N
OnL/ypViyYQvD9hoc/aPz14yoRuwZv547Vd7j/zzvc98Nr3f6/5v9Y/L+8fL
R+5H9o/rBqyTFI3B6CWI4u32v58fT4aWj9zPJ0OPu2RCN5in390avtSx1e3X
PZKj5WPt9PZ/3+u0ZejVkR//su/s/Okf/6nSjfuf/PR4MnR5SyZG3cgv8MEo
23PBqyNvx9f5eJAtuOC9bvPGNE+6svt/+9I1HX3Y6zTwuk4rjXzxy37Ykft/
+8RDlW6kt3u7f1zucNOXa7/bHQ04XejRFW7PBa+OvC1f5/1+PtjxBW7sBR/3
rfTvYNMd/O07+Khxl/VQpW7MuuzlI/en94/vL5m4/bkz1fuNhz4dHMnRt23l
71PyC9y2Cz40Hmm7vs73q9f0Cz68qi25pBPXMmv0Va2auN8Yeudn38++sVfe
P14+cn/2/vHf//DFSjd+d+67xx/MjH/USt3odcZPaNcFHxQjH2vD13m5cM2/
4P1up5Hjmtba+417//fmV77xh/L+8dOn//qlL/z2v46zf3znu5eG9xj70bj/
578ER3P0ZSy6sf+vX9sueGnkpUda8XU+DkbzL/hkl5usJa9vVJZMnD49ePgf
/v+zX3h/cv/4CS/7n379m+P+X4++bassERy+PNDkCz4l/RfmL8qUX9hoydf5
ft6aesH3X75t/N3bvsqr5A16tbmyf7yyZOKDD8ojb8BlX+h+Yzzm0lAbdMHn
qoy8ARd8IfvDPrjAbbngLGRnp3rk/sr3j59M6PUNIG53t3rkfnrf5iP3F7lt
0w0ISHcLlSP30x3F5h25rxsw0/SR+2fOOHJ/oBtQmLV/3JH7U3SDDVVMhlaO
3J+7f5ycbrAp8v3jlSP3062FI/fjdIP1VPz88fKR+xcu1Hvk/trQDdbBoUfu
55Oh7Vgy0TK6Qfsctn98+sh9HhzdoOnK+8eLJRNT+8dZJYdX0yz5koli/3i+
ZKKYDN3gJRONohjUqVgykU+Glo/czydDaSTdYHXmHLmfT4ZaMtESusEDVD5y
f3r/uCUTraUbLE2xZKKYDC0fuW8ydI3oBsdULJko9o8XSyZMhq473WAh5SUT
+WRosWRik/aPk9MNjvbRR8NE2D/OPt0AonQDiNINIEo3gCj7U4AoxQByN2/c
eeH53jNPv57ev/fu7TnP1A1gMIrG42dfLb9t9/ZmPVk3gOTypbcq3Ug3HrOe
rBtA8uQTr1W6kd7u3v3w0CfrBpA8e/HNSjRSSWY9WTeAZLu3V+nGyy+9M+vJ
ugHkrr2xU3y3kqJx//7Hs565rG4sPoMDNNmtW0efp7SUboRmcIC2W0o3QjM4
QNstpRuhGRyg7ZayPyU0gwO03VLuN0IzOEDbLWs+ZfEZHKDtlrt+Y5EZHKDt
rPsConQDiNINIEo3gCjdAKJ0A4jSDSBKN4AoPz8FiFIMIEo3gCjdAKJ0A4jS
DSBKN4Ao3QDm6Xe3his1trr9g8d0A5ij1y0HY0w3gJnGNxud3uTDugEcYViP
iXToBnCkfrdTeX2jrL5xAc3V67jfABYyfnlj6gUO3QCidAOI0g0gSjeAKN0A
onQD2uXmjTsvPN975unX0/v33r1dyxh0A1okRePxs6+W37Z7e6sfhm5Ai1y+
9FalG+nGY/XD0A1okSefeK3SjfR29+6HKx6GbkCLPHvxzUo0UklWPww7U6BF
tnt7lW68/NI7qx+GYkC7XHtjp/huJUXj/v2PVz8G3YA2unXrXo2fXTeAKN0A
onQDiNINIEo3gCjdAKJ0A4jSDSDKOnMgSjGAKN0AonQDiNINIEo3gCjdAKJ0
A4jSDSBKN4Ao3QCidAOIsj8FiFIMIEo3gCjdAKJ0A4jSDSBKN4Ao3QCidAOI
0g0gSjeAKN0AouxPAaIUA4jSDSBKN4Ao3QCidAOI0g0gSjeAKN0A5uh1huu7
trr98oO6AcyUqtHpjX6dKIduALP0u1ujbFTDoRvALPu3G4d0o6yu4QEN5H4D
CPP6BhBnPgVYCt0AonQDiNINIEo3gCjdAKJ0A4jSDSBKN4AoO1OAKMUAonQD
iNINIEo3gCjdAKJ0A4jSDSBKN4Ao3QCidAOI0g0gyv4UIEoxgCjdAKJ0A4jS
DSBKN4Ao3QCidAOI0g0gSjeAKN0AonQDiLI/hVn+DkteAkE=
                   "], {{0, 358}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 358},
                 PlotRange->{{0, 360}, {0, 358}}]}, 
                Dynamic[$CellContext`i32$$],
                Alignment->Automatic,
                ImageSize->All],
               Identity,
               Editable->True,
               Selectable->True],
              ImageMargins->10],
             Deployed->False,
             StripOnInput->False,
             ScriptLevel->0,
             GraphicsBoxOptions->{PreserveImageOptions->True},
             Graphics3DBoxOptions->{PreserveImageOptions->True}],
            Identity,
            Editable->False,
            Selectable->False],
           Alignment->{Left, Center},
           Background->GrayLevel[1],
           Frame->1,
           FrameStyle->GrayLevel[0, 0.2],
           ItemSize->Automatic,
           StripOnInput->False]}
        },
        AutoDelete->False,
        GridBoxAlignment->{
         "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Top}}, 
          "RowsIndexed" -> {}},
        GridBoxDividers->{
         "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
          "RowsIndexed" -> {}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.7], {
             Offset[0.5599999999999999]}, 
            Offset[0.7]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.4], {
             Offset[0.8]}, 
            Offset[0.4]}, "RowsIndexed" -> {}}], If[
        CurrentValue["SelectionOver"], 
        Manipulate`Dump`ReadControllerState[
         Map[Manipulate`Dump`updateOneVar[#, 
           CurrentValue["PreviousFormatTime"], 
           CurrentValue["CurrentFormatTime"]]& , {
           
           Manipulate`Dump`controllerLink[{$CellContext`i32$$, \
$CellContext`i32$22657$$}, "X1", 
            If["DefaultAbsolute", True, "JB1"], False, {1, 18, 1}, 18, 1.]}], 
         CurrentValue[{
          "ControllerData", {
           "Gamepad", "Joystick", "Multi-Axis Controller"}}], {}]],
       ImageSizeCache->{313., {163.00000000000003`, 167.20000000000002`}}],
      DefaultBaseStyle->{},
      FrameMargins->{{5, 5}, {5, 5}}],
     BaselinePosition->Automatic,
     ImageMargins->0],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "ListAnimate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.459880434492631*^9, {3.459920828047741*^9, 3.4490965586978493`*^9}, 
   3.464908890345793*^9, {3.466304943726519*^9, 3.466305033793334*^9}, 
   3.466307084997093*^9, 3.555463832558871*^9, 3.555463937252339*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Histogram", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"data", "\[LeftDoubleBracket]", 
      RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], "-", 
     RowBox[{
     "origin", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
    ")"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "6"}], ",", "6", ",", "1"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "10"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", " ", "1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4597647568116913`*^9, 3.4597648564545803`*^9}, {
   3.459765268007708*^9, 3.4597652693810253`*^9}, {3.4597663015280943`*^9, 
   3.45976631118547*^9}, 3.459766362137122*^9, {3.45976714739681*^9, 
   3.459767156609663*^9}, 3.4597672177060328`*^9, {3.45976850935461*^9, 
   3.459768562732923*^9}, {3.459768595321015*^9, 3.4597686383928947`*^9}, {
   3.459768725394772*^9, 3.459768756755309*^9}, {3.45976879089419*^9, 
   3.4597687921431293`*^9}, {3.459768858306643*^9, 3.459768896704505*^9}, {
   3.4597689345428867`*^9, 3.459768939166363*^9}, {3.4597690692292757`*^9, 
   3.459769076740913*^9}, {3.459769218997057*^9, 3.459769238341639*^9}, {
   3.459769619214273*^9, 3.459769651037878*^9}, {3.459769981949709*^9, 
   3.459769992299512*^9}, {3.459770584058381*^9, 3.45977062555412*^9}, {
   3.4624114238372483`*^9, 3.4624114440237775`*^9}, {3.4624116305385733`*^9, 
   3.4624116310065765`*^9}, {3.4624118686272993`*^9, 
   3.4624118801089735`*^9}, {3.462411959669483*^9, 3.459920962795701*^9}, {
   3.459921799044468*^9, 3.459921815672268*^9}, {3.459921911502304*^9, 
   3.459921914288681*^9}, {3.459922002314002*^9, 3.45992200447567*^9}, {
   3.459922038363744*^9, 3.459922060704277*^9}, {3.459922094864502*^9, 
   3.459922106236445*^9}, {3.459924273672722*^9, 3.459924333457951*^9}, {
   3.459924401662633*^9, 3.4599244627544413`*^9}, {3.4599245207339087`*^9, 
   3.459924555143955*^9}, {3.459924878020813*^9, 3.459924881679497*^9}, {
   3.459924945855749*^9, 3.459924954754366*^9}, {3.459925155233724*^9, 
   3.4599251881298018`*^9}, {3.459925254995358*^9, 3.459925266114622*^9}, {
   3.459925593667132*^9, 3.459925623101445*^9}, {3.4599256860900173`*^9, 
   3.459925724876278*^9}, {3.459927411464121*^9, 3.4599274346009007`*^9}, {
   3.4599275142082243`*^9, 3.459927520712469*^9}, {3.4599275512635183`*^9, 
   3.4599275525235987`*^9}, {3.459927653193022*^9, 3.459927680060195*^9}, {
   3.459927759531865*^9, 3.459927763957389*^9}, {3.459928235605446*^9, 
   3.459928263543418*^9}, 3.459928295189159*^9, {3.459928409877389*^9, 
   3.459928474069373*^9}, {3.459928570605895*^9, 3.4599285858530483`*^9}, {
   3.4599287098310013`*^9, 3.459928758104471*^9}, 3.459928832196555*^9, {
   3.459928866628386*^9, 3.459928893715382*^9}, {3.4599291609667387`*^9, 
   3.459929162673977*^9}, {3.459929249722604*^9, 3.459929250706863*^9}, {
   3.4599292821522427`*^9, 3.459929314747941*^9}, {3.459929346774406*^9, 
   3.45992937058962*^9}}],

Cell[BoxData[
 GraphicsBox[
  {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
   EdgeForm[Opacity[0.7]], {}, 
   {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
    EdgeForm[Opacity[0.7]], {}, 
    TagBox[
     TooltipBox[
      TagBox[
       DynamicBox[{
         FEPrivate`If[
          CurrentValue["MouseOver"], 
          EdgeForm[{
            GrayLevel[0.5], 
            AbsoluteThickness[1.5], 
            Opacity[0.66]}], {}, {}], 
         RectangleBox[{-5., 0.}, {-4., 1.}, "RoundingRadius" -> 0]},
        ImageSizeCache->{{32.449999999999974`, 55.899999999999984`}, {
         106.57999999999997`, 134.64}}],
       StatusArea[#, 1.]& ,
       TagBoxNote->"1."],
      StyleBox["1.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[1., {
        GrayLevel[0]}], "Tooltip"]& ], {}, 
    TagBox[
     TooltipBox[
      TagBox[
       DynamicBox[{
         FEPrivate`If[
          CurrentValue["MouseOver"], 
          EdgeForm[{
            GrayLevel[0.5], 
            AbsoluteThickness[1.5], 
            Opacity[0.66]}], {}, {}], 
         RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
        ImageSizeCache->{{78.55, 102.}, {106.57999999999997`, 134.64}}],
       StatusArea[#, 1.]& ,
       TagBoxNote->"1."],
      StyleBox["1.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[1., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       DynamicBox[{
         FEPrivate`If[
          CurrentValue["MouseOver"], 
          EdgeForm[{
            GrayLevel[0.5], 
            AbsoluteThickness[1.5], 
            Opacity[0.66]}], {}, {}], 
         RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
        ImageSizeCache->{{101.6, 125.04999999999998`}, {106.57999999999997`, 
         134.64}}],
       StatusArea[#, 1.]& ,
       TagBoxNote->"1."],
      StyleBox["1.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[1., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       DynamicBox[{
         FEPrivate`If[
          CurrentValue["MouseOver"], 
          EdgeForm[{
            GrayLevel[0.5], 
            AbsoluteThickness[1.5], 
            Opacity[0.66]}], {}, {}], 
         RectangleBox[{-1., 0.}, {0., 2.}, "RoundingRadius" -> 0]},
        ImageSizeCache->{{124.64999999999999`, 148.10000000000002`}, {
         78.91999999999997, 134.64}}],
       StatusArea[#, 2.]& ,
       TagBoxNote->"2."],
      StyleBox["2.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[2., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       DynamicBox[{
         FEPrivate`If[
          CurrentValue["MouseOver"], 
          EdgeForm[{
            GrayLevel[0.5], 
            AbsoluteThickness[1.5], 
            Opacity[0.66]}], {}, {}], 
         RectangleBox[{0., 0.}, {1., 1.}, "RoundingRadius" -> 0]},
        ImageSizeCache->{{147.7, 171.15000000000003`}, {106.57999999999997`, 
         134.64}}],
       StatusArea[#, 1.]& ,
       TagBoxNote->"1."],
      StyleBox["1.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[1., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       DynamicBox[{
         FEPrivate`If[
          CurrentValue["MouseOver"], 
          EdgeForm[{
            GrayLevel[0.5], 
            AbsoluteThickness[1.5], 
            Opacity[0.66]}], {}, {}], 
         RectangleBox[{1., 0.}, {2., 1.}, "RoundingRadius" -> 0]},
        ImageSizeCache->{{170.75, 194.20000000000002`}, {106.57999999999997`, 
         134.64}}],
       StatusArea[#, 1.]& ,
       TagBoxNote->"1."],
      StyleBox["1.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[1., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       DynamicBox[{
         FEPrivate`If[
          CurrentValue["MouseOver"], 
          EdgeForm[{
            GrayLevel[0.5], 
            AbsoluteThickness[1.5], 
            Opacity[0.66]}], {}, {}], 
         RectangleBox[{2., 0.}, {3., 1.}, "RoundingRadius" -> 0]},
        ImageSizeCache->{{193.8, 217.25000000000006`}, {106.57999999999997`, 
         134.64}}],
       StatusArea[#, 1.]& ,
       TagBoxNote->"1."],
      StyleBox["1.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[1., {
        GrayLevel[0]}], "Tooltip"]& ], {}, 
    TagBox[
     TooltipBox[
      TagBox[
       DynamicBox[{
         FEPrivate`If[
          CurrentValue["MouseOver"], 
          EdgeForm[{
            GrayLevel[0.5], 
            AbsoluteThickness[1.5], 
            Opacity[0.66]}], {}, {}], 
         RectangleBox[{4., 0.}, {5., 1.}, "RoundingRadius" -> 0]},
        ImageSizeCache->{{239.90000000000003`, 263.35}, {106.57999999999997`, 
         134.64}}],
       StatusArea[#, 1.]& ,
       TagBoxNote->"1."],
      StyleBox["1.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[1., {
        GrayLevel[0]}], "Tooltip"]& ], {}}, {}, {}},
  AspectRatio->1,
  Axes->{True, True},
  AxesOrigin->{-6., 0},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  PlotRange->{{-6, 6}, {0, 10}},
  PlotRangePadding->{{0, 0}, {0, 0}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.4599285866129723`*^9, 3.459928759197186*^9, 3.459928834001259*^9, {
   3.45992886825499*^9, 3.459928894748988*^9}, 3.459929163888171*^9, {
   3.4599291950736322`*^9, 3.459929251609085*^9}, {3.459929298066234*^9, 
   3.4599293160791693`*^9}, {3.4599293485248013`*^9, 3.449096559761866*^9}, 
   3.464908890624604*^9, 3.466307085262295*^9, 3.555463832959911*^9, 
   3.555463937595373*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "minus", "}"}], ",", 
     RowBox[{"{", "plus", "}"}]}], "}"}], "=", 
   RowBox[{"SplitBy", "[", 
    RowBox[{
     RowBox[{"Sort", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"#", "-", "origin"}], "&"}], "/@", "data"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"#1", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
          "<", 
         RowBox[{
         "#2", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
        "&"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "<", "0"}], "&"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         ">", "0"}], "&"}]}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.459924726220025*^9, 3.4599247330198193`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["minus"], "Input",
 CellChangeTimes->{{3.459924706477351*^9, 3.459924709015687*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["40", "9"]}], ",", 
     RowBox[{"-", 
      FractionBox["35", "9"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["22", "9"]}], ",", 
     RowBox[{"-", 
      FractionBox["26", "9"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["13", "9"]}], ",", 
     FractionBox["37", "9"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["4", "9"]}], ",", 
     RowBox[{"-", 
      FractionBox["35", "9"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["4", "9"]}], ",", 
     RowBox[{"-", 
      FractionBox["17", "9"]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.459924709417144*^9, 3.449096559981938*^9}, 
   3.464908890675932*^9, 3.4663070854026957`*^9, 3.555463833414956*^9, 
   3.5554639385144653`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["plus"], "Input",
 CellChangeTimes->{{3.4599247381553802`*^9, 3.4599247412668333`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox["5", "9"], ",", 
     RowBox[{"-", 
      FractionBox["8", "9"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["14", "9"], ",", 
     FractionBox["28", "9"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["23", "9"], ",", 
     FractionBox["1", "9"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["41", "9"], ",", 
     FractionBox["55", "9"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.4599247416305943`*^9, 3.4490965604255733`*^9}, 
   3.4649088906990223`*^9, 3.466307085465096*^9, 3.555463833571972*^9, 
   3.5554639388344975`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"histogramRange", "[", "data_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"minus", ",", "plus"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", "minus", "}"}], ",", 
        RowBox[{"{", "plus", "}"}]}], "}"}], "=", 
      RowBox[{"SplitBy", "[", 
       RowBox[{
        RowBox[{"Sort", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"#", "-", "origin"}], "&"}], "/@", "data"}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{
            "#1", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "<", 
            RowBox[{
            "#2", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
           "&"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
            "#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "<", 
            "0"}], "&"}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{
            "#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], ">", 
            "0"}], "&"}]}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Ceiling", "[", 
         RowBox[{"Max", "[", 
          RowBox[{"Norm", "/@", "minus"}], "]"}], "]"}]}], ",", 
       RowBox[{"Ceiling", "[", 
        RowBox[{"Max", "[", 
         RowBox[{"Norm", "/@", "plus"}], "]"}], "]"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.459924004232725*^9, 3.4599241962867517`*^9}, {
   3.459924237739068*^9, 3.459924259689907*^9}, 3.459924419301573*^9, 
   3.459924751200527*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"histogramRange", "[", "data", "]"}]], "Input",
 CellChangeTimes->{{3.459924082535233*^9, 3.459924116434023*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "6"}], ",", "8"}], "}"}]], "Output",
 CellChangeTimes->{{3.4599241168847227`*^9, 3.45992415455795*^9}, 
   3.459924262954067*^9, 3.459924423612616*^9, {3.459924756508526*^9, 
   3.4490965607939463`*^9}, 3.464908890743595*^9, 3.4663070855274963`*^9, 
   3.555463833597975*^9, 3.555463938895503*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Histogram", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"data", "\[LeftDoubleBracket]", 
      RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], "-", 
     RowBox[{
     "origin", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
    ")"}], ",", 
   RowBox[{"Append", "[", 
    RowBox[{
     RowBox[{"histogramRange", "[", "data", "]"}], ",", "1"}], "]"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"histogramRange", "[", "data", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"Length", "[", "data", "]"}]}], "}"}]}], "}"}]}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", " ", "1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.459928346607011*^9, 3.4599283600145473`*^9}, {
  3.459928941615415*^9, 3.4599289491874933`*^9}, {3.459929403403124*^9, 
  3.459929428386026*^9}, {3.459929473585994*^9, 3.459929475934558*^9}}],

Cell[BoxData[
 GraphicsBox[
  {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
   EdgeForm[Opacity[0.7]], {}, 
   {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
    EdgeForm[Opacity[0.7]], {}, 
    TagBox[
     TooltipBox[
      TagBox[
       DynamicBox[{
         FEPrivate`If[
          CurrentValue["MouseOver"], 
          EdgeForm[{
            GrayLevel[0.5], 
            AbsoluteThickness[1.5], 
            Opacity[0.66]}], {}, {}], 
         RectangleBox[{-5., 0.}, {-4., 1.}, "RoundingRadius" -> 0]},
        ImageSizeCache->{{25.81428571428573, 46.228571428571456`}, {
         102.10666666666664`, 133.64}}],
       StatusArea[#, 1.]& ,
       TagBoxNote->"1."],
      StyleBox["1.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[1., {
        GrayLevel[0]}], "Tooltip"]& ], {}, 
    TagBox[
     TooltipBox[
      TagBox[
       DynamicBox[{
         FEPrivate`If[
          CurrentValue["MouseOver"], 
          EdgeForm[{
            GrayLevel[0.5], 
            AbsoluteThickness[1.5], 
            Opacity[0.66]}], {}, {}], 
         RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
        ImageSizeCache->{{65.84285714285717, 86.2571428571429}, {
         102.10666666666664`, 133.64}}],
       StatusArea[#, 1.]& ,
       TagBoxNote->"1."],
      StyleBox["1.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[1., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       DynamicBox[{
         FEPrivate`If[
          CurrentValue["MouseOver"], 
          EdgeForm[{
            GrayLevel[0.5], 
            AbsoluteThickness[1.5], 
            Opacity[0.66]}], {}, {}], 
         RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
        ImageSizeCache->{{85.85714285714289, 106.2714285714286}, {
         102.10666666666664`, 133.64}}],
       StatusArea[#, 1.]& ,
       TagBoxNote->"1."],
      StyleBox["1.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[1., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       DynamicBox[{
         FEPrivate`If[
          CurrentValue["MouseOver"], 
          EdgeForm[{
            GrayLevel[0.5], 
            AbsoluteThickness[1.5], 
            Opacity[0.66]}], {}, {}], 
         RectangleBox[{-1., 0.}, {0., 2.}, "RoundingRadius" -> 0]},
        ImageSizeCache->{{105.87142857142861`, 126.28571428571433`}, {
         70.97333333333331, 133.64}}],
       StatusArea[#, 2.]& ,
       TagBoxNote->"2."],
      StyleBox["2.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[2., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       DynamicBox[{
         FEPrivate`If[
          CurrentValue["MouseOver"], 
          EdgeForm[{
            GrayLevel[0.5], 
            AbsoluteThickness[1.5], 
            Opacity[0.66]}], {}, {}], 
         RectangleBox[{0., 0.}, {1., 1.}, "RoundingRadius" -> 0]},
        ImageSizeCache->{{125.88571428571433`, 146.30000000000007`}, {
         102.10666666666664`, 133.64}}],
       StatusArea[#, 1.]& ,
       TagBoxNote->"1."],
      StyleBox["1.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[1., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       DynamicBox[{
         FEPrivate`If[
          CurrentValue["MouseOver"], 
          EdgeForm[{
            GrayLevel[0.5], 
            AbsoluteThickness[1.5], 
            Opacity[0.66]}], {}, {}], 
         RectangleBox[{1., 0.}, {2., 1.}, "RoundingRadius" -> 0]},
        ImageSizeCache->{{145.90000000000003`, 166.31428571428577`}, {
         102.10666666666664`, 133.64}}],
       StatusArea[#, 1.]& ,
       TagBoxNote->"1."],
      StyleBox["1.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[1., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       DynamicBox[{
         FEPrivate`If[
          CurrentValue["MouseOver"], 
          EdgeForm[{
            GrayLevel[0.5], 
            AbsoluteThickness[1.5], 
            Opacity[0.66]}], {}, {}], 
         RectangleBox[{2., 0.}, {3., 1.}, "RoundingRadius" -> 0]},
        ImageSizeCache->{{165.91428571428577`, 186.32857142857154`}, {
         102.10666666666664`, 133.64}}],
       StatusArea[#, 1.]& ,
       TagBoxNote->"1."],
      StyleBox["1.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[1., {
        GrayLevel[0]}], "Tooltip"]& ], {}, 
    TagBox[
     TooltipBox[
      TagBox[
       DynamicBox[{
         FEPrivate`If[
          CurrentValue["MouseOver"], 
          EdgeForm[{
            GrayLevel[0.5], 
            AbsoluteThickness[1.5], 
            Opacity[0.66]}], {}, {}], 
         RectangleBox[{4., 0.}, {5., 1.}, "RoundingRadius" -> 0]},
        ImageSizeCache->{{205.94285714285724`, 226.35714285714297`}, {
         102.10666666666664`, 133.64}}],
       StatusArea[#, 1.]& ,
       TagBoxNote->"1."],
      StyleBox["1.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[1., {
        GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}}, {}, {}},
  AspectRatio->1,
  Axes->{True, True},
  AxesOrigin->{-6., 0},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  PlotRange->{{-6, 8}, {0, 9}},
  PlotRangePadding->{{0, 0}, {0, 0}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.459928362517969*^9, 3.459928950327964*^9, 3.459929429187866*^9, {
   3.4599294768671293`*^9, 3.449096560909732*^9}, 3.464908890793962*^9, 
   3.4663070856366973`*^9, 3.5554638337909937`*^9, 3.555463940355649*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tbl", "=", 
  RowBox[{"Table", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Theta]", "=", 
      RowBox[{
       RowBox[{"Pi", "/", "18"}], "*", 
       RowBox[{"(", 
        RowBox[{"i", "-", "1"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"data1", "=", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"RotationMatrix", "[", 
           RowBox[{"-", "\[Theta]"}], "]"}], ".", 
          RowBox[{"(", 
           RowBox[{"#", "-", "origin"}], ")"}]}], "+", "origin"}], "&"}], "/@",
        "data"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"p", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"xmin", ",", 
          RowBox[{
          "origin", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
         "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"xmax", ",", 
          RowBox[{
          "origin", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
         "}"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"p", "=", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"RotationMatrix", "[", 
           RowBox[{"-", "\[Theta]"}], "]"}], ".", 
          RowBox[{"(", 
           RowBox[{"#", "-", "origin"}], ")"}]}], "+", "origin"}], "&"}], "/@",
        "p"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"GraphicsRow", "[", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"listPlotData", "[", 
         RowBox[{"data1", ",", "origin", ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"Red", ",", 
              RowBox[{"Line", "[", "p", "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", "0.02", "]"}], ",", "Red", ",", 
              RowBox[{"Point", "[", 
               RowBox[{
               "data1", "\[LeftDoubleBracket]", "1", 
                "\[RightDoubleBracket]"}], "]"}]}], "}"}]}], "}"}]}], "]"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"Histogram", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"data1", "\[LeftDoubleBracket]", 
             RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], "-", 
            RowBox[{
            "origin", "\[LeftDoubleBracket]", "1", 
             "\[RightDoubleBracket]"}]}], ")"}], ",", 
          RowBox[{"Append", "[", 
           RowBox[{
            RowBox[{"histogramRange", "[", "data1", "]"}], ",", "1"}], "]"}], 
          ",", 
          RowBox[{"PlotRange", "\[Rule]", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"histogramRange", "[", "data1", "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"Length", "[", "data1", "]"}]}], "}"}]}], "}"}]}], ",", 
          RowBox[{"AspectRatio", "\[Rule]", " ", "1"}]}], "]"}]}], "}"}], 
      "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"i", ",", "18"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.459921178662971*^9, 3.459921205578315*^9}, {
   3.459921246405821*^9, 3.459921278773986*^9}, {3.45992542306102*^9, 
   3.4599254570076838`*^9}, 3.459925499319661*^9, {3.4599289662773046`*^9, 
   3.4599289733205*^9}, 3.4599294981434526`*^9, {3.459929556504591*^9, 
   3.459929563278347*^9}, {3.4663068367463727`*^9, 3.4663068588361144`*^9}, 
   3.4663075254191165`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[{{}, {InsetBox[
       GraphicsBox[
        {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
         PointBox[{{22., 11.}, {20., 10.}, {17., 8.}, {18., 15.}, {15., 7.}, {
          19., 9.}, {19., 7.}, {24., 17.}, {21., 14.}}]},
        AspectRatio->1,
        Axes->True,
        AxesOrigin->NCache[{
           Rational[175, 9], 
           Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
        Epilog->{{
           RGBColor[1, 0, 0], 
           LineBox[
            NCache[{{5, 
               Rational[98, 9]}, {34, 
               Rational[98, 9]}}, {{5, 10.88888888888889}, {
              34, 10.88888888888889}}]]}, {
           PointSize[0.02], 
           RGBColor[1, 0, 0], 
           PointBox[{22, 11}]}},
        PlotRange->{{5, 34}, {-3, 27}},
        PlotRangeClipping->True], {192., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
       GraphicsBox[
        {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
         EdgeForm[Opacity[0.7]], {}, 
         {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
          EdgeForm[Opacity[0.7]], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-5., 0.}, {-4., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{11.43695852534562, 
               16.053917050691247`}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{19.87087557603687, 
               24.487834101382496`}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{24.087834101382494`, 
               28.70479262672812}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1., 0.}, {0., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{28.304792626728116`, 
               32.921751152073746`}, {-23.879426523297514`, -10.36}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{0., 0.}, {1., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{32.52175115207374, 
               37.138709677419364`}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{1., 0.}, {2., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{36.738709677419365`, 
               41.35566820276499}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{2., 0.}, {3., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{40.95566820276499, 
               45.57262672811061}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{4., 0.}, {5., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{49.38958525345624, 
               54.00654377880186}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}}, {}, {}},
        AspectRatio->1,
        Axes->{True, True},
        AxesOrigin->{-6., 0},
        FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
        GridLines->{None, None},
        PlotRange->{{-6, 8}, {0, 9}},
        PlotRangePadding->{{0, 0}, {0, 0}},
        Ticks->{Automatic, Automatic}], {576., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
    ContentSelectable->True,
    PlotRangePadding->{6, 5}], ",", 
   GraphicsBox[{{}, {InsetBox[
       GraphicsBox[
        {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
         PointBox[{{21.980469610771966`, 10.554544407408091`}, {
          19.83720592708062, 9.917033009729742}, {16.535486312710137`, 
          8.468362036706118}, {18.735831309390854`, 15.188368130124644`}, {
          14.392222629018788`, 7.83085063902777}, {18.678749996401482`, 
          9.105873434384465}, {18.331453641067622`, 7.136257928360049}, {
          24.991974182797964`, 16.116094570147478`}, {21.51660639076055, 
          13.682615844111645`}}]},
        AspectRatio->1,
        Axes->True,
        AxesOrigin->NCache[{
           Rational[175, 9], 
           Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
        Epilog->{{
           RGBColor[1, 0, 0], 
           LineBox[
            
            NCache[{{
              Rational[175, 9] + Rational[-130, 9] Cos[Rational[1, 18] Pi], 
               Rational[98, 9] + Rational[130, 9] Sin[Rational[1, 18] Pi]}, {
              Rational[175, 9] + Rational[131, 9] Cos[Rational[1, 18] Pi], 
               Rational[98, 9] + 
               Rational[-131, 9] Sin[Rational[1, 18] Pi]}}, {{
             5.219443567601438, 13.397140344077883`}, {33.778868404955475`, 
             8.361343191736903}}]]}, {
           PointSize[0.02], 
           RGBColor[1, 0, 0], 
           PointBox[
            
            NCache[{Rational[175, 9] + 
              Rational[23, 9] Cos[Rational[1, 18] Pi] + 
              Rational[1, 9] Sin[Rational[1, 18] Pi], Rational[98, 9] + 
              Rational[1, 9] Cos[Rational[1, 18] Pi] + 
              Rational[-23, 9] Sin[Rational[1, 18] Pi]}, {21.980469610771966`,
              10.554544407408091`}]]}},
        PlotRange->{{5, 34}, {-3, 27}},
        PlotRangeClipping->True], {192., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
       GraphicsBox[
        {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
         EdgeForm[Opacity[0.7]], {}, 
         {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
          EdgeForm[Opacity[0.7]], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-6., 0.}, {-5., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{7.219999999999994, 
               11.836958525345619`}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{19.87087557603687, 
               24.487834101382496`}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{24.087834101382494`, 
               28.70479262672812}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1., 0.}, {0., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{28.304792626728116`, 
               32.921751152073746`}, {-23.879426523297514`, -10.36}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{0., 0.}, {1., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{32.52175115207374, 
               37.138709677419364`}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{2., 0.}, {3., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{40.95566820276499, 
               45.57262672811061}, {-23.879426523297514`, -10.36}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{5., 0.}, {6., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{53.606543778801864`, 
               58.22350230414749}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}}, {}, {}},
        AspectRatio->1,
        Axes->{True, True},
        AxesOrigin->{-6., 0},
        FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
        GridLines->{None, None},
        PlotRange->{{-6, 8}, {0, 9}},
        PlotRangePadding->{{0, 0}, {0, 0}},
        Ticks->{Automatic, Automatic}], {576., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
    ContentSelectable->True,
    PlotRangePadding->{6, 5}], ",", 
   GraphicsBox[{{}, {InsetBox[
       GraphicsBox[
        {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
         PointBox[{{21.883883380155726`, 10.119247702699504`}, {
          19.66247799525824, 9.863595368564932}, {16.15935984624918, 
          9.010270556970122}, {19.49319347031477, 15.246098759145811`}, {
          13.937954461351694`, 8.75461822283555}, {18.380765231146665`, 
          9.265922891104694}, {17.69672494449533, 7.386537649532875}, {
          25.815389481681557`, 15.073363140763615`}, {21.970251189346826`, 
          13.280345708382898`}}]},
        AspectRatio->1,
        Axes->True,
        AxesOrigin->NCache[{
           Rational[175, 9], 
           Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
        Epilog->{{
           RGBColor[1, 0, 0], 
           LineBox[
            
            NCache[{{
              Rational[175, 9] + Rational[-130, 9] Cos[Rational[1, 9] Pi], 
               Rational[98, 9] + Rational[130, 9] Sin[Rational[1, 9] Pi]}, {
              Rational[175, 9] + Rational[131, 9] Cos[Rational[1, 9] Pi], 
               Rational[98, 9] + 
               Rational[-131, 9] Sin[Rational[1, 9] Pi]}}, {{
             5.871106588647988, 15.829179848037437`}, {33.12219259143933, 
             5.910595691593045}}]]}, {
           PointSize[0.02], 
           RGBColor[1, 0, 0], 
           PointBox[
            
            NCache[{Rational[175, 9] + Rational[23, 9] Cos[Rational[1, 9] Pi] + 
              Rational[1, 9] Sin[Rational[1, 9] Pi], Rational[98, 9] + 
              Rational[1, 9] Cos[Rational[1, 9] Pi] + 
              Rational[-23, 9] Sin[Rational[1, 9] Pi]}, {21.883883380155726`, 
             10.119247702699504`}]]}},
        PlotRange->{{5, 34}, {-3, 27}},
        PlotRangeClipping->True], {192., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
       GraphicsBox[
        {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
         EdgeForm[Opacity[0.7]], {}, 
         {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
          EdgeForm[Opacity[0.7]], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-6., 0.}, {-5., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{7.219999999999994, 
               11.836958525345619`}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-4., 0.}, {-3., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{15.653917050691245`, 
               20.27087557603687}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-2., 0.}, {-1., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{24.087834101382494`, 
               28.70479262672812}, {-23.87942652329751, \
-10.360000000000003`}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{0., 0.}, {1., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{32.52175115207374, 
               37.138709677419364`}, {-23.879426523297514`, -10.36}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{2., 0.}, {3., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{40.95566820276499, 
               45.57262672811061}, {-23.879426523297514`, -10.36}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{6., 0.}, {7., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{57.82350230414749, 
               62.44046082949311}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}}, {}, {}},
        AspectRatio->1,
        Axes->{True, True},
        AxesOrigin->{-6., 0},
        FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
        GridLines->{None, None},
        PlotRange->{{-6, 8}, {0, 9}},
        PlotRangePadding->{{0, 0}, {0, 0}},
        Ticks->{Automatic, Automatic}], {576., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
    ContentSelectable->True,
    PlotRangePadding->{6, 5}], ",", 
   GraphicsBox[{{}, {InsetBox[
       GraphicsBox[
        {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
         PointBox[{{21.713176031893568`, 9.707336155976048}, {
          19.48112522432469, 9.84131075219161}, {15.883049012971373`, 
          9.609259944622732}, {20.24907441675581, 15.171437771113803`}, {
          13.650998205402495`, 9.743234540838294}, {18.115099820540248`, 
          9.475285348407171}, {17.115099820540248`, 7.743234540838293}, {
          26.445226839462443`, 13.90348857868268}, {22.347150628109127`, 
          12.805412367329364`}}]},
        AspectRatio->1,
        Axes->True,
        AxesOrigin->NCache[{
           Rational[175, 9], 
           Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
        Epilog->{{
           RGBColor[1, 0, 0], 
           LineBox[
            NCache[{{Rational[175, 9] + Rational[-65, 3] 3^Rational[-1, 2], 
               Rational[163, 9]}, {
              Rational[175, 9] + Rational[131, 6] 3^Rational[-1, 2], 
               Rational[65, 18]}}, {{6.935188612002548, 18.11111111111111}, {
             32.049925321751275`, 3.611111111111111}}]]}, {
           PointSize[0.02], 
           RGBColor[1, 0, 0], 
           PointBox[
            
            NCache[{Rational[39, 2] + Rational[23, 6] 3^Rational[-1, 2], 
              Rational[173, 18] + Rational[1, 6] 3^Rational[-1, 2]}, {
             21.713176031893568`, 9.707336155976048}]]}},
        PlotRange->{{5, 34}, {-3, 27}},
        PlotRangeClipping->True], {192., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
       GraphicsBox[
        {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
         EdgeForm[Opacity[0.7]], {}, 
         {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
          EdgeForm[Opacity[0.7]], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-6., 0.}, {-5., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{7.219999999999994, 
               11.836958525345619`}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-4., 0.}, {-3., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{15.653917050691245`, 
               20.27087557603687}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{19.87087557603687, 
               24.487834101382496`}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{24.087834101382494`, 
               28.70479262672812}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{0., 0.}, {1., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{32.52175115207374, 
               37.138709677419364`}, {-23.879426523297514`, -10.36}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{2., 0.}, {3., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{40.95566820276499, 
               45.57262672811061}, {-23.879426523297514`, -10.36}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{7., 0.}, {8., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{62.040460829493114`, 
               66.65741935483875}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ]}, {}, {}},
        AspectRatio->1,
        Axes->{True, True},
        AxesOrigin->{-6., 0},
        FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
        GridLines->{None, None},
        PlotRange->{{-6, 8}, {0, 9}},
        PlotRangePadding->{{0, 0}, {0, 0}},
        Ticks->{Automatic, Automatic}], {576., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
    ContentSelectable->True,
    PlotRangePadding->{6, 5}], ",", 
   GraphicsBox[{{}, {InsetBox[
       GraphicsBox[
        {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
         PointBox[{{21.473534422380336`, 9.33132549114762}, {
          19.29865792645584, 9.85085626740172}, {15.714949377725826`, 
          10.247130210223384`}, {20.98050708865058, 14.966653702369689`}, {
          13.540072881801331`, 10.766660986477483`}, {17.889825873650324`, 
          9.727599433969282}, {16.604250654277244`, 8.195510547731326}, {
          26.862348966737525`, 12.64201693048841}, {22.635852808320976`, 
          12.272246430191093`}}]},
        AspectRatio->1,
        Axes->True,
        AxesOrigin->NCache[{
           Rational[175, 9], 
           Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
        Epilog->{{
           RGBColor[1, 0, 0], 
           LineBox[
            
            NCache[{{
              Rational[175, 9] + Rational[-130, 9] Cos[Rational[2, 9] Pi], 
               Rational[98, 9] + Rational[130, 9] Sin[Rational[2, 9] Pi]}, {
              Rational[175, 9] + Rational[131, 9] Cos[Rational[2, 9] Pi], 
               Rational[98, 9] + 
               Rational[-131, 9] Sin[Rational[2, 9] Pi]}}, {{
             8.379358043836982, 20.173598806583346`}, {30.594646894287344`, 
             1.5327581256737073`}}]]}, {
           PointSize[0.02], 
           RGBColor[1, 0, 0], 
           PointBox[
            
            NCache[{Rational[175, 9] + Rational[23, 9] Cos[Rational[2, 9] Pi] + 
              Rational[1, 9] Sin[Rational[2, 9] Pi], Rational[98, 9] + 
              Rational[1, 9] Cos[Rational[2, 9] Pi] + 
              Rational[-23, 9] Sin[Rational[2, 9] Pi]}, {21.473534422380336`, 
             9.33132549114762}]]}},
        PlotRange->{{5, 34}, {-3, 27}},
        PlotRangeClipping->True], {192., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
       GraphicsBox[
        {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
         EdgeForm[Opacity[0.7]], {}, 
         {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
          EdgeForm[Opacity[0.7]], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-6., 0.}, {-5., 1.}, "RoundingRadius" -> 0]},
              ImageSizeCache->{{7.219999999999994, 
               11.836958525345619`}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-4., 0.}, {-3., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{15.653917050691245`, 
               20.27087557603687}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{19.87087557603687, 
               24.487834101382496`}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{24.087834101382494`, 
               28.70479262672812}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1., 0.}, {0., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{28.304792626728116`, 
               32.921751152073746`}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{1., 0.}, {2., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{36.738709677419365`, 
               41.35566820276499}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{2., 0.}, {3., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{40.95566820276499, 
               45.57262672811061}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{3., 0.}, {4., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{45.172626728110615`, 
               49.78958525345624}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{7., 0.}, {8., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{62.040460829493114`, 
               66.65741935483875}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ]}, {}, {}},
        AspectRatio->1,
        Axes->{True, True},
        AxesOrigin->{-6., 0},
        FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
        GridLines->{None, None},
        PlotRange->{{-6, 8}, {0, 9}},
        PlotRangePadding->{{0, 0}, {0, 0}},
        Ticks->{Automatic, Automatic}], {576., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
    ContentSelectable->True,
    PlotRangePadding->{6, 5}], ",", 
   GraphicsBox[{{}, {InsetBox[
       GraphicsBox[
        {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
         PointBox[{{21.172239940656596`, 9.00264060199445}, {
          19.120620278164537`, 9.891941878545866}, {15.660168562866966`, 
          10.904499988529722`}, {21.665267274386352`, 14.637968813216517`}, {
          13.60854890037491, 11.79380126508114}, {17.711788225359022`, 
          10.015198711978305`}, {16.179699339121065`, 8.729623492605228}, {
          27.054081818743544`, 11.327277373875729`}, {22.82758566032699, 
          11.697047874173046`}}]},
        AspectRatio->1,
        Axes->True,
        AxesOrigin->NCache[{
           Rational[175, 9], 
           Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
        Epilog->{{
           RGBColor[1, 0, 0], 
           LineBox[
            
            NCache[{{
              Rational[175, 9] + Rational[-130, 9] Sin[Rational[2, 9] Pi], 
               Rational[98, 9] + Rational[130, 9] Cos[Rational[2, 9] Pi]}, {
              Rational[175, 9] + Rational[131, 9] Sin[Rational[2, 9] Pi], 
               Rational[98, 9] + 
               Rational[-131, 9] Cos[Rational[2, 9] Pi]}}, {{
             10.159734526749986`, 21.95397528949635}, {
             28.800575207659627`, -0.26131356095401337`}}]]}, {
           PointSize[0.02], 
           RGBColor[1, 0, 0], 
           PointBox[
            
            NCache[{Rational[175, 9] + Rational[1, 9] Cos[Rational[2, 9] Pi] + 
              Rational[23, 9] Sin[Rational[2, 9] Pi], Rational[98, 9] + 
              Rational[-23, 9] Cos[Rational[2, 9] Pi] + 
              Rational[1, 9] Sin[Rational[2, 9] Pi]}, {21.172239940656596`, 
             9.00264060199445}]]}},
        PlotRange->{{5, 34}, {-3, 27}},
        PlotRangeClipping->True], {192., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
       GraphicsBox[
        {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
         EdgeForm[Opacity[0.7]], {}, 
         {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
          EdgeForm[Opacity[0.7]], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-6., 0.}, {-5., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{7.219999999999994, 
               11.836958525345619`}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-4., 0.}, {-3., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{15.653917050691245`, 
               20.27087557603687}, {-23.87942652329751, \
-10.360000000000003`}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{24.087834101382494`, 
               28.70479262672812}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1., 0.}, {0., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{28.304792626728116`, 
               32.921751152073746`}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{1., 0.}, {2., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{36.738709677419365`, 
               41.35566820276499}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{2., 0.}, {3., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{40.95566820276499, 
               45.57262672811061}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{3., 0.}, {4., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{45.172626728110615`, 
               49.78958525345624}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{7., 0.}, {8., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{62.040460829493114`, 
               66.65741935483875}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ]}, {}, {}},
        AspectRatio->1,
        Axes->{True, True},
        AxesOrigin->{-6., 0},
        FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
        GridLines->{None, None},
        PlotRange->{{-6, 8}, {0, 9}},
        PlotRangePadding->{{0, 0}, {0, 0}},
        Ticks->{Automatic, Automatic}], {576., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
    ContentSelectable->True,
    PlotRangePadding->{6, 5}], ",", 
   GraphicsBox[{{}, {InsetBox[
       GraphicsBox[
        {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
         PointBox[{{20.81844726708716, 8.731268412550879}, {18.95242186330272,
           9.963319220119756}, {15.720371055733843`, 11.561395431473073`}, {
          22.282548882224916`, 14.195370027688634`}, {13.854345651949405`, 
          12.79344623904195}, {17.58639645951828, 10.329344623904195`}, {
          15.854345651949405`, 9.329344623904195}, {27.01459968979379, 
          9.999217604982002}, {22.916523478440475`, 11.097293816335318`}}]},
        AspectRatio->1,
        Axes->True,
        AxesOrigin->NCache[{
           Rational[175, 9], 
           Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
        Epilog->{{
           RGBColor[1, 0, 0], 
           LineBox[
            NCache[{{
               Rational[110, 9], Rational[98, 9] + 
               Rational[65, 3] 3^Rational[-1, 2]}, {
               Rational[481, 18], Rational[98, 9] + 
               Rational[-131, 6] 3^Rational[-1, 2]}}, {{12.222222222222221`, 
             23.398144721330784`}, {
             26.72222222222222, -1.7165919884179406`}}]]}, {
           PointSize[0.02], 
           RGBColor[1, 0, 0], 
           PointBox[
            
            NCache[{Rational[373, 18] + Rational[1, 6] 3^Rational[-1, 2], 
              Rational[197, 18] + Rational[-23, 6] 3^Rational[-1, 2]}, {
             20.81844726708716, 8.731268412550879}]]}},
        PlotRange->{{5, 34}, {-3, 27}},
        PlotRangeClipping->True], {192., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
       GraphicsBox[
        {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
         EdgeForm[Opacity[0.7]], {}, 
         {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
          EdgeForm[Opacity[0.7]], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-6., 0.}, {-5., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{7.219999999999994, 
               11.836958525345619`}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-4., 0.}, {-3., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{15.653917050691245`, 
               20.27087557603687}, {-23.87942652329751, \
-10.360000000000003`}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{24.087834101382494`, 
               28.70479262672812}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1., 0.}, {0., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{28.304792626728116`, 
               32.921751152073746`}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{1., 0.}, {2., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{36.738709677419365`, 
               41.35566820276499}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{2., 0.}, {3., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{40.95566820276499, 
               45.57262672811061}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{3., 0.}, {4., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{45.172626728110615`, 
               49.78958525345624}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{7., 0.}, {8., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{62.040460829493114`, 
               66.65741935483875}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ]}, {}, {}},
        AspectRatio->1,
        Axes->{True, True},
        AxesOrigin->{-6., 0},
        FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
        GridLines->{None, None},
        PlotRange->{{-6, 8}, {0, 9}},
        PlotRangePadding->{{0, 0}, {0, 0}},
        Ticks->{Automatic, Automatic}], {576., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
    ContentSelectable->True,
    PlotRangePadding->{6, 5}], ",", 
   GraphicsBox[{{}, {InsetBox[
       GraphicsBox[
        {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
         PointBox[{{20.422906213030696`, 8.525454429472198}, {
          18.79917330559345, 10.062819527718347`}, {15.89372763404463, 
          12.197857103424733`}, {22.813596122871658`, 13.652305485918506`}, {
          14.269994726607383`, 13.735222201670883`}, {17.517460541481874`, 
          10.660492005178586`}, {15.638075299910057`, 9.97645171852725}, {
          26.745102224397485`, 8.698190047854393}, {22.899963932062754`, 
          10.491207480235111`}}]},
        AspectRatio->1,
        Axes->True,
        AxesOrigin->NCache[{
           Rational[175, 9], 
           Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
        Epilog->{{
           RGBColor[1, 0, 0], 
           LineBox[
            
            NCache[{{
              Rational[175, 9] + Rational[-130, 9] Sin[Rational[1, 9] Pi], 
               Rational[98, 9] + Rational[130, 9] Cos[Rational[1, 9] Pi]}, {
              Rational[175, 9] + Rational[131, 9] Sin[Rational[1, 9] Pi], 
               Rational[98, 9] + 
               Rational[-131, 9] Cos[Rational[1, 9] Pi]}}, {{
             14.504153485295895`, 24.462226744685346`}, {
             24.422737641740287`, -2.788859258105999}}]]}, {
           PointSize[0.02], 
           RGBColor[1, 0, 0], 
           PointBox[
            
            NCache[{Rational[175, 9] + Rational[1, 9] Cos[Rational[1, 9] Pi] + 
              Rational[23, 9] Sin[Rational[1, 9] Pi], Rational[98, 9] + 
              Rational[-23, 9] Cos[Rational[1, 9] Pi] + 
              Rational[1, 9] Sin[Rational[1, 9] Pi]}, {20.422906213030696`, 
             8.525454429472198}]]}},
        PlotRange->{{5, 34}, {-3, 27}},
        PlotRangeClipping->True], {192., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
       GraphicsBox[
        {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
         EdgeForm[Opacity[0.7]], {}, 
         {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
          EdgeForm[Opacity[0.7]], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-6., 0.}, {-5., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{7.219999999999994, 
               11.836958525345619`}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-4., 0.}, {-3., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{15.653917050691245`, 
               20.27087557603687}, {-23.87942652329751, \
-10.360000000000003`}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{24.087834101382494`, 
               28.70479262672812}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1., 0.}, {0., 1.}, "RoundingRadius" -> 0]},
              ImageSizeCache->{{28.304792626728116`, 
               32.921751152073746`}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{0., 0.}, {1., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{32.52175115207374, 
               37.138709677419364`}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{3., 0.}, {4., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{45.172626728110615`, 
               49.78958525345624}, {-23.879426523297514`, -10.36}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{7., 0.}, {8., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{62.040460829493114`, 
               66.65741935483875}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ]}, {}, {}},
        AspectRatio->1,
        Axes->{True, True},
        AxesOrigin->{-6., 0},
        FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
        GridLines->{None, None},
        PlotRange->{{-6, 8}, {0, 9}},
        PlotRangePadding->{{0, 0}, {0, 0}},
        Ticks->{Automatic, Automatic}], {576., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
    ContentSelectable->True,
    PlotRangePadding->{6, 5}], ",", 
   GraphicsBox[{{}, {InsetBox[
       GraphicsBox[
        {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
         PointBox[{{19.997635093261287`, 8.391452206487351}, {
          18.66553098491522, 10.187419534844835`}, {16.174970945890013`, 
          12.7945464385476}, {23.2422733946424, 13.025275929203904`}, {
          14.842866837543943`, 14.590513766905085`}, {17.507075054236083`, 
          10.998579110190114`}, {15.537459548211665`, 10.651282754856252`}, {
          26.253777966668395`, 7.463725766464516}, {22.77841017463098, 
          9.897204492500348}}]},
        AspectRatio->1,
        Axes->True,
        AxesOrigin->NCache[{
           Rational[175, 9], 
           Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
        Epilog->{{
           RGBColor[1, 0, 0], 
           LineBox[
            
            NCache[{{
              Rational[175, 9] + Rational[-130, 9] Sin[Rational[1, 18] Pi], 
               Rational[98, 9] + Rational[130, 9] Cos[Rational[1, 18] Pi]}, {
              Rational[175, 9] + Rational[131, 9] Sin[Rational[1, 18] Pi], 
               Rational[98, 9] + 
               Rational[-131, 9] Cos[Rational[1, 18] Pi]}}, {{
             16.93619298925545, 25.113889765731894`}, {
             21.97199014159643, -3.445535071622139}}]]}, {
           PointSize[0.02], 
           RGBColor[1, 0, 0], 
           PointBox[
            
            NCache[{Rational[175, 9] + Rational[1, 9] Cos[Rational[1, 18] Pi] + 
              Rational[23, 9] Sin[Rational[1, 18] Pi], Rational[98, 9] + 
              Rational[-23, 9] Cos[Rational[1, 18] Pi] + 
              Rational[1, 9] Sin[Rational[1, 18] Pi]}, {19.997635093261287`, 
             8.391452206487351}]]}},
        PlotRange->{{5, 34}, {-3, 27}},
        PlotRangeClipping->True], {192., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
       GraphicsBox[
        {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
         EdgeForm[Opacity[0.7]], {}, 
         {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
          EdgeForm[Opacity[0.7]], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-5., 0.}, {-4., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{11.43695852534562, 
               16.053917050691247`}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-4., 0.}, {-3., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{15.653917050691245`, 
               20.27087557603687}, {-23.87942652329751, \
-10.360000000000003`}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{24.087834101382494`, 
               28.70479262672812}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1., 0.}, {0., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{28.304792626728116`, 
               32.921751152073746`}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{0., 0.}, {1., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{32.52175115207374, 
               37.138709677419364`}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{3., 0.}, {4., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{45.172626728110615`, 
               49.78958525345624}, {-23.879426523297514`, -10.36}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{6., 0.}, {7., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{57.82350230414749, 
               62.44046082949311}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}}, {}, {}},
        AspectRatio->1,
        Axes->{True, True},
        AxesOrigin->{-6., 0},
        FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
        GridLines->{None, None},
        PlotRange->{{-6, 8}, {0, 9}},
        PlotRangePadding->{{0, 0}, {0, 0}},
        Ticks->{Automatic, Automatic}], {576., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
    ContentSelectable->True,
    PlotRangePadding->{6, 5}], ",", 
   GraphicsBox[{{}, {InsetBox[
       GraphicsBox[
        {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
         PointBox[{{19.555555555555557`, 8.333333333333334}, {
          18.555555555555557`, 10.333333333333334`}, {16.555555555555557`, 
          13.333333333333334`}, {23.555555555555557`, 12.333333333333334`}, {
          15.555555555555555`, 15.333333333333334`}, {17.555555555555557`, 
          11.333333333333334`}, {15.555555555555555`, 11.333333333333334`}, {
          25.555555555555557`, 6.333333333333333}, {22.555555555555557`, 
          9.333333333333334}}]},
        AspectRatio->1,
        Axes->True,
        AxesOrigin->NCache[{
           Rational[175, 9], 
           Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
        Epilog->{{
           RGBColor[1, 0, 0], 
           LineBox[
            NCache[{{
               Rational[175, 9], 
               Rational[76, 3]}, {
               Rational[175, 9], 
               Rational[-11, 3]}}, {{19.444444444444443`, 
             25.333333333333332`}, {
             19.444444444444443`, -3.6666666666666665`}}]]}, {
           PointSize[0.02], 
           RGBColor[1, 0, 0], 
           PointBox[
            NCache[{
              Rational[176, 9], 
              Rational[25, 3]}, {19.555555555555557`, 8.333333333333334}]]}},
        PlotRange->{{5, 34}, {-3, 27}},
        PlotRangeClipping->True], {192., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
       GraphicsBox[
        {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
         EdgeForm[Opacity[0.7]], {}, 
         {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
          EdgeForm[Opacity[0.7]], {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-4., 0.}, {-3., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{15.653917050691245`, 
               20.27087557603687}, {-23.87942652329751, \
-10.360000000000003`}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{19.87087557603687, 
               24.487834101382496`}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{24.087834101382494`, 
               28.70479262672812}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1., 0.}, {0., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{28.304792626728116`, 
               32.921751152073746`}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{0., 0.}, {1., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{32.52175115207374, 
               37.138709677419364`}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{3., 0.}, {4., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{45.172626728110615`, 
               49.78958525345624}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{4., 0.}, {5., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{49.38958525345624, 
               54.00654377880186}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{6., 0.}, {7., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{57.82350230414749, 
               62.44046082949311}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}}, {}, {}},
        AspectRatio->1,
        Axes->{True, True},
        AxesOrigin->{-6., 0},
        FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
        GridLines->{None, None},
        PlotRange->{{-6, 8}, {0, 9}},
        PlotRangePadding->{{0, 0}, {0, 0}},
        Ticks->{Automatic, Automatic}], {576., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
    ContentSelectable->True,
    PlotRangePadding->{6, 5}], ",", 
   GraphicsBox[{{}, {InsetBox[
       GraphicsBox[
        {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
         PointBox[{{19.110099962963645`, 8.352863722561366}, {
          18.472588565285296`, 10.496127406252711`}, {17.02391759226167, 
          13.797847020623196`}, {23.743923685680198`, 11.597502023942475`}, {
          16.386406194583323`, 15.941110704314545`}, {17.66142898994002, 
          11.65458333693185}, {15.691813483915602`, 12.001879692265712`}, {
          24.67165012570303, 5.341359150535367}, {22.2381713996672, 
          8.816726942572783}}]},
        AspectRatio->1,
        Axes->True,
        AxesOrigin->NCache[{
           Rational[175, 9], 
           Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
        Epilog->{{
           RGBColor[1, 0, 0], 
           LineBox[
            
            NCache[{{
              Rational[175, 9] + Rational[130, 9] Sin[Rational[1, 18] Pi], 
               Rational[98, 9] + Rational[130, 9] Cos[Rational[1, 18] Pi]}, {
              Rational[175, 9] + Rational[-131, 9] Sin[Rational[1, 18] Pi], 
               Rational[98, 9] + 
               Rational[-131, 9] Cos[Rational[1, 18] Pi]}}, {{
             21.952695899633436`, 25.113889765731894`}, {
             16.916898747292457`, -3.445535071622139}}]]}, {
           PointSize[0.02], 
           RGBColor[1, 0, 0], 
           PointBox[
            
            NCache[{Rational[175, 9] + Rational[1, 9] Cos[Rational[1, 18] Pi] + 
              Rational[-23, 9] Sin[Rational[1, 18] Pi], Rational[98, 9] + 
              Rational[-23, 9] Cos[Rational[1, 18] Pi] + 
              Rational[-1, 9] Sin[Rational[1, 18] Pi]}, {19.110099962963645`, 
             8.352863722561366}]]}},
        PlotRange->{{5, 34}, {-3, 27}},
        PlotRangeClipping->True], {192., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
       GraphicsBox[
        {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
         EdgeForm[Opacity[0.7]], {}, 
         {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
          EdgeForm[Opacity[0.7]], {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-4., 0.}, {-3., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{15.653917050691245`, 
               20.27087557603687}, {-23.87942652329751, \
-10.360000000000003`}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{19.87087557603687, 
               24.487834101382496`}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{24.087834101382494`, 
               28.70479262672812}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1., 0.}, {0., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{28.304792626728116`, 
               32.921751152073746`}, {-23.879426523297514`, -10.36}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{2., 0.}, {3., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{40.95566820276499, 
               45.57262672811061}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{4., 0.}, {5., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{49.38958525345624, 
               54.00654377880186}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{5., 0.}, {6., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{53.606543778801864`, 
               58.22350230414749}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}}, {}, {}},
        AspectRatio->1,
        Axes->{True, True},
        AxesOrigin->{-6., 0},
        FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
        GridLines->{None, None},
        PlotRange->{{-6, 8}, {0, 9}},
        PlotRangePadding->{{0, 0}, {0, 0}},
        Ticks->{Automatic, Automatic}], {576., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
    ContentSelectable->True,
    PlotRangePadding->{6, 5}], ",", 
   GraphicsBox[{{}, {InsetBox[
       GraphicsBox[
        {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
         PointBox[{{18.674803258255057`, 8.449449953177606}, {
          18.419150924120487`, 10.67085533807509}, {17.565826112525677`, 
          14.173973487084153`}, {23.801654314701366`, 10.840139863018562`}, {
          17.310173778391103`, 16.395378871981638`}, {17.821478446660244`, 
          11.952568102186667`}, {15.94209320508843, 12.636608388838004`}, {
          23.628918696319168`, 4.517943851651776}, {21.835901263938453`, 
          8.363082143986507}}]},
        AspectRatio->1,
        Axes->True,
        AxesOrigin->NCache[{
           Rational[175, 9], 
           Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
        Epilog->{{
           RGBColor[1, 0, 0], 
           LineBox[
            
            NCache[{{
              Rational[175, 9] + Rational[130, 9] Sin[Rational[1, 9] Pi], 
               Rational[98, 9] + Rational[130, 9] Cos[Rational[1, 9] Pi]}, {
              Rational[175, 9] + Rational[-131, 9] Sin[Rational[1, 9] Pi], 
               Rational[98, 9] + 
               Rational[-131, 9] Cos[Rational[1, 9] Pi]}}, {{
             24.38473540359299, 24.462226744685346`}, {
             14.466151247148598`, -2.788859258105999}}]]}, {
           PointSize[0.02], 
           RGBColor[1, 0, 0], 
           PointBox[
            
            NCache[{Rational[175, 9] + Rational[1, 9] Cos[Rational[1, 9] Pi] + 
              Rational[-23, 9] Sin[Rational[1, 9] Pi], Rational[98, 9] + 
              Rational[-23, 9] Cos[Rational[1, 9] Pi] + 
              Rational[-1, 9] Sin[Rational[1, 9] Pi]}, {18.674803258255057`, 
             8.449449953177606}]]}},
        PlotRange->{{5, 34}, {-3, 27}},
        PlotRangeClipping->True], {192., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
       GraphicsBox[
        {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
         EdgeForm[Opacity[0.7]], {}, 
         {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
          EdgeForm[Opacity[0.7]], {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-4., 0.}, {-3., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{15.653917050691245`, 
               20.27087557603687}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{19.87087557603687, 
               24.487834101382496`}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-2., 0.}, {-1., 3.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{24.087834101382494`, 
               28.70479262672812}, {-30.439139784946246`, \
-10.360000000000003`}}],
             StatusArea[#, 3.]& ,
             TagBoxNote->"3."],
            StyleBox["3.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[3., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1., 0.}, {0., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{28.304792626728116`, 
               32.921751152073746`}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{2., 0.}, {3., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{40.95566820276499, 
               45.57262672811061}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{4., 0.}, {5., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{49.38958525345624, 
               54.00654377880186}, {-23.879426523297514`, -10.36}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}}, {}, {}},
        AspectRatio->1,
        Axes->{True, True},
        AxesOrigin->{-6., 0},
        FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
        GridLines->{None, None},
        PlotRange->{{-6, 8}, {0, 9}},
        PlotRangePadding->{{0, 0}, {0, 0}},
        Ticks->{Automatic, Automatic}], {576., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
    ContentSelectable->True,
    PlotRangePadding->{6, 5}], ",", 
   GraphicsBox[{{}, {InsetBox[
       GraphicsBox[
        {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
         PointBox[{{18.262891711531605`, 8.620157301439768}, {
          18.396866307747167`, 10.852208109008645`}, {18.16481550017829, 
          14.450284320361963`}, {23.726993326669362`, 10.084258916577523`}, {
          18.29879009639385, 16.68233512793084}, {18.030840903962726`, 
          12.218233512793084`}, {16.29879009639385, 13.218233512793084`}, {
          22.459044134238237`, 3.88810649387089}, {21.36096792288492, 
          7.986182705224207}}]},
        AspectRatio->1,
        Axes->True,
        AxesOrigin->NCache[{
           Rational[175, 9], 
           Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
        Epilog->{{
           RGBColor[1, 0, 0], 
           LineBox[
            NCache[{{
               Rational[80, 3], Rational[98, 9] + 
               Rational[65, 3] 3^Rational[-1, 2]}, {
               Rational[73, 6], Rational[98, 9] + 
               Rational[-131, 6] 3^Rational[-1, 2]}}, {{26.666666666666668`, 
             23.398144721330784`}, {
             12.166666666666666`, -1.7165919884179406`}}]]}, {
           PointSize[0.02], 
           RGBColor[1, 0, 0], 
           PointBox[
            
            NCache[{Rational[109, 6] + Rational[1, 6] 3^Rational[-1, 2], 
              Rational[65, 6] + Rational[-23, 6] 3^Rational[-1, 2]}, {
             18.262891711531605`, 8.620157301439768}]]}},
        PlotRange->{{5, 34}, {-3, 27}},
        PlotRangeClipping->True], {192., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
       GraphicsBox[
        {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
         EdgeForm[Opacity[0.7]], {}, 
         {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
          EdgeForm[Opacity[0.7]], {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-4., 0.}, {-3., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{15.653917050691245`, 
               20.27087557603687}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-2., 0.}, {-1., 5.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{24.08783410138249, 
               28.704792626728125`}, {-43.558566308243755`, -10.36}}],
             StatusArea[#, 5.]& ,
             TagBoxNote->"5."],
            StyleBox["5.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[5., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{1., 0.}, {2., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{36.738709677419365`, 
               41.35566820276499}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{3., 0.}, {4., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{45.172626728110615`, 
               49.78958525345624}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{4., 0.}, {5., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{49.38958525345624, 
               54.00654377880186}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}}, {}, {}},
        AspectRatio->1,
        Axes->{True, True},
        AxesOrigin->{-6., 0},
        FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
        GridLines->{None, None},
        PlotRange->{{-6, 8}, {0, 9}},
        PlotRangePadding->{{0, 0}, {0, 0}},
        Ticks->{Automatic, Automatic}], {576., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
    ContentSelectable->True,
    PlotRangePadding->{6, 5}], ",", 
   GraphicsBox[{{}, {InsetBox[
       GraphicsBox[
        {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
         PointBox[{{17.886881046703174`, 8.859798910952996}, {
          18.406411822957274`, 11.034675406877492`}, {18.802685765778936`, 
          14.618383955607506`}, {23.52220925792524, 9.352826244682753}, {
          19.322216542033036`, 16.793260451532}, {18.28315498952484, 
          12.44350745968301}, {16.75106610328688, 13.729082679056088`}, {
          21.197572486043963`, 3.470984366595806}, {20.827801985746646`, 
          7.697480525012358}}]},
        AspectRatio->1,
        Axes->True,
        AxesOrigin->NCache[{
           Rational[175, 9], 
           Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
        Epilog->{{
           RGBColor[1, 0, 0], 
           LineBox[
            
            NCache[{{
              Rational[175, 9] + Rational[130, 9] Sin[Rational[2, 9] Pi], 
               Rational[98, 9] + Rational[130, 9] Cos[Rational[2, 9] Pi]}, {
              Rational[175, 9] + Rational[-131, 9] Sin[Rational[2, 9] Pi], 
               Rational[98, 9] + 
               Rational[-131, 9] Cos[Rational[2, 9] Pi]}}, {{28.7291543621389,
              21.95397528949635}, {
             10.08831368122926, -0.26131356095401337`}}]]}, {
           PointSize[0.02], 
           RGBColor[1, 0, 0], 
           PointBox[
            
            NCache[{Rational[175, 9] + Rational[1, 9] Cos[Rational[2, 9] Pi] + 
              Rational[-23, 9] Sin[Rational[2, 9] Pi], Rational[98, 9] + 
              Rational[-23, 9] Cos[Rational[2, 9] Pi] + 
              Rational[-1, 9] Sin[Rational[2, 9] Pi]}, {17.886881046703174`, 
             8.859798910952996}]]}},
        PlotRange->{{5, 34}, {-3, 27}},
        PlotRangeClipping->True], {192., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
       GraphicsBox[
        {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
         EdgeForm[Opacity[0.7]], {}, 
         {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
          EdgeForm[Opacity[0.7]], {}, {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{19.87087557603687, 
               24.487834101382496`}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-2., 0.}, {-1., 3.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{24.087834101382494`, 
               28.70479262672812}, {-30.439139784946246`, \
-10.360000000000003`}}],
             StatusArea[#, 3.]& ,
             TagBoxNote->"3."],
            StyleBox["3.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[3., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1., 0.}, {0., 2.}, "RoundingRadius" -> 0]},
              ImageSizeCache->{{28.304792626728116`, 
               32.921751152073746`}, {-23.879426523297514`, -10.36}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{1., 0.}, {2., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{36.738709677419365`, 
               41.35566820276499}, {-23.879426523297514`, -10.36}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{4., 0.}, {5., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{49.38958525345624, 
               54.00654377880186}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}}, {}, {}},
        AspectRatio->1,
        Axes->{True, True},
        AxesOrigin->{-6., 0},
        FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
        GridLines->{None, None},
        PlotRange->{{-6, 8}, {0, 9}},
        PlotRangePadding->{{0, 0}, {0, 0}},
        Ticks->{Automatic, Automatic}], {576., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
    ContentSelectable->True,
    PlotRangePadding->{6, 5}], ",", 
   GraphicsBox[{{}, {InsetBox[
       GraphicsBox[
        {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
         PointBox[{{17.558196157550004`, 9.161093392676737}, {
          18.44749743410142, 11.212713055168791`}, {19.460055544085275`, 
          14.673164770466366`}, {23.19352436877207, 8.668066058946982}, {
          20.349356820636693`, 16.724784432958423`}, {18.570754267533857`, 
          12.62154510797431}, {17.285179048160778`, 14.153633994212266`}, {
          19.88283292943128, 3.2792515145897894`}, {20.2526034297286, 
          7.505747673006341}}]},
        AspectRatio->1,
        Axes->True,
        AxesOrigin->NCache[{
           Rational[175, 9], 
           Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
        Epilog->{{
           RGBColor[1, 0, 0], 
           LineBox[
            
            NCache[{{
              Rational[175, 9] + Rational[130, 9] Cos[Rational[2, 9] Pi], 
               Rational[98, 9] + Rational[130, 9] Sin[Rational[2, 9] Pi]}, {
              Rational[175, 9] + Rational[-131, 9] Cos[Rational[2, 9] Pi], 
               Rational[98, 9] + 
               Rational[-131, 9] Sin[Rational[2, 9] Pi]}}, {{
             30.509530845051906`, 20.173598806583346`}, {8.29424199460154, 
             1.5327581256737073`}}]]}, {
           PointSize[0.02], 
           RGBColor[1, 0, 0], 
           PointBox[
            
            NCache[{Rational[175, 9] + 
              Rational[-23, 9] Cos[Rational[2, 9] Pi] + 
              Rational[1, 9] Sin[Rational[2, 9] Pi], Rational[98, 9] + 
              Rational[-1, 9] Cos[Rational[2, 9] Pi] + 
              Rational[-23, 9] Sin[Rational[2, 9] Pi]}, {17.558196157550004`, 
             9.161093392676737}]]}},
        PlotRange->{{5, 34}, {-3, 27}},
        PlotRangeClipping->True], {192., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
       GraphicsBox[
        {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
         EdgeForm[Opacity[0.7]], {}, 
         {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
          EdgeForm[Opacity[0.7]], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{12.139784946236563`, 
               17.459569892473127`}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{17.059569892473124`, 
               22.379354838709688`}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1., 0.}, {0., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{21.979354838709686`, 
               27.29913978494625}, {-23.87942652329751, \
-10.360000000000003`}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{0., 0.}, {1., 4.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{26.899139784946243`, 
               32.21892473118281}, {-36.99885304659499, -10.36}}],
             StatusArea[#, 4.]& ,
             TagBoxNote->"4."],
            StyleBox["4.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[4., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{3., 0.}, {4., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{41.658494623655926`, 
               46.978279569892486`}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}, {}}, {}, {}},
        AspectRatio->1,
        Axes->{True, True},
        AxesOrigin->{-4., 0},
        FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
        GridLines->{None, None},
        PlotRange->{{-4, 8}, {0, 9}},
        PlotRangePadding->{{0, 0}, {0, 0}},
        Ticks->{Automatic, Automatic}], {576., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
    ContentSelectable->True,
    PlotRangePadding->{6, 5}], ",", 
   GraphicsBox[{{}, {InsetBox[
       GraphicsBox[
        {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
         PointBox[{{17.286823968106432`, 9.514886066246174}, {
          18.51887477567531, 11.380911470030611`}, {20.116950987028627`, 
          14.61296227759949}, {22.75092558324419, 8.050784451108418}, {
          21.349001794597505`, 16.478987681383927`}, {18.884900179459752`, 
          12.74693687381505}, {17.884900179459752`, 14.478987681383927`}, {
          18.554773160537557`, 3.3187336435395407`}, {19.652849371890873`, 
          7.416809854892857}}]},
        AspectRatio->1,
        Axes->True,
        AxesOrigin->NCache[{
           Rational[175, 9], 
           Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
        Epilog->{{
           RGBColor[1, 0, 0], 
           LineBox[
            NCache[{{Rational[175, 9] + Rational[65, 3] 3^Rational[-1, 2], 
               Rational[163, 9]}, {
              Rational[175, 9] + Rational[-131, 6] 3^Rational[-1, 2], 
               Rational[65, 18]}}, {{31.953700276886337`, 
             18.11111111111111}, {6.838963567137613, 3.611111111111111}}]]}, {
           PointSize[0.02], 
           RGBColor[1, 0, 0], 
           PointBox[
            
            NCache[{Rational[39, 2] + Rational[-23, 6] 3^Rational[-1, 2], 
              Rational[173, 18] + Rational[-1, 6] 3^Rational[-1, 2]}, {
             17.286823968106432`, 9.514886066246174}]]}},
        PlotRange->{{5, 34}, {-3, 27}},
        PlotRangeClipping->True], {192., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
       GraphicsBox[
        {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
         EdgeForm[Opacity[0.7]], {}, 
         {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
          EdgeForm[Opacity[0.7]], {}, {}, {}, {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{28.30479262672811, 
               32.92175115207374}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{32.52175115207373, 
               37.13870967741936}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1., 0.}, {0., 3.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{36.73870967741936, 
               41.35566820276498}, {-30.43913978494625, -10.36}}],
             StatusArea[#, 3.]& ,
             TagBoxNote->"3."],
            StyleBox["3.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[3., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{0., 0.}, {1., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{40.95566820276498, 
               45.572626728110606`}, {-23.879426523297514`, -10.36}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{1., 0.}, {2., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{45.17262672811061, 
               49.78958525345623}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{3., 0.}, {4., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{53.60654377880186, 
               58.22350230414748}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}}, {}, {}},
        AspectRatio->1,
        Axes->{True, True},
        AxesOrigin->{-8., 0},
        FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
        GridLines->{None, None},
        PlotRange->{{-8, 6}, {0, 9}},
        PlotRangePadding->{{0, 0}, {0, 0}},
        Ticks->{Automatic, Automatic}], {576., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
    ContentSelectable->True,
    PlotRangePadding->{6, 5}], ",", 
   GraphicsBox[{{}, {InsetBox[
       GraphicsBox[
        {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
         PointBox[{{17.08100998502775, 9.910427120302636}, {18.6183750832739, 
          11.534160027739881`}, {20.753412658980288`, 14.439605699288704`}, {
          22.207861041474057`, 7.519737210461677}, {22.290777757226437`, 
          16.06333860672595}, {19.216047560734136`, 12.815872791851458`}, {
          18.5320072740828, 14.695258033423276`}, {17.253745603409946`, 
          3.5882311089358474`}, {19.04676303579067, 7.433369401270578}}]},
        AspectRatio->1,
        Axes->True,
        AxesOrigin->NCache[{
           Rational[175, 9], 
           Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
        Epilog->{{
           RGBColor[1, 0, 0], 
           LineBox[
            
            NCache[{{
              Rational[175, 9] + Rational[130, 9] Cos[Rational[1, 9] Pi], 
               Rational[98, 9] + Rational[130, 9] Sin[Rational[1, 9] Pi]}, {
              Rational[175, 9] + Rational[-131, 9] Cos[Rational[1, 9] Pi], 
               Rational[98, 9] + 
               Rational[-131, 9] Sin[Rational[1, 9] Pi]}}, {{
             33.017782300240896`, 15.829179848037437`}, {5.766696297449554, 
             5.910595691593045}}]]}, {
           PointSize[0.02], 
           RGBColor[1, 0, 0], 
           PointBox[
            
            NCache[{Rational[175, 9] + 
              Rational[-23, 9] Cos[Rational[1, 9] Pi] + 
              Rational[1, 9] Sin[Rational[1, 9] Pi], Rational[98, 9] + 
              Rational[-1, 9] Cos[Rational[1, 9] Pi] + 
              Rational[-23, 9] Sin[Rational[1, 9] Pi]}, {17.08100998502775, 
             9.910427120302636}]]}},
        PlotRange->{{5, 34}, {-3, 27}},
        PlotRangeClipping->True], {192., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
       GraphicsBox[
        {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
         EdgeForm[Opacity[0.7]], {}, 
         {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
          EdgeForm[Opacity[0.7]], {}, {}, {}, {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-3., 0.}, {-2., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{28.30479262672811, 
               32.92175115207374}, {-23.879426523297514`, -10.36}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1., 0.}, {0., 4.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{36.73870967741936, 
               41.35566820276498}, {-36.99885304659499, -10.36}}],
             StatusArea[#, 4.]& ,
             TagBoxNote->"4."],
            StyleBox["4.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[4., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{1., 0.}, {2., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{45.17262672811061, 
               49.78958525345623}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{2., 0.}, {3., 2.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{49.38958525345623, 
               54.006543778801856`}, {-23.879426523297514`, -10.36}}],
             StatusArea[#, 2.]& ,
             TagBoxNote->"2."],
            StyleBox["2.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[2., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}}, {}, {}},
        AspectRatio->1,
        Axes->{True, True},
        AxesOrigin->{-8., 0},
        FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
        GridLines->{None, None},
        PlotRange->{{-8, 6}, {0, 9}},
        PlotRangePadding->{{0, 0}, {0, 0}},
        Ticks->{Automatic, Automatic}], {576., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
    ContentSelectable->True,
    PlotRangePadding->{6, 5}], ",", 
   GraphicsBox[{{}, {InsetBox[
       GraphicsBox[
        {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
         PointBox[{{16.947007762042904`, 10.335698240072045`}, {
          18.74297509040039, 11.667802348418114`}, {21.350101994103152`, 
          14.158362387443319`}, {21.580831484759457`, 7.091059938690933}, {
          23.14606932246064, 15.49046649578939}, {19.554134665745668`, 
          12.826258279097251`}, {19.206838310411808`, 14.795873785121668`}, {
          16.019281322020067`, 4.079555366664936}, {18.4527600480559, 
          7.554923158702351}}]},
        AspectRatio->1,
        Axes->True,
        AxesOrigin->NCache[{
           Rational[175, 9], 
           Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
        Epilog->{{
           RGBColor[1, 0, 0], 
           LineBox[
            
            NCache[{{
              Rational[175, 9] + Rational[130, 9] Cos[Rational[1, 18] Pi], 
               Rational[98, 9] + Rational[130, 9] Sin[Rational[1, 18] Pi]}, {
              Rational[175, 9] + Rational[-131, 9] Cos[Rational[1, 18] Pi], 
               Rational[98, 9] + 
               Rational[-131, 9] Sin[Rational[1, 18] Pi]}}, {{
             33.66944532128745, 13.397140344077883`}, {5.110020483933415, 
             8.361343191736903}}]]}, {
           PointSize[0.02], 
           RGBColor[1, 0, 0], 
           PointBox[
            
            NCache[{Rational[175, 9] + 
              Rational[-23, 9] Cos[Rational[1, 18] Pi] + 
              Rational[1, 9] Sin[Rational[1, 18] Pi], Rational[98, 9] + 
              Rational[-1, 9] Cos[Rational[1, 18] Pi] + 
              Rational[-23, 9] Sin[Rational[1, 18] Pi]}, {16.947007762042904`,
              10.335698240072045`}]]}},
        PlotRange->{{5, 34}, {-3, 27}},
        PlotRangeClipping->True], {192., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
       GraphicsBox[
        {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
         EdgeForm[Opacity[0.7]], {}, 
         {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
          EdgeForm[Opacity[0.7]], {}, {}, {}, {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-4., 0.}, {-3., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{24.087834101382487`, 
               28.704792626728114`}, {-17.319713261648744`, \
-10.360000000000003`}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{28.30479262672811, 
               32.92175115207374}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{-1., 0.}, {0., 3.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{36.73870967741936, 
               41.35566820276498}, {-30.43913978494625, -10.36}}],
             StatusArea[#, 3.]& ,
             TagBoxNote->"3."],
            StyleBox["3.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[3., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{0., 0.}, {1., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{40.95566820276498, 
               45.572626728110606`}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{1., 0.}, {2., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{45.17262672811061, 
               49.78958525345623}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{2., 0.}, {3., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{49.38958525345623, 
               54.006543778801856`}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], 
          TagBox[
           TooltipBox[
            TagBox[
             DynamicBox[{
               FEPrivate`If[
                CurrentValue["MouseOver"], 
                EdgeForm[{
                  GrayLevel[0.5], 
                  AbsoluteThickness[1.5], 
                  Opacity[0.66]}], {}, {}], 
               RectangleBox[{3., 0.}, {4., 1.}, "RoundingRadius" -> 0]},
              
              ImageSizeCache->{{53.60654377880186, 
               58.22350230414748}, {-17.319713261648747`, -10.36}}],
             StatusArea[#, 1.]& ,
             TagBoxNote->"1."],
            StyleBox["1.`", {
              GrayLevel[0]}, StripOnInput -> False]],
           Annotation[#, 
            Style[1., {
              GrayLevel[0]}], "Tooltip"]& ], {}, {}}, {}, {}},
        AspectRatio->1,
        Axes->{True, True},
        AxesOrigin->{-8., 0},
        FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
        GridLines->{None, None},
        PlotRange->{{-8, 6}, {0, 9}},
        PlotRangePadding->{{0, 0}, {0, 0}},
        Ticks->{Automatic, Automatic}], {576., -189.}, 
       ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
    ContentSelectable->True,
    PlotRangePadding->{6, 5}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.459921285822604*^9, 3.459925459776895*^9, 3.4599289799006453`*^9, 
   3.4599295009788733`*^9, {3.45992957272187*^9, 3.449096562009295*^9}, 
   3.464908891563387*^9, 3.4663068740774117`*^9, {3.4663070867287045`*^9, 
   3.466307097165171*^9}, 3.4663075280867333`*^9, 3.5554638372333384`*^9, 
   3.5554639438409977`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ListAnimate", "[", "tbl", "]"}], 
  RowBox[{
  "(*", " ", "\:76f4\:63a5\:5b9f\:884c\:3057\:305f\:3044\:3068\:304d", " ", 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.449096707825984*^9, 3.449096750526258*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`i33$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {
    "\"min\"" :> {$CellContext`i33$$ = 1}, 
     "\"max\"" :> {$CellContext`i33$$ = 18}}, Typeset`bookmarkMode$$ = "Menu",
     Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`i33$$], 1, ""}, 1, 18, 1}}, Typeset`size$$ = 
    Automatic, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`i33$23303$$ = 0}, 
    PaneBox[
     PanelBox[
      DynamicWrapperBox[GridBox[{
         {
          ItemBox[
           ItemBox[
            StyleBox[GridBox[{
               {
                TagBox["\<\"\"\>",
                 HoldForm], 
                AnimatorBox[Dynamic[$CellContext`i33$$], {1, 18, 1},
                 AnimationRate->Automatic,
                 
                 AppearanceElements->{
                  "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
                   "DirectionButton"},
                 AutoAction->False,
                 DisplayAllSteps->True]}
              },
              AutoDelete->False,
              
              GridBoxAlignment->{
               "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
                "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
             "ListAnimateLabel",
             StripOnInput->False],
            Alignment->{Automatic, Inherited},
            StripOnInput->False],
           Background->None,
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            StyleBox[
             PaneBox[
              TagBox[
               PaneSelectorBox[{1->
                GraphicsBox[{{}, {InsetBox[
                    GraphicsBox[
                    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
                    PointBox[{{22., 11.}, {20., 10.}, {17., 8.}, {18., 15.}, {
                    15., 7.}, {19., 9.}, {19., 7.}, {24., 17.}, {21., 14.}}]},
                    AspectRatio->1,
                    Axes->True,
                    AxesOrigin->NCache[{
                    Rational[175, 9], 
                    Rational[98, 9]}, {19.444444444444443`, 
                    10.88888888888889}],
                    Epilog->{{
                    RGBColor[1, 0, 0], 
                    LineBox[
                    NCache[{{5, 
                    Rational[98, 9]}, {34, 
                    Rational[98, 9]}}, {{5, 10.88888888888889}, {
                    34, 10.88888888888889}}]]}, {
                    PointSize[0.02], 
                    RGBColor[1, 0, 0], 
                    PointBox[{22, 11}]}},
                    PlotRange->{{5, 34}, {-3, 27}},
                    PlotRangeClipping->True], {192., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
                    GraphicsBox[
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, 
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-5., 0.}, {-4., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{16.413917050691257`, 
                    26.0078341013825}, {-25.06164874551972, \
-10.360000000000003`}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{34.80175115207375, 
                    44.395668202765}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{43.995668202765, 
                    53.58958525345624}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-1., 0.}, {0., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{53.189585253456244`, 
                    62.7835023041475}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{0., 0.}, {1., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{62.3835023041475, 
                    71.97741935483876}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{1., 0.}, {2., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{71.57741935483875, 
                    81.17133640553}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{2., 0.}, {3., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{80.77133640553, 
                    90.36525345622125}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{4., 0.}, {5., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{99.1591705069125, 
                    108.75308755760373`}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}}, {}, {}},
                    AspectRatio->1,
                    Axes->{True, True},
                    AxesOrigin->{-6., 0},
                    
                    FrameTicks->{{Automatic, Automatic}, {
                    Automatic, Automatic}},
                    GridLines->{None, None},
                    PlotRange->{{-6, 8}, {0, 9}},
                    PlotRangePadding->{{0, 0}, {0, 0}},
                    Ticks->{Automatic, Automatic}], {576., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
                 ContentSelectable->True,
                 PlotRangePadding->{6, 5}], 2->
                GraphicsBox[{{}, {InsetBox[
                    GraphicsBox[
                    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
                    PointBox[{{21.980469610771966`, 10.554544407408091`}, {
                    19.83720592708062, 9.917033009729742}, {
                    16.535486312710137`, 8.468362036706118}, {
                    18.735831309390854`, 15.188368130124644`}, {
                    14.392222629018788`, 7.83085063902777}, {
                    18.678749996401482`, 9.105873434384465}, {
                    18.331453641067622`, 7.136257928360049}, {
                    24.991974182797964`, 16.116094570147478`}, {
                    21.51660639076055, 13.682615844111645`}}]},
                    AspectRatio->1,
                    Axes->True,
                    AxesOrigin->NCache[{
                    Rational[175, 9], 
                    Rational[98, 9]}, {19.444444444444443`, 
                    10.88888888888889}],
                    Epilog->{{
                    RGBColor[1, 0, 0], 
                    LineBox[
                    
                    NCache[{{
                    Rational[175, 9] + 
                    Rational[-130, 9] Cos[Rational[1, 18] Pi], 
                    Rational[98, 9] + 
                    Rational[130, 9] Sin[Rational[1, 18] Pi]}, {
                    Rational[175, 9] + 
                    Rational[131, 9] Cos[Rational[1, 18] Pi], Rational[98, 9] + 
                    Rational[-131, 9] Sin[Rational[1, 18] Pi]}}, {{
                    5.219443567601438, 13.397140344077883`}, {
                    33.778868404955475`, 8.361343191736903}}]]}, {
                    PointSize[0.02], 
                    RGBColor[1, 0, 0], 
                    PointBox[
                    
                    NCache[{
                    Rational[175, 9] + 
                    Rational[23, 9] Cos[Rational[1, 18] Pi] + 
                    Rational[1, 9] Sin[Rational[1, 18] Pi], Rational[98, 9] + 
                    Rational[1, 9] Cos[Rational[1, 18] Pi] + 
                    Rational[-23, 9] Sin[Rational[1, 18] Pi]}, {
                    21.980469610771966`, 10.554544407408091`}]]}},
                    PlotRange->{{5, 34}, {-3, 27}},
                    PlotRangeClipping->True], {192., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
                    GraphicsBox[
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, 
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-6., 0.}, {-5., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{7.2200000000000015`, 
                    
                    16.813917050691256`}, {-25.06164874551972, \
-10.360000000000003`}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{34.80175115207375, 
                    44.395668202765}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{43.995668202765, 
                    53.58958525345624}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-1., 0.}, {0., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{53.189585253456244`, 
                    62.7835023041475}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{0., 0.}, {1., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{62.3835023041475, 
                    71.97741935483876}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{2., 0.}, {3., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{80.77133640553, 
                    90.36525345622125}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{5., 0.}, {6., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{108.35308755760373`, 
                    117.94700460829499`}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}}, {}, {}},
                    AspectRatio->1,
                    Axes->{True, True},
                    AxesOrigin->{-6., 0},
                    
                    FrameTicks->{{Automatic, Automatic}, {
                    Automatic, Automatic}},
                    GridLines->{None, None},
                    PlotRange->{{-6, 8}, {0, 9}},
                    PlotRangePadding->{{0, 0}, {0, 0}},
                    Ticks->{Automatic, Automatic}], {576., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
                 ContentSelectable->True,
                 PlotRangePadding->{6, 5}], 3->
                GraphicsBox[{{}, {InsetBox[
                    GraphicsBox[
                    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
                    PointBox[{{21.883883380155726`, 10.119247702699504`}, {
                    19.66247799525824, 9.863595368564932}, {16.15935984624918,
                     9.010270556970122}, {19.49319347031477, 
                    15.246098759145811`}, {13.937954461351694`, 
                    8.75461822283555}, {18.380765231146665`, 
                    9.265922891104694}, {17.69672494449533, 
                    7.386537649532875}, {25.815389481681557`, 
                    15.073363140763615`}, {21.970251189346826`, 
                    13.280345708382898`}}]},
                    AspectRatio->1,
                    Axes->True,
                    AxesOrigin->NCache[{
                    Rational[175, 9], 
                    Rational[98, 9]}, {19.444444444444443`, 
                    10.88888888888889}],
                    Epilog->{{
                    RGBColor[1, 0, 0], 
                    LineBox[
                    
                    NCache[{{
                    Rational[175, 9] + 
                    Rational[-130, 9] Cos[Rational[1, 9] Pi], Rational[98, 9] + 
                    Rational[130, 9] Sin[Rational[1, 9] Pi]}, {
                    Rational[175, 9] + 
                    Rational[131, 9] Cos[Rational[1, 9] Pi], Rational[98, 9] + 
                    Rational[-131, 9] Sin[Rational[1, 9] Pi]}}, {{
                    5.871106588647988, 15.829179848037437`}, {
                    33.12219259143933, 5.910595691593045}}]]}, {
                    PointSize[0.02], 
                    RGBColor[1, 0, 0], 
                    PointBox[
                    
                    NCache[{
                    Rational[175, 9] + Rational[23, 9] Cos[Rational[1, 9] Pi] + 
                    Rational[1, 9] Sin[Rational[1, 9] Pi], Rational[98, 9] + 
                    Rational[1, 9] Cos[Rational[1, 9] Pi] + 
                    Rational[-23, 9] Sin[Rational[1, 9] Pi]}, {
                    21.883883380155726`, 10.119247702699504`}]]}},
                    PlotRange->{{5, 34}, {-3, 27}},
                    PlotRangeClipping->True], {192., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
                    GraphicsBox[
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, 
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-6., 0.}, {-5., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{7.2200000000000015`, 
                    16.813917050691256`}, {-25.06164874551972, \
-10.360000000000003`}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-4., 0.}, {-3., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{25.607834101382494`, 
                    35.201751152073754`}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-2., 0.}, {-1., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{43.995668202765, 
                    53.58958525345624}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{0., 0.}, {1., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{62.3835023041475, 
                    71.97741935483876}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{2., 0.}, {3., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{80.77133640553, 
                    90.36525345622125}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{6., 0.}, {7., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{117.54700460829498`, 
                    127.14092165898624`}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}}, {}, {}},
                    AspectRatio->1,
                    Axes->{True, True},
                    AxesOrigin->{-6., 0},
                    
                    FrameTicks->{{Automatic, Automatic}, {
                    Automatic, Automatic}},
                    GridLines->{None, None},
                    PlotRange->{{-6, 8}, {0, 9}},
                    PlotRangePadding->{{0, 0}, {0, 0}},
                    Ticks->{Automatic, Automatic}], {576., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
                 ContentSelectable->True,
                 PlotRangePadding->{6, 5}], 4->
                GraphicsBox[{{}, {InsetBox[
                    GraphicsBox[
                    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
                    PointBox[{{21.713176031893568`, 9.707336155976048}, {
                    19.48112522432469, 9.84131075219161}, {
                    15.883049012971373`, 9.609259944622732}, {
                    20.24907441675581, 15.171437771113803`}, {
                    13.650998205402495`, 9.743234540838294}, {
                    18.115099820540248`, 9.475285348407171}, {
                    17.115099820540248`, 7.743234540838293}, {
                    26.445226839462443`, 13.90348857868268}, {
                    22.347150628109127`, 12.805412367329364`}}]},
                    AspectRatio->1,
                    Axes->True,
                    AxesOrigin->NCache[{
                    Rational[175, 9], 
                    Rational[98, 9]}, {19.444444444444443`, 
                    10.88888888888889}],
                    Epilog->{{
                    RGBColor[1, 0, 0], 
                    LineBox[
                    
                    NCache[{{
                    Rational[175, 9] + Rational[-65, 3] 3^Rational[-1, 2], 
                    Rational[163, 9]}, {
                    Rational[175, 9] + Rational[131, 6] 3^Rational[-1, 2], 
                    Rational[65, 18]}}, {{6.935188612002548, 
                    18.11111111111111}, {32.049925321751275`, 
                    3.611111111111111}}]]}, {
                    PointSize[0.02], 
                    RGBColor[1, 0, 0], 
                    PointBox[
                    
                    NCache[{
                    Rational[39, 2] + Rational[23, 6] 3^Rational[-1, 2], 
                    Rational[173, 18] + Rational[1, 6] 3^Rational[-1, 2]}, {
                    21.713176031893568`, 9.707336155976048}]]}},
                    PlotRange->{{5, 34}, {-3, 27}},
                    PlotRangeClipping->True], {192., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
                    GraphicsBox[
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, 
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-6., 0.}, {-5., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{7.2200000000000015`, 
                    16.813917050691256`}, {-25.06164874551972, \
-10.360000000000003`}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-4., 0.}, {-3., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{25.607834101382494`, 
                    35.201751152073754`}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{34.80175115207375, 
                    44.395668202765}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{43.995668202765, 
                    53.58958525345624}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{0., 0.}, {1., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{62.3835023041475, 
                    71.97741935483876}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{2., 0.}, {3., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{80.77133640553, 
                    90.36525345622125}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{7., 0.}, {8., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{126.74092165898624`, 
                    136.3348387096775}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ]}, {}, {}},
                    AspectRatio->1,
                    Axes->{True, True},
                    AxesOrigin->{-6., 0},
                    
                    FrameTicks->{{Automatic, Automatic}, {
                    Automatic, Automatic}},
                    GridLines->{None, None},
                    PlotRange->{{-6, 8}, {0, 9}},
                    PlotRangePadding->{{0, 0}, {0, 0}},
                    Ticks->{Automatic, Automatic}], {576., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
                 ContentSelectable->True,
                 PlotRangePadding->{6, 5}], 5->
                GraphicsBox[{{}, {InsetBox[
                    GraphicsBox[
                    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
                    PointBox[{{21.473534422380336`, 9.33132549114762}, {
                    19.29865792645584, 9.85085626740172}, {
                    15.714949377725826`, 10.247130210223384`}, {
                    20.98050708865058, 14.966653702369689`}, {
                    13.540072881801331`, 10.766660986477483`}, {
                    17.889825873650324`, 9.727599433969282}, {
                    16.604250654277244`, 8.195510547731326}, {
                    26.862348966737525`, 12.64201693048841}, {
                    22.635852808320976`, 12.272246430191093`}}]},
                    AspectRatio->1,
                    Axes->True,
                    AxesOrigin->NCache[{
                    Rational[175, 9], 
                    Rational[98, 9]}, {19.444444444444443`, 
                    10.88888888888889}],
                    Epilog->{{
                    RGBColor[1, 0, 0], 
                    LineBox[
                    
                    NCache[{{
                    Rational[175, 9] + 
                    Rational[-130, 9] Cos[Rational[2, 9] Pi], Rational[98, 9] + 
                    Rational[130, 9] Sin[Rational[2, 9] Pi]}, {
                    Rational[175, 9] + 
                    Rational[131, 9] Cos[Rational[2, 9] Pi], Rational[98, 9] + 
                    Rational[-131, 9] Sin[Rational[2, 9] Pi]}}, {{
                    8.379358043836982, 20.173598806583346`}, {
                    30.594646894287344`, 1.5327581256737073`}}]]}, {
                    PointSize[0.02], 
                    RGBColor[1, 0, 0], 
                    PointBox[
                    
                    NCache[{
                    Rational[175, 9] + Rational[23, 9] Cos[Rational[2, 9] Pi] + 
                    Rational[1, 9] Sin[Rational[2, 9] Pi], Rational[98, 9] + 
                    Rational[1, 9] Cos[Rational[2, 9] Pi] + 
                    Rational[-23, 9] Sin[Rational[2, 9] Pi]}, {
                    21.473534422380336`, 9.33132549114762}]]}},
                    PlotRange->{{5, 34}, {-3, 27}},
                    PlotRangeClipping->True], {192., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
                    GraphicsBox[
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, 
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-6., 0.}, {-5., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{7.2200000000000015`, 
                    16.813917050691256`}, {-25.06164874551972, \
-10.360000000000003`}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-4., 0.}, {-3., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{25.607834101382494`, 
                    35.201751152073754`}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{34.80175115207375, 
                    44.395668202765}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{43.995668202765, 
                    53.58958525345624}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-1., 0.}, {0., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{53.189585253456244`, 
                    62.7835023041475}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{1., 0.}, {2., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{71.57741935483875, 
                    81.17133640553}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{2., 0.}, {3., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{80.77133640553, 
                    90.36525345622125}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{3., 0.}, {4., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{89.96525345622125, 
                    99.55917050691251}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{7., 0.}, {8., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{126.74092165898624`, 
                    136.3348387096775}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ]}, {}, {}},
                    AspectRatio->1,
                    Axes->{True, True},
                    AxesOrigin->{-6., 0},
                    
                    FrameTicks->{{Automatic, Automatic}, {
                    Automatic, Automatic}},
                    GridLines->{None, None},
                    PlotRange->{{-6, 8}, {0, 9}},
                    PlotRangePadding->{{0, 0}, {0, 0}},
                    Ticks->{Automatic, Automatic}], {576., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
                 ContentSelectable->True,
                 PlotRangePadding->{6, 5}], 6->
                GraphicsBox[{{}, {InsetBox[
                    GraphicsBox[
                    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
                    PointBox[{{21.172239940656596`, 9.00264060199445}, {
                    19.120620278164537`, 9.891941878545866}, {
                    15.660168562866966`, 10.904499988529722`}, {
                    21.665267274386352`, 14.637968813216517`}, {
                    13.60854890037491, 11.79380126508114}, {
                    17.711788225359022`, 10.015198711978305`}, {
                    16.179699339121065`, 8.729623492605228}, {
                    27.054081818743544`, 11.327277373875729`}, {
                    22.82758566032699, 11.697047874173046`}}]},
                    AspectRatio->1,
                    Axes->True,
                    AxesOrigin->NCache[{
                    Rational[175, 9], 
                    Rational[98, 9]}, {19.444444444444443`, 
                    10.88888888888889}],
                    Epilog->{{
                    RGBColor[1, 0, 0], 
                    LineBox[
                    
                    NCache[{{
                    Rational[175, 9] + 
                    Rational[-130, 9] Sin[Rational[2, 9] Pi], Rational[98, 9] + 
                    Rational[130, 9] Cos[Rational[2, 9] Pi]}, {
                    Rational[175, 9] + 
                    Rational[131, 9] Sin[Rational[2, 9] Pi], Rational[98, 9] + 
                    Rational[-131, 9] Cos[Rational[2, 9] Pi]}}, {{
                    10.159734526749986`, 21.95397528949635}, {
                    28.800575207659627`, -0.26131356095401337`}}]]}, {
                    PointSize[0.02], 
                    RGBColor[1, 0, 0], 
                    PointBox[
                    
                    NCache[{
                    Rational[175, 9] + Rational[1, 9] Cos[Rational[2, 9] Pi] + 
                    Rational[23, 9] Sin[Rational[2, 9] Pi], Rational[98, 9] + 
                    Rational[-23, 9] Cos[Rational[2, 9] Pi] + 
                    Rational[1, 9] Sin[Rational[2, 9] Pi]}, {
                    21.172239940656596`, 9.00264060199445}]]}},
                    PlotRange->{{5, 34}, {-3, 27}},
                    PlotRangeClipping->True], {192., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
                    GraphicsBox[
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, 
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-6., 0.}, {-5., 1.}, "RoundingRadius" -> 0]},
                    ImageSizeCache->{{7.2200000000000015`, 
                    16.813917050691256`}, {-25.06164874551972, \
-10.360000000000003`}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-4., 0.}, {-3., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{25.607834101382494`, 
                    35.201751152073754`}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{43.995668202765, 
                    53.58958525345624}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-1., 0.}, {0., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{53.189585253456244`, 
                    62.7835023041475}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{1., 0.}, {2., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{71.57741935483875, 
                    81.17133640553}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{2., 0.}, {3., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{80.77133640553, 
                    90.36525345622125}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{3., 0.}, {4., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{89.96525345622125, 
                    99.55917050691251}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{7., 0.}, {8., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{126.74092165898624`, 
                    136.3348387096775}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ]}, {}, {}},
                    AspectRatio->1,
                    Axes->{True, True},
                    AxesOrigin->{-6., 0},
                    
                    FrameTicks->{{Automatic, Automatic}, {
                    Automatic, Automatic}},
                    GridLines->{None, None},
                    PlotRange->{{-6, 8}, {0, 9}},
                    PlotRangePadding->{{0, 0}, {0, 0}},
                    Ticks->{Automatic, Automatic}], {576., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
                 ContentSelectable->True,
                 PlotRangePadding->{6, 5}], 7->
                GraphicsBox[{{}, {InsetBox[
                    GraphicsBox[
                    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
                    PointBox[{{20.81844726708716, 8.731268412550879}, {
                    18.95242186330272, 9.963319220119756}, {
                    15.720371055733843`, 11.561395431473073`}, {
                    22.282548882224916`, 14.195370027688634`}, {
                    13.854345651949405`, 12.79344623904195}, {
                    17.58639645951828, 10.329344623904195`}, {
                    15.854345651949405`, 9.329344623904195}, {
                    27.01459968979379, 9.999217604982002}, {
                    22.916523478440475`, 11.097293816335318`}}]},
                    AspectRatio->1,
                    Axes->True,
                    AxesOrigin->NCache[{
                    Rational[175, 9], 
                    Rational[98, 9]}, {19.444444444444443`, 
                    10.88888888888889}],
                    Epilog->{{
                    RGBColor[1, 0, 0], 
                    LineBox[
                    NCache[{{
                    Rational[110, 9], Rational[98, 9] + 
                    Rational[65, 3] 3^Rational[-1, 2]}, {
                    Rational[481, 18], Rational[98, 9] + 
                    Rational[-131, 6] 3^Rational[-1, 2]}}, {{
                    12.222222222222221`, 23.398144721330784`}, {
                    26.72222222222222, -1.7165919884179406`}}]]}, {
                    PointSize[0.02], 
                    RGBColor[1, 0, 0], 
                    PointBox[
                    
                    NCache[{
                    Rational[373, 18] + Rational[1, 6] 3^Rational[-1, 2], 
                    Rational[197, 18] + Rational[-23, 6] 3^Rational[-1, 2]}, {
                    20.81844726708716, 8.731268412550879}]]}},
                    PlotRange->{{5, 34}, {-3, 27}},
                    PlotRangeClipping->True], {192., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
                    GraphicsBox[
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, 
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-6., 0.}, {-5., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{7.2200000000000015`, 
                    16.813917050691256`}, {-25.06164874551972, \
-10.360000000000003`}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-4., 0.}, {-3., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{25.607834101382494`, 
                    35.201751152073754`}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
                    ImageSizeCache->{{43.995668202765, 
                    53.58958525345624}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-1., 0.}, {0., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{53.189585253456244`, 
                    62.7835023041475}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{1., 0.}, {2., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{71.57741935483875, 
                    81.17133640553}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{2., 0.}, {3., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{80.77133640553, 
                    90.36525345622125}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{3., 0.}, {4., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{89.96525345622125, 
                    99.55917050691251}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{7., 0.}, {8., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{126.74092165898624`, 
                    136.3348387096775}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ]}, {}, {}},
                    AspectRatio->1,
                    Axes->{True, True},
                    AxesOrigin->{-6., 0},
                    
                    FrameTicks->{{Automatic, Automatic}, {
                    Automatic, Automatic}},
                    GridLines->{None, None},
                    PlotRange->{{-6, 8}, {0, 9}},
                    PlotRangePadding->{{0, 0}, {0, 0}},
                    Ticks->{Automatic, Automatic}], {576., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
                 ContentSelectable->True,
                 PlotRangePadding->{6, 5}], 8->
                GraphicsBox[{{}, {InsetBox[
                    GraphicsBox[
                    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
                    PointBox[{{20.422906213030696`, 8.525454429472198}, {
                    18.79917330559345, 10.062819527718347`}, {
                    15.89372763404463, 12.197857103424733`}, {
                    22.813596122871658`, 13.652305485918506`}, {
                    14.269994726607383`, 13.735222201670883`}, {
                    17.517460541481874`, 10.660492005178586`}, {
                    15.638075299910057`, 9.97645171852725}, {
                    26.745102224397485`, 8.698190047854393}, {
                    22.899963932062754`, 10.491207480235111`}}]},
                    AspectRatio->1,
                    Axes->True,
                    AxesOrigin->NCache[{
                    Rational[175, 9], 
                    Rational[98, 9]}, {19.444444444444443`, 
                    10.88888888888889}],
                    Epilog->{{
                    RGBColor[1, 0, 0], 
                    LineBox[
                    
                    NCache[{{
                    Rational[175, 9] + 
                    Rational[-130, 9] Sin[Rational[1, 9] Pi], Rational[98, 9] + 
                    Rational[130, 9] Cos[Rational[1, 9] Pi]}, {
                    Rational[175, 9] + 
                    Rational[131, 9] Sin[Rational[1, 9] Pi], Rational[98, 9] + 
                    Rational[-131, 9] Cos[Rational[1, 9] Pi]}}, {{
                    14.504153485295895`, 24.462226744685346`}, {
                    24.422737641740287`, -2.788859258105999}}]]}, {
                    PointSize[0.02], 
                    RGBColor[1, 0, 0], 
                    PointBox[
                    
                    NCache[{
                    Rational[175, 9] + Rational[1, 9] Cos[Rational[1, 9] Pi] + 
                    Rational[23, 9] Sin[Rational[1, 9] Pi], Rational[98, 9] + 
                    Rational[-23, 9] Cos[Rational[1, 9] Pi] + 
                    Rational[1, 9] Sin[Rational[1, 9] Pi]}, {
                    20.422906213030696`, 8.525454429472198}]]}},
                    PlotRange->{{5, 34}, {-3, 27}},
                    PlotRangeClipping->True], {192., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
                    GraphicsBox[
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, 
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-6., 0.}, {-5., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{7.2200000000000015`, 
                    16.813917050691256`}, {-25.06164874551972, \
-10.360000000000003`}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-4., 0.}, {-3., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{25.607834101382494`, 
                    35.201751152073754`}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{43.995668202765, 
                    53.58958525345624}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-1., 0.}, {0., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{53.189585253456244`, 
                    62.7835023041475}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{0., 0.}, {1., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{62.3835023041475, 
                    71.97741935483876}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{3., 0.}, {4., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{89.96525345622125, 
                    99.55917050691251}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{7., 0.}, {8., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{126.74092165898624`, 
                    136.3348387096775}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ]}, {}, {}},
                    AspectRatio->1,
                    Axes->{True, True},
                    AxesOrigin->{-6., 0},
                    
                    FrameTicks->{{Automatic, Automatic}, {
                    Automatic, Automatic}},
                    GridLines->{None, None},
                    PlotRange->{{-6, 8}, {0, 9}},
                    PlotRangePadding->{{0, 0}, {0, 0}},
                    Ticks->{Automatic, Automatic}], {576., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
                 ContentSelectable->True,
                 PlotRangePadding->{6, 5}], 9->
                GraphicsBox[{{}, {InsetBox[
                    GraphicsBox[
                    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
                    PointBox[{{19.997635093261287`, 8.391452206487351}, {
                    18.66553098491522, 10.187419534844835`}, {
                    16.174970945890013`, 12.7945464385476}, {23.2422733946424,
                     13.025275929203904`}, {14.842866837543943`, 
                    14.590513766905085`}, {17.507075054236083`, 
                    10.998579110190114`}, {15.537459548211665`, 
                    10.651282754856252`}, {26.253777966668395`, 
                    7.463725766464516}, {22.77841017463098, 
                    9.897204492500348}}]},
                    AspectRatio->1,
                    Axes->True,
                    AxesOrigin->NCache[{
                    Rational[175, 9], 
                    Rational[98, 9]}, {19.444444444444443`, 
                    10.88888888888889}],
                    Epilog->{{
                    RGBColor[1, 0, 0], 
                    LineBox[
                    
                    NCache[{{
                    Rational[175, 9] + 
                    Rational[-130, 9] Sin[Rational[1, 18] Pi], 
                    Rational[98, 9] + 
                    Rational[130, 9] Cos[Rational[1, 18] Pi]}, {
                    Rational[175, 9] + 
                    Rational[131, 9] Sin[Rational[1, 18] Pi], Rational[98, 9] + 
                    Rational[-131, 9] Cos[Rational[1, 18] Pi]}}, {{
                    16.93619298925545, 25.113889765731894`}, {
                    21.97199014159643, -3.445535071622139}}]]}, {
                    PointSize[0.02], 
                    RGBColor[1, 0, 0], 
                    PointBox[
                    
                    NCache[{
                    Rational[175, 9] + Rational[1, 9] Cos[Rational[1, 18] Pi] + 
                    Rational[23, 9] Sin[Rational[1, 18] Pi], Rational[98, 9] + 
                    Rational[-23, 9] Cos[Rational[1, 18] Pi] + 
                    Rational[1, 9] Sin[Rational[1, 18] Pi]}, {
                    19.997635093261287`, 8.391452206487351}]]}},
                    PlotRange->{{5, 34}, {-3, 27}},
                    PlotRangeClipping->True], {192., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
                    GraphicsBox[
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, 
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-5., 0.}, {-4., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{16.413917050691257`, 
                    26.0078341013825}, {-25.06164874551972, \
-10.360000000000003`}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-4., 0.}, {-3., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{25.607834101382494`, 
                    35.201751152073754`}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{43.995668202765, 
                    53.58958525345624}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-1., 0.}, {0., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{53.189585253456244`, 
                    62.7835023041475}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{0., 0.}, {1., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{62.3835023041475, 
                    71.97741935483876}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{3., 0.}, {4., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{89.96525345622125, 
                    99.55917050691251}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{6., 0.}, {7., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{117.54700460829498`, 
                    127.14092165898624`}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}}, {}, {}},
                    AspectRatio->1,
                    Axes->{True, True},
                    AxesOrigin->{-6., 0},
                    
                    FrameTicks->{{Automatic, Automatic}, {
                    Automatic, Automatic}},
                    GridLines->{None, None},
                    PlotRange->{{-6, 8}, {0, 9}},
                    PlotRangePadding->{{0, 0}, {0, 0}},
                    Ticks->{Automatic, Automatic}], {576., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
                 ContentSelectable->True,
                 PlotRangePadding->{6, 5}], 10->
                GraphicsBox[{{}, {InsetBox[
                    GraphicsBox[
                    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
                    PointBox[{{19.555555555555557`, 8.333333333333334}, {
                    18.555555555555557`, 10.333333333333334`}, {
                    16.555555555555557`, 13.333333333333334`}, {
                    23.555555555555557`, 12.333333333333334`}, {
                    15.555555555555555`, 15.333333333333334`}, {
                    17.555555555555557`, 11.333333333333334`}, {
                    15.555555555555555`, 11.333333333333334`}, {
                    25.555555555555557`, 6.333333333333333}, {
                    22.555555555555557`, 9.333333333333334}}]},
                    AspectRatio->1,
                    Axes->True,
                    AxesOrigin->NCache[{
                    Rational[175, 9], 
                    Rational[98, 9]}, {19.444444444444443`, 
                    10.88888888888889}],
                    Epilog->{{
                    RGBColor[1, 0, 0], 
                    LineBox[
                    NCache[{{
                    Rational[175, 9], 
                    Rational[76, 3]}, {
                    Rational[175, 9], 
                    Rational[-11, 3]}}, {{19.444444444444443`, 
                    25.333333333333332`}, {
                    19.444444444444443`, -3.6666666666666665`}}]]}, {
                    PointSize[0.02], 
                    RGBColor[1, 0, 0], 
                    PointBox[
                    NCache[{
                    Rational[176, 9], 
                    Rational[25, 3]}, {19.555555555555557`, 
                    8.333333333333334}]]}},
                    PlotRange->{{5, 34}, {-3, 27}},
                    PlotRangeClipping->True], {192., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
                    GraphicsBox[
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, 
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-4., 0.}, {-3., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{25.607834101382494`, 
                    35.201751152073754`}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{34.80175115207375, 
                    44.395668202765}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{43.995668202765, 
                    53.58958525345624}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-1., 0.}, {0., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{53.189585253456244`, 
                    62.7835023041475}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{0., 0.}, {1., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{62.3835023041475, 
                    71.97741935483876}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{3., 0.}, {4., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{89.96525345622125, 
                    99.55917050691251}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{4., 0.}, {5., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{99.1591705069125, 
                    108.75308755760373`}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{6., 0.}, {7., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{117.54700460829498`, 
                    127.14092165898624`}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}}, {}, {}},
                    AspectRatio->1,
                    Axes->{True, True},
                    AxesOrigin->{-6., 0},
                    
                    FrameTicks->{{Automatic, Automatic}, {
                    Automatic, Automatic}},
                    GridLines->{None, None},
                    PlotRange->{{-6, 8}, {0, 9}},
                    PlotRangePadding->{{0, 0}, {0, 0}},
                    Ticks->{Automatic, Automatic}], {576., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
                 ContentSelectable->True,
                 PlotRangePadding->{6, 5}], 11->
                GraphicsBox[{{}, {InsetBox[
                    GraphicsBox[
                    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
                    PointBox[{{19.110099962963645`, 8.352863722561366}, {
                    18.472588565285296`, 10.496127406252711`}, {
                    17.02391759226167, 13.797847020623196`}, {
                    23.743923685680198`, 11.597502023942475`}, {
                    16.386406194583323`, 15.941110704314545`}, {
                    17.66142898994002, 11.65458333693185}, {
                    15.691813483915602`, 12.001879692265712`}, {
                    24.67165012570303, 5.341359150535367}, {22.2381713996672, 
                    8.816726942572783}}]},
                    AspectRatio->1,
                    Axes->True,
                    AxesOrigin->NCache[{
                    Rational[175, 9], 
                    Rational[98, 9]}, {19.444444444444443`, 
                    10.88888888888889}],
                    Epilog->{{
                    RGBColor[1, 0, 0], 
                    LineBox[
                    
                    NCache[{{
                    Rational[175, 9] + 
                    Rational[130, 9] Sin[Rational[1, 18] Pi], Rational[98, 9] + 
                    Rational[130, 9] Cos[Rational[1, 18] Pi]}, {
                    Rational[175, 9] + 
                    Rational[-131, 9] Sin[Rational[1, 18] Pi], 
                    Rational[98, 9] + 
                    Rational[-131, 9] Cos[Rational[1, 18] Pi]}}, {{
                    21.952695899633436`, 25.113889765731894`}, {
                    16.916898747292457`, -3.445535071622139}}]]}, {
                    PointSize[0.02], 
                    RGBColor[1, 0, 0], 
                    PointBox[
                    
                    NCache[{
                    Rational[175, 9] + Rational[1, 9] Cos[Rational[1, 18] Pi] + 
                    Rational[-23, 9] Sin[Rational[1, 18] Pi], Rational[98, 9] + 
                    Rational[-23, 9] Cos[Rational[1, 18] Pi] + 
                    Rational[-1, 9] Sin[Rational[1, 18] Pi]}, {
                    19.110099962963645`, 8.352863722561366}]]}},
                    PlotRange->{{5, 34}, {-3, 27}},
                    PlotRangeClipping->True], {192., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
                    GraphicsBox[
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, 
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-4., 0.}, {-3., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{25.607834101382494`, 
                    35.201751152073754`}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{34.80175115207375, 
                    44.395668202765}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{43.995668202765, 
                    53.58958525345624}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-1., 0.}, {0., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{53.189585253456244`, 
                    62.7835023041475}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{2., 0.}, {3., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{80.77133640553, 
                    90.36525345622125}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{4., 0.}, {5., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{99.1591705069125, 
                    108.75308755760373`}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{5., 0.}, {6., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{108.35308755760373`, 
                    117.94700460829499`}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}}, {}, {}},
                    AspectRatio->1,
                    Axes->{True, True},
                    AxesOrigin->{-6., 0},
                    
                    FrameTicks->{{Automatic, Automatic}, {
                    Automatic, Automatic}},
                    GridLines->{None, None},
                    PlotRange->{{-6, 8}, {0, 9}},
                    PlotRangePadding->{{0, 0}, {0, 0}},
                    Ticks->{Automatic, Automatic}], {576., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
                 ContentSelectable->True,
                 PlotRangePadding->{6, 5}], 12->
                GraphicsBox[{{}, {InsetBox[
                    GraphicsBox[
                    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
                    PointBox[{{18.674803258255057`, 8.449449953177606}, {
                    18.419150924120487`, 10.67085533807509}, {
                    17.565826112525677`, 14.173973487084153`}, {
                    23.801654314701366`, 10.840139863018562`}, {
                    17.310173778391103`, 16.395378871981638`}, {
                    17.821478446660244`, 11.952568102186667`}, {
                    15.94209320508843, 12.636608388838004`}, {
                    23.628918696319168`, 4.517943851651776}, {
                    21.835901263938453`, 8.363082143986507}}]},
                    AspectRatio->1,
                    Axes->True,
                    AxesOrigin->NCache[{
                    Rational[175, 9], 
                    Rational[98, 9]}, {19.444444444444443`, 
                    10.88888888888889}],
                    Epilog->{{
                    RGBColor[1, 0, 0], 
                    LineBox[
                    
                    NCache[{{
                    Rational[175, 9] + 
                    Rational[130, 9] Sin[Rational[1, 9] Pi], Rational[98, 9] + 
                    Rational[130, 9] Cos[Rational[1, 9] Pi]}, {
                    Rational[175, 9] + 
                    Rational[-131, 9] Sin[Rational[1, 9] Pi], Rational[98, 9] + 
                    Rational[-131, 9] Cos[Rational[1, 9] Pi]}}, {{
                    24.38473540359299, 24.462226744685346`}, {
                    14.466151247148598`, -2.788859258105999}}]]}, {
                    PointSize[0.02], 
                    RGBColor[1, 0, 0], 
                    PointBox[
                    
                    NCache[{
                    Rational[175, 9] + Rational[1, 9] Cos[Rational[1, 9] Pi] + 
                    Rational[-23, 9] Sin[Rational[1, 9] Pi], Rational[98, 9] + 
                    Rational[-23, 9] Cos[Rational[1, 9] Pi] + 
                    Rational[-1, 9] Sin[Rational[1, 9] Pi]}, {
                    18.674803258255057`, 8.449449953177606}]]}},
                    PlotRange->{{5, 34}, {-3, 27}},
                    PlotRangeClipping->True], {192., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
                    GraphicsBox[
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, 
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-4., 0.}, {-3., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{25.607834101382494`, 
                    35.201751152073754`}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{34.80175115207375, 
                    44.395668202765}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-2., 0.}, {-1., 3.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{43.995668202765, 
                    53.58958525345624}, {-53.66494623655916, -10.36}}],
                    StatusArea[#, 3.]& ,
                    TagBoxNote->"3."],
                    StyleBox["3.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[3., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-1., 0.}, {0., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{53.189585253456244`, 
                    62.7835023041475}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{2., 0.}, {3., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{80.77133640553, 
                    90.36525345622125}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{4., 0.}, {5., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{99.1591705069125, 
                    108.75308755760373`}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}}, {}, {}},
                    AspectRatio->1,
                    Axes->{True, True},
                    AxesOrigin->{-6., 0},
                    
                    FrameTicks->{{Automatic, Automatic}, {
                    Automatic, Automatic}},
                    GridLines->{None, None},
                    PlotRange->{{-6, 8}, {0, 9}},
                    PlotRangePadding->{{0, 0}, {0, 0}},
                    Ticks->{Automatic, Automatic}], {576., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
                 ContentSelectable->True,
                 PlotRangePadding->{6, 5}], 13->
                GraphicsBox[{{}, {InsetBox[
                    GraphicsBox[
                    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
                    PointBox[{{18.262891711531605`, 8.620157301439768}, {
                    18.396866307747167`, 10.852208109008645`}, {
                    18.16481550017829, 14.450284320361963`}, {
                    23.726993326669362`, 10.084258916577523`}, {
                    18.29879009639385, 16.68233512793084}, {
                    18.030840903962726`, 12.218233512793084`}, {
                    16.29879009639385, 13.218233512793084`}, {
                    22.459044134238237`, 3.88810649387089}, {
                    21.36096792288492, 7.986182705224207}}]},
                    AspectRatio->1,
                    Axes->True,
                    AxesOrigin->NCache[{
                    Rational[175, 9], 
                    Rational[98, 9]}, {19.444444444444443`, 
                    10.88888888888889}],
                    Epilog->{{
                    RGBColor[1, 0, 0], 
                    LineBox[
                    NCache[{{
                    Rational[80, 3], Rational[98, 9] + 
                    Rational[65, 3] 3^Rational[-1, 2]}, {
                    Rational[73, 6], Rational[98, 9] + 
                    Rational[-131, 6] 3^Rational[-1, 2]}}, {{
                    26.666666666666668`, 23.398144721330784`}, {
                    12.166666666666666`, -1.7165919884179406`}}]]}, {
                    PointSize[0.02], 
                    RGBColor[1, 0, 0], 
                    PointBox[
                    
                    NCache[{
                    Rational[109, 6] + Rational[1, 6] 3^Rational[-1, 2], 
                    Rational[65, 6] + Rational[-23, 6] 3^Rational[-1, 2]}, {
                    18.262891711531605`, 8.620157301439768}]]}},
                    PlotRange->{{5, 34}, {-3, 27}},
                    PlotRangeClipping->True], {192., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
                    GraphicsBox[
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, 
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-4., 0.}, {-3., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{25.607834101382494`, 
                    35.201751152073754`}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-2., 0.}, {-1., 5.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{43.995668202765, 
                    53.58958525345624}, {-82.26824372759859, -10.36}}],
                    StatusArea[#, 5.]& ,
                    TagBoxNote->"5."],
                    StyleBox["5.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[5., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{1., 0.}, {2., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{71.57741935483875, 
                    81.17133640553}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{3., 0.}, {4., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{89.96525345622125, 
                    99.55917050691251}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{4., 0.}, {5., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{99.1591705069125, 
                    108.75308755760373`}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}}, {}, {}},
                    AspectRatio->1,
                    Axes->{True, True},
                    AxesOrigin->{-6., 0},
                    
                    FrameTicks->{{Automatic, Automatic}, {
                    Automatic, Automatic}},
                    GridLines->{None, None},
                    PlotRange->{{-6, 8}, {0, 9}},
                    PlotRangePadding->{{0, 0}, {0, 0}},
                    Ticks->{Automatic, Automatic}], {576., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
                 ContentSelectable->True,
                 PlotRangePadding->{6, 5}], 14->
                GraphicsBox[{{}, {InsetBox[
                    GraphicsBox[
                    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
                    PointBox[{{17.886881046703174`, 8.859798910952996}, {
                    18.406411822957274`, 11.034675406877492`}, {
                    18.802685765778936`, 14.618383955607506`}, {
                    23.52220925792524, 9.352826244682753}, {
                    19.322216542033036`, 16.793260451532}, {18.28315498952484,
                     12.44350745968301}, {16.75106610328688, 
                    13.729082679056088`}, {21.197572486043963`, 
                    3.470984366595806}, {20.827801985746646`, 
                    7.697480525012358}}]},
                    AspectRatio->1,
                    Axes->True,
                    AxesOrigin->NCache[{
                    Rational[175, 9], 
                    Rational[98, 9]}, {19.444444444444443`, 
                    10.88888888888889}],
                    Epilog->{{
                    RGBColor[1, 0, 0], 
                    LineBox[
                    
                    NCache[{{
                    Rational[175, 9] + 
                    Rational[130, 9] Sin[Rational[2, 9] Pi], Rational[98, 9] + 
                    Rational[130, 9] Cos[Rational[2, 9] Pi]}, {
                    Rational[175, 9] + 
                    Rational[-131, 9] Sin[Rational[2, 9] Pi], Rational[98, 9] + 
                    Rational[-131, 9] Cos[Rational[2, 9] Pi]}}, {{
                    28.7291543621389, 21.95397528949635}, {
                    10.08831368122926, -0.26131356095401337`}}]]}, {
                    PointSize[0.02], 
                    RGBColor[1, 0, 0], 
                    PointBox[
                    
                    NCache[{
                    Rational[175, 9] + Rational[1, 9] Cos[Rational[2, 9] Pi] + 
                    Rational[-23, 9] Sin[Rational[2, 9] Pi], Rational[98, 9] + 
                    Rational[-23, 9] Cos[Rational[2, 9] Pi] + 
                    Rational[-1, 9] Sin[Rational[2, 9] Pi]}, {
                    17.886881046703174`, 8.859798910952996}]]}},
                    PlotRange->{{5, 34}, {-3, 27}},
                    PlotRangeClipping->True], {192., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
                    GraphicsBox[
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, 
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{34.80175115207375, 
                    44.395668202765}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-2., 0.}, {-1., 3.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{43.995668202765, 
                    53.58958525345624}, {-53.66494623655916, -10.36}}],
                    StatusArea[#, 3.]& ,
                    TagBoxNote->"3."],
                    StyleBox["3.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[3., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-1., 0.}, {0., 2.}, "RoundingRadius" -> 0]},
                    ImageSizeCache->{{53.189585253456244`, 
                    62.7835023041475}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{1., 0.}, {2., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{71.57741935483875, 
                    81.17133640553}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{4., 0.}, {5., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{99.1591705069125, 
                    108.75308755760373`}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}}, {}, {}},
                    AspectRatio->1,
                    Axes->{True, True},
                    AxesOrigin->{-6., 0},
                    
                    FrameTicks->{{Automatic, Automatic}, {
                    Automatic, Automatic}},
                    GridLines->{None, None},
                    PlotRange->{{-6, 8}, {0, 9}},
                    PlotRangePadding->{{0, 0}, {0, 0}},
                    Ticks->{Automatic, Automatic}], {576., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
                 ContentSelectable->True,
                 PlotRangePadding->{6, 5}], 15->
                GraphicsBox[{{}, {InsetBox[
                    GraphicsBox[
                    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
                    PointBox[{{17.558196157550004`, 9.161093392676737}, {
                    18.44749743410142, 11.212713055168791`}, {
                    19.460055544085275`, 14.673164770466366`}, {
                    23.19352436877207, 8.668066058946982}, {
                    20.349356820636693`, 16.724784432958423`}, {
                    18.570754267533857`, 12.62154510797431}, {
                    17.285179048160778`, 14.153633994212266`}, {
                    19.88283292943128, 3.2792515145897894`}, {
                    20.2526034297286, 7.505747673006341}}]},
                    AspectRatio->1,
                    Axes->True,
                    AxesOrigin->NCache[{
                    Rational[175, 9], 
                    Rational[98, 9]}, {19.444444444444443`, 
                    10.88888888888889}],
                    Epilog->{{
                    RGBColor[1, 0, 0], 
                    LineBox[
                    
                    NCache[{{
                    Rational[175, 9] + 
                    Rational[130, 9] Cos[Rational[2, 9] Pi], Rational[98, 9] + 
                    Rational[130, 9] Sin[Rational[2, 9] Pi]}, {
                    Rational[175, 9] + 
                    Rational[-131, 9] Cos[Rational[2, 9] Pi], Rational[98, 9] + 
                    Rational[-131, 9] Sin[Rational[2, 9] Pi]}}, {{
                    30.509530845051906`, 20.173598806583346`}, {
                    8.29424199460154, 1.5327581256737073`}}]]}, {
                    PointSize[0.02], 
                    RGBColor[1, 0, 0], 
                    PointBox[
                    
                    NCache[{
                    Rational[175, 9] + 
                    Rational[-23, 9] Cos[Rational[2, 9] Pi] + 
                    Rational[1, 9] Sin[Rational[2, 9] Pi], Rational[98, 9] + 
                    Rational[-1, 9] Cos[Rational[2, 9] Pi] + 
                    Rational[-23, 9] Sin[Rational[2, 9] Pi]}, {
                    17.558196157550004`, 9.161093392676737}]]}},
                    PlotRange->{{5, 34}, {-3, 27}},
                    PlotRangeClipping->True], {192., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
                    GraphicsBox[
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, 
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{17.946236559139795`, 
                    29.072473118279575`}, {-25.06164874551972, \
-10.360000000000003`}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{28.67247311827957, 
                    39.79870967741937}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-1., 0.}, {0., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{39.39870967741936, 
                    50.52494623655915}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{0., 0.}, {1., 4.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{50.124946236559154`, 
                    61.251182795698945`}, {-67.96659498207887, -10.36}}],
                    StatusArea[#, 4.]& ,
                    TagBoxNote->"4."],
                    StyleBox["4.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[4., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{3., 0.}, {4., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{82.30365591397852, 
                    93.42989247311833}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}, {}}, {}, {}},
                    AspectRatio->1,
                    Axes->{True, True},
                    AxesOrigin->{-4., 0},
                    
                    FrameTicks->{{Automatic, Automatic}, {
                    Automatic, Automatic}},
                    GridLines->{None, None},
                    PlotRange->{{-4, 8}, {0, 9}},
                    PlotRangePadding->{{0, 0}, {0, 0}},
                    Ticks->{Automatic, Automatic}], {576., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
                 ContentSelectable->True,
                 PlotRangePadding->{6, 5}], 16->
                GraphicsBox[{{}, {InsetBox[
                    GraphicsBox[
                    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
                    PointBox[{{17.286823968106432`, 9.514886066246174}, {
                    18.51887477567531, 11.380911470030611`}, {
                    20.116950987028627`, 14.61296227759949}, {
                    22.75092558324419, 8.050784451108418}, {
                    21.349001794597505`, 16.478987681383927`}, {
                    18.884900179459752`, 12.74693687381505}, {
                    17.884900179459752`, 14.478987681383927`}, {
                    18.554773160537557`, 3.3187336435395407`}, {
                    19.652849371890873`, 7.416809854892857}}]},
                    AspectRatio->1,
                    Axes->True,
                    AxesOrigin->NCache[{
                    Rational[175, 9], 
                    Rational[98, 9]}, {19.444444444444443`, 
                    10.88888888888889}],
                    Epilog->{{
                    RGBColor[1, 0, 0], 
                    LineBox[
                    
                    NCache[{{
                    Rational[175, 9] + Rational[65, 3] 3^Rational[-1, 2], 
                    Rational[163, 9]}, {
                    Rational[175, 9] + Rational[-131, 6] 3^Rational[-1, 2], 
                    Rational[65, 18]}}, {{31.953700276886337`, 
                    18.11111111111111}, {6.838963567137613, 
                    3.611111111111111}}]]}, {
                    PointSize[0.02], 
                    RGBColor[1, 0, 0], 
                    PointBox[
                    
                    NCache[{
                    Rational[39, 2] + Rational[-23, 6] 3^Rational[-1, 2], 
                    Rational[173, 18] + Rational[-1, 6] 3^Rational[-1, 2]}, {
                    17.286823968106432`, 9.514886066246174}]]}},
                    PlotRange->{{5, 34}, {-3, 27}},
                    PlotRangeClipping->True], {192., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
                    GraphicsBox[
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, 
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, {}, {}, {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{53.18958525345626, 
                    62.78350230414751}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-2., 0.}, {-1., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{62.38350230414751, 
                    71.97741935483876}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-1., 0.}, {0., 3.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{71.57741935483875, 
                    81.17133640553001}, {-53.66494623655916, -10.36}}],
                    StatusArea[#, 3.]& ,
                    TagBoxNote->"3."],
                    StyleBox["3.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[3., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{0., 0.}, {1., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{80.77133640553001, 
                    90.36525345622125}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{1., 0.}, {2., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{89.96525345622125, 
                    99.55917050691251}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{3., 0.}, {4., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{108.35308755760376`, 
                    117.94700460829502`}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}}, {}, {}},
                    AspectRatio->1,
                    Axes->{True, True},
                    AxesOrigin->{-8., 0},
                    
                    FrameTicks->{{Automatic, Automatic}, {
                    Automatic, Automatic}},
                    GridLines->{None, None},
                    PlotRange->{{-8, 6}, {0, 9}},
                    PlotRangePadding->{{0, 0}, {0, 0}},
                    Ticks->{Automatic, Automatic}], {576., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
                 ContentSelectable->True,
                 PlotRangePadding->{6, 5}], 17->
                GraphicsBox[{{}, {InsetBox[
                    GraphicsBox[
                    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
                    PointBox[{{17.08100998502775, 9.910427120302636}, {
                    18.6183750832739, 11.534160027739881`}, {
                    20.753412658980288`, 14.439605699288704`}, {
                    22.207861041474057`, 7.519737210461677}, {
                    22.290777757226437`, 16.06333860672595}, {
                    19.216047560734136`, 12.815872791851458`}, {
                    18.5320072740828, 14.695258033423276`}, {
                    17.253745603409946`, 3.5882311089358474`}, {
                    19.04676303579067, 7.433369401270578}}]},
                    AspectRatio->1,
                    Axes->True,
                    AxesOrigin->NCache[{
                    Rational[175, 9], 
                    Rational[98, 9]}, {19.444444444444443`, 
                    10.88888888888889}],
                    Epilog->{{
                    RGBColor[1, 0, 0], 
                    LineBox[
                    
                    NCache[{{
                    Rational[175, 9] + 
                    Rational[130, 9] Cos[Rational[1, 9] Pi], Rational[98, 9] + 
                    Rational[130, 9] Sin[Rational[1, 9] Pi]}, {
                    Rational[175, 9] + 
                    Rational[-131, 9] Cos[Rational[1, 9] Pi], Rational[98, 9] + 
                    Rational[-131, 9] Sin[Rational[1, 9] Pi]}}, {{
                    33.017782300240896`, 15.829179848037437`}, {
                    5.766696297449554, 5.910595691593045}}]]}, {
                    PointSize[0.02], 
                    RGBColor[1, 0, 0], 
                    PointBox[
                    
                    NCache[{
                    Rational[175, 9] + 
                    Rational[-23, 9] Cos[Rational[1, 9] Pi] + 
                    Rational[1, 9] Sin[Rational[1, 9] Pi], Rational[98, 9] + 
                    Rational[-1, 9] Cos[Rational[1, 9] Pi] + 
                    Rational[-23, 9] Sin[Rational[1, 9] Pi]}, {
                    17.08100998502775, 9.910427120302636}]]}},
                    PlotRange->{{5, 34}, {-3, 27}},
                    PlotRangeClipping->True], {192., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
                    GraphicsBox[
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, 
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, {}, {}, {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-3., 0.}, {-2., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{53.18958525345626, 
                    62.78350230414751}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-1., 0.}, {0., 4.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{71.57741935483875, 
                    81.17133640553001}, {-67.96659498207887, -10.36}}],
                    StatusArea[#, 4.]& ,
                    TagBoxNote->"4."],
                    StyleBox["4.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[4., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{1., 0.}, {2., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{89.96525345622125, 
                    99.55917050691251}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{2., 0.}, {3., 2.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{99.1591705069125, 
                    108.75308755760376`}, {-39.36329749103943, -10.36}}],
                    StatusArea[#, 2.]& ,
                    TagBoxNote->"2."],
                    StyleBox["2.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[2., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}}, {}, {}},
                    AspectRatio->1,
                    Axes->{True, True},
                    AxesOrigin->{-8., 0},
                    
                    FrameTicks->{{Automatic, Automatic}, {
                    Automatic, Automatic}},
                    GridLines->{None, None},
                    PlotRange->{{-8, 6}, {0, 9}},
                    PlotRangePadding->{{0, 0}, {0, 0}},
                    Ticks->{Automatic, Automatic}], {576., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
                 ContentSelectable->True,
                 PlotRangePadding->{6, 5}], 18->
                GraphicsBox[{{}, {InsetBox[
                    GraphicsBox[
                    {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
                    PointBox[{{16.947007762042904`, 10.335698240072045`}, {
                    18.74297509040039, 11.667802348418114`}, {
                    21.350101994103152`, 14.158362387443319`}, {
                    21.580831484759457`, 7.091059938690933}, {
                    23.14606932246064, 15.49046649578939}, {
                    19.554134665745668`, 12.826258279097251`}, {
                    19.206838310411808`, 14.795873785121668`}, {
                    16.019281322020067`, 4.079555366664936}, {
                    18.4527600480559, 7.554923158702351}}]},
                    AspectRatio->1,
                    Axes->True,
                    AxesOrigin->NCache[{
                    Rational[175, 9], 
                    Rational[98, 9]}, {19.444444444444443`, 
                    10.88888888888889}],
                    Epilog->{{
                    RGBColor[1, 0, 0], 
                    LineBox[
                    
                    NCache[{{
                    Rational[175, 9] + 
                    Rational[130, 9] Cos[Rational[1, 18] Pi], Rational[98, 9] + 
                    Rational[130, 9] Sin[Rational[1, 18] Pi]}, {
                    Rational[175, 9] + 
                    Rational[-131, 9] Cos[Rational[1, 18] Pi], 
                    Rational[98, 9] + 
                    Rational[-131, 9] Sin[Rational[1, 18] Pi]}}, {{
                    33.66944532128745, 13.397140344077883`}, {
                    5.110020483933415, 8.361343191736903}}]]}, {
                    PointSize[0.02], 
                    RGBColor[1, 0, 0], 
                    PointBox[
                    
                    NCache[{
                    Rational[175, 9] + 
                    Rational[-23, 9] Cos[Rational[1, 18] Pi] + 
                    Rational[1, 9] Sin[Rational[1, 18] Pi], Rational[98, 9] + 
                    Rational[-1, 9] Cos[Rational[1, 18] Pi] + 
                    Rational[-23, 9] Sin[Rational[1, 18] Pi]}, {
                    16.947007762042904`, 10.335698240072045`}]]}},
                    PlotRange->{{5, 34}, {-3, 27}},
                    PlotRangeClipping->True], {192., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
                    GraphicsBox[
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, 
                    {RGBColor[
                    0.798413061722744, 0.824719615472648, 0.968322270542458], 
                    EdgeForm[Opacity[0.7]], {}, {}, {}, {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-4., 0.}, {-3., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{43.995668202765, 
                    53.58958525345626}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-3., 0.}, {-2., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{53.18958525345626, 
                    62.78350230414751}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{-1., 0.}, {0., 3.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{71.57741935483875, 
                    81.17133640553001}, {-53.66494623655916, -10.36}}],
                    StatusArea[#, 3.]& ,
                    TagBoxNote->"3."],
                    StyleBox["3.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[3., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{0., 0.}, {1., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{80.77133640553001, 
                    90.36525345622125}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{1., 0.}, {2., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{89.96525345622125, 
                    99.55917050691251}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{2., 0.}, {3., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{99.1591705069125, 
                    108.75308755760376`}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], 
                    TagBox[
                    TooltipBox[
                    TagBox[
                    DynamicBox[{
                    FEPrivate`If[
                    CurrentValue["MouseOver"], 
                    EdgeForm[{
                    GrayLevel[0.5], 
                    AbsoluteThickness[1.5], 
                    Opacity[0.66]}], {}, {}], 
                    RectangleBox[{3., 0.}, {4., 1.}, "RoundingRadius" -> 0]},
                    
                    ImageSizeCache->{{108.35308755760376`, 
                    117.94700460829502`}, {-25.061648745519722`, -10.36}}],
                    StatusArea[#, 1.]& ,
                    TagBoxNote->"1."],
                    StyleBox["1.`", {
                    GrayLevel[0]}, StripOnInput -> False]],
                    Annotation[#, 
                    Style[1., {
                    GrayLevel[0]}], "Tooltip"]& ], {}, {}}, {}, {}},
                    AspectRatio->1,
                    Axes->{True, True},
                    AxesOrigin->{-8., 0},
                    FrameTicks->{{Automatic, Automatic}, {
                    Automatic, Automatic}},
                    GridLines->{None, None},
                    PlotRange->{{-8, 6}, {0, 9}},
                    PlotRangePadding->{{0, 0}, {0, 0}},
                    Ticks->{Automatic, Automatic}], {576., -189.}, 
                    ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
                 ContentSelectable->True,
                 PlotRangePadding->{6, 5}]}, Dynamic[$CellContext`i33$$],
                Alignment->Automatic,
                ImageSize->All],
               Identity,
               Editable->True,
               Selectable->True],
              ImageMargins->10],
             Deployed->False,
             StripOnInput->False,
             ScriptLevel->0,
             GraphicsBoxOptions->{PreserveImageOptions->True},
             Graphics3DBoxOptions->{PreserveImageOptions->True}],
            Identity,
            Editable->False,
            Selectable->False],
           Alignment->{Left, Center},
           Background->GrayLevel[1],
           Frame->1,
           FrameStyle->GrayLevel[0, 0.2],
           ItemSize->Automatic,
           StripOnInput->False]}
        },
        AutoDelete->False,
        GridBoxAlignment->{
         "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Top}}, 
          "RowsIndexed" -> {}},
        GridBoxDividers->{
         "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
          "RowsIndexed" -> {}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.7], {
             Offset[0.5599999999999999]}, 
            Offset[0.7]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.4], {
             Offset[0.8]}, 
            Offset[0.4]}, "RowsIndexed" -> {}}], If[
        CurrentValue["SelectionOver"], 
        Manipulate`Dump`ReadControllerState[
         Map[Manipulate`Dump`updateOneVar[#, 
           CurrentValue["PreviousFormatTime"], 
           CurrentValue["CurrentFormatTime"]]& , {
           
           Manipulate`Dump`controllerLink[{$CellContext`i33$$, \
$CellContext`i33$23303$$}, "X1", 
            If["DefaultAbsolute", True, "JB1"], False, {1, 18, 1}, 18, 1.]}], 
         CurrentValue[{
          "ControllerData", {
           "Gamepad", "Joystick", "Multi-Axis Controller"}}], {}]],
       ImageSizeCache->{313., {95., 99.19999999999999}}],
      DefaultBaseStyle->{},
      FrameMargins->{{5, 5}, {5, 5}}],
     BaselinePosition->Automatic,
     ImageMargins->0],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "ListAnimate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.449096714458626*^9, 3.464908892127089*^9, {3.466305047904322*^9, 
   3.466305065308915*^9}, {3.4663051001493187`*^9, 3.466305119255347*^9}, {
   3.4663051581698303`*^9, 3.466305170579383*^9}, 3.4663070875555096`*^9, 
   3.5554638381664314`*^9, 3.555463945374151*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tbl", "\[LeftDoubleBracket]", "3", 
  "\[RightDoubleBracket]"}]], "Input",
 CellChangeTimes->{{3.4599295197442083`*^9, 3.4599295318319597`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {InsetBox[
     GraphicsBox[
      {Hue[0.67, 0.6, 0.6], PointSize[0.02], 
       PointBox[{{21.883883380155726`, 10.119247702699504`}, {
        19.66247799525824, 9.863595368564932}, {16.15935984624918, 
        9.010270556970122}, {19.49319347031477, 15.246098759145811`}, {
        13.937954461351694`, 8.75461822283555}, {18.380765231146665`, 
        9.265922891104694}, {17.69672494449533, 7.386537649532875}, {
        25.815389481681557`, 15.073363140763615`}, {21.970251189346826`, 
        13.280345708382898`}}]},
      AspectRatio->1,
      Axes->True,
      AxesOrigin->NCache[{
         Rational[175, 9], 
         Rational[98, 9]}, {19.444444444444443`, 10.88888888888889}],
      Epilog->{{
         RGBColor[1, 0, 0], 
         LineBox[
          
          NCache[{{
            Rational[175, 9] + Rational[-130, 9] Cos[Rational[1, 9] Pi], 
             Rational[98, 9] + Rational[130, 9] Sin[Rational[1, 9] Pi]}, {
            Rational[175, 9] + Rational[131, 9] Cos[Rational[1, 9] Pi], 
             Rational[98, 9] + Rational[-131, 9] Sin[Rational[1, 9] Pi]}}, {{
           5.871106588647988, 15.829179848037437`}, {33.12219259143933, 
           5.910595691593045}}]]}, {
         PointSize[0.02], 
         RGBColor[1, 0, 0], 
         PointBox[
          
          NCache[{Rational[175, 9] + Rational[23, 9] Cos[Rational[1, 9] Pi] + 
            Rational[1, 9] Sin[Rational[1, 9] Pi], Rational[98, 9] + 
            Rational[1, 9] Cos[Rational[1, 9] Pi] + 
            Rational[-23, 9] Sin[Rational[1, 9] Pi]}, {21.883883380155726`, 
           10.119247702699504`}]]}},
      PlotRange->{{5, 34}, {-3, 27}},
      PlotRangeClipping->True], {192., -189.}, 
     ImageScaled[{0.5, 0.5}], {360., 360.}], InsetBox[
     GraphicsBox[
      {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
       EdgeForm[Opacity[0.7]], {}, 
       {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
        EdgeForm[Opacity[0.7]], 
        TagBox[
         TooltipBox[
          TagBox[
           DynamicBox[{
             FEPrivate`If[
              CurrentValue["MouseOver"], 
              EdgeForm[{
                GrayLevel[0.5], 
                AbsoluteThickness[1.5], 
                Opacity[0.66]}], {}, {}], 
             RectangleBox[{-6., 0.}, {-5., 1.}, "RoundingRadius" -> 0]},
            
            ImageSizeCache->{{7.2200000000000015`, 
             16.813917050691256`}, {-25.06164874551972, \
-10.360000000000003`}}],
           StatusArea[#, 1.]& ,
           TagBoxNote->"1."],
          StyleBox["1.`", {
            GrayLevel[0]}, StripOnInput -> False]],
         Annotation[#, 
          Style[1., {
            GrayLevel[0]}], "Tooltip"]& ], {}, 
        TagBox[
         TooltipBox[
          TagBox[
           DynamicBox[{
             FEPrivate`If[
              CurrentValue["MouseOver"], 
              EdgeForm[{
                GrayLevel[0.5], 
                AbsoluteThickness[1.5], 
                Opacity[0.66]}], {}, {}], 
             RectangleBox[{-4., 0.}, {-3., 1.}, "RoundingRadius" -> 0]},
            
            ImageSizeCache->{{25.607834101382494`, 
             35.201751152073754`}, {-25.061648745519722`, -10.36}}],
           StatusArea[#, 1.]& ,
           TagBoxNote->"1."],
          StyleBox["1.`", {
            GrayLevel[0]}, StripOnInput -> False]],
         Annotation[#, 
          Style[1., {
            GrayLevel[0]}], "Tooltip"]& ], {}, 
        TagBox[
         TooltipBox[
          TagBox[
           DynamicBox[{
             FEPrivate`If[
              CurrentValue["MouseOver"], 
              EdgeForm[{
                GrayLevel[0.5], 
                AbsoluteThickness[1.5], 
                Opacity[0.66]}], {}, {}], 
             RectangleBox[{-2., 0.}, {-1., 2.}, "RoundingRadius" -> 0]},
            
            ImageSizeCache->{{43.995668202765, 
             53.58958525345624}, {-39.36329749103943, -10.36}}],
           StatusArea[#, 2.]& ,
           TagBoxNote->"2."],
          StyleBox["2.`", {
            GrayLevel[0]}, StripOnInput -> False]],
         Annotation[#, 
          Style[2., {
            GrayLevel[0]}], "Tooltip"]& ], {}, 
        TagBox[
         TooltipBox[
          TagBox[
           DynamicBox[{
             FEPrivate`If[
              CurrentValue["MouseOver"], 
              EdgeForm[{
                GrayLevel[0.5], 
                AbsoluteThickness[1.5], 
                Opacity[0.66]}], {}, {}], 
             RectangleBox[{0., 0.}, {1., 2.}, "RoundingRadius" -> 0]},
            
            ImageSizeCache->{{62.3835023041475, 
             71.97741935483876}, {-39.36329749103943, -10.36}}],
           StatusArea[#, 2.]& ,
           TagBoxNote->"2."],
          StyleBox["2.`", {
            GrayLevel[0]}, StripOnInput -> False]],
         Annotation[#, 
          Style[2., {
            GrayLevel[0]}], "Tooltip"]& ], {}, 
        TagBox[
         TooltipBox[
          TagBox[
           DynamicBox[{
             FEPrivate`If[
              CurrentValue["MouseOver"], 
              EdgeForm[{
                GrayLevel[0.5], 
                AbsoluteThickness[1.5], 
                Opacity[0.66]}], {}, {}], 
             RectangleBox[{2., 0.}, {3., 2.}, "RoundingRadius" -> 0]},
            
            ImageSizeCache->{{80.77133640553, 
             90.36525345622125}, {-39.36329749103943, -10.36}}],
           StatusArea[#, 2.]& ,
           TagBoxNote->"2."],
          StyleBox["2.`", {
            GrayLevel[0]}, StripOnInput -> False]],
         Annotation[#, 
          Style[2., {
            GrayLevel[0]}], "Tooltip"]& ], {}, {}, {}, 
        TagBox[
         TooltipBox[
          TagBox[
           DynamicBox[{
             FEPrivate`If[
              CurrentValue["MouseOver"], 
              EdgeForm[{
                GrayLevel[0.5], 
                AbsoluteThickness[1.5], 
                Opacity[0.66]}], {}, {}], 
             RectangleBox[{6., 0.}, {7., 1.}, "RoundingRadius" -> 0]},
            
            ImageSizeCache->{{117.54700460829498`, 
             127.14092165898624`}, {-25.061648745519722`, -10.36}}],
           StatusArea[#, 1.]& ,
           TagBoxNote->"1."],
          StyleBox["1.`", {
            GrayLevel[0]}, StripOnInput -> False]],
         Annotation[#, 
          Style[1., {
            GrayLevel[0]}], "Tooltip"]& ], {}}, {}, {}},
      AspectRatio->1,
      Axes->{True, True},
      AxesOrigin->{-6., 0},
      FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
      GridLines->{None, None},
      PlotRange->{{-6, 8}, {0, 9}},
      PlotRangePadding->{{0, 0}, {0, 0}},
      Ticks->{Automatic, Automatic}], {576., -189.}, 
     ImageScaled[{0.5, 0.5}], {360., 360.}]}, {}},
  ContentSelectable->True,
  PlotRangePadding->{6, 5}]], "Output",
 CellChangeTimes->{
  3.4599295325477953`*^9, {3.4599295783760347`*^9, 3.449096562733049*^9}, 
   3.464908892369561*^9, 3.466307087883112*^9, 3.5554638386884837`*^9, 
   3.5554639459282064`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<demo2.avi\>\"", ",", "tbl", ",", "\"\<AVI\>\""}], 
  "]"}]], "Input",
 CellChangeTimes->{3.459767765837825*^9}],

Cell[BoxData["\<\"demo2.avi\"\>"], "Output",
 CellChangeTimes->{
  3.4597677772824087`*^9, 3.4597707172326097`*^9, 3.4597710703757067`*^9, 
   3.462410695140977*^9, {3.462412057518814*^9, 3.459880441138769*^9}, 
   3.4599213202984047`*^9, 3.4599254825500727`*^9, 3.4599295387900887`*^9, {
   3.4599295824337883`*^9, 3.4490965738997927`*^9}, 3.464908893704708*^9, 
   3.4663070903011274`*^9, 3.5554638402826433`*^9, {3.5554639490285163`*^9, 
   3.5554639529399076`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"\"\<demo2.avi\>\"", ",", "\"\<Animation\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.4597677791706543`*^9, 3.459767788836697*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`i35$$ = 7, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {
    "\"min\"" :> {$CellContext`i35$$ = 1}, 
     "\"max\"" :> {$CellContext`i35$$ = 18}}, Typeset`bookmarkMode$$ = "Menu",
     Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`i35$$], 1, ""}, 1, 18, 1}}, Typeset`size$$ = 
    Automatic, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`i35$24428$$ = 0}, 
    PaneBox[
     PanelBox[
      DynamicWrapperBox[GridBox[{
         {
          ItemBox[
           ItemBox[
            StyleBox[GridBox[{
               {
                TagBox["\<\"\"\>",
                 HoldForm], 
                AnimatorBox[Dynamic[$CellContext`i35$$], {1, 18, 1},
                 AnimationRate->Automatic,
                 
                 AppearanceElements->{
                  "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
                   "DirectionButton"},
                 AutoAction->False,
                 DisplayAllSteps->True]}
              },
              AutoDelete->False,
              
              GridBoxAlignment->{
               "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
                "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
             "ListAnimateLabel",
             StripOnInput->False],
            Alignment->{Automatic, Inherited},
            StripOnInput->False],
           Background->None,
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            StyleBox[
             PaneBox[
              TagBox[
               PaneSelectorBox[{1->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3b2rI1UYx/FRt1iw3MJS/BfsvOA7giDL4trYrmBYK2EV3LVZEdFy0yqL
FrYW2qSy8A8QF3ypUgt2IgiXxYU4mfeZZJI5c35zM+c83w9Rd2Pu5Nxfnjw5
85KZZ955//ri8SRJPric/uv6jY9evnXrxp23LqV/eeXOh+++80T6hx/Tf24+
liTbP28AAAAAAAAAAAAAAMAsJZlTjwK4IEnp1AMJGwHCFApeghhhCgUvQYww
hYKXIEaYQsFLECNMoeAliBGmsD9FggBhCgUvQYyIxWqRTSTOluvijvXyrH3H
hoIXYc6GOKyXy9X2v2n3KBrFatlsGAWqXYIYEZnVIusbxWRjsWr/XwpeghgR
l9Wi2Sq23aPVOpKGCx9bPEgPMSnXVpr3LNi+IUeMiEY6uchWUVobNtrzDwre
SbGy1960vEWMiEOxNyUpNmqUFd/dwEHBO0hDzOJLsyVGWEbBuygaRmfOtiFG
GEPBu8mmcd2uwWG3MIaCd5FPNOpDYioECFMoeAfldo1yg3ONGGEKBe+ib+sy
McIWCl6CGGEKBS9BjDCFgpcgRpjC/hQJAoQpFLwEMcIUCl6CORtModoliBGm
UPASxAhT2C4qQYAwhYKXIEaYQsFLECNMoeAliBGmUPASxAhTKHgJYoQp7E+R
IEOYQrVLECNi0b0+bP53TlQ1BWJEHLrXhy3PcVdc9rFEwUsQIyKTN4ry0h/d
xkHBSxAj4lJc66O+VBB9YwLEiJhU14c9MN9gl4o/0kM0WteHZfvGlIgRcehc
H3bD/pQpESNMoeAlWNGDKVS7BDHCFDaKShAgTKHgJYgRplDwEsQIUyh4V/m1
pdktBcsoeCflITFdxAhTKHgH+VSjPiKmRowwhf0pw1WTjfI7xjVihCmU+nB9
3/HZECOMoeAdlPOMuoGUiBGmUPBOim/9dDdvECNsoeAliBGmaAv+m69/fu3V
+198/pNwmUGgb8AU4Y6Ahw8fpU3jxee/TG9//P6X/wIDQt+AKdqCf+/m92nT
ePPat2kPES52/ugbMEVe8A9++dNa09jQN2AMBS/BQV8whWqXIEaYwgHSEgQI
Uyh4CWKEKRS8BDEiFvm3vhuHRBdfA+f6KXrEiIi0voCVXX6pi4KXIEZEpOgb
28O/n3v7aU44MxliRES2feOH5uHfq0/P2q2D68NKkB4iUsw3mod/r5cLtm/I
0XgRkXr7RnX492rRnW+cZGSRIUZEozjJTHmKqr1n1KXgJYgRplDwEsQIU/oK
3uwZeMahb8CUvTtTLJ+BZxz6BkzpK3izZ+AZh74BUw4UvM0z8IxD34ApFLwE
McIUCl6C475gCgeZSxAgTKHgJYgRplDwEsQIUyh4CWKEKRS8s92r0RMjjKHg
HWVfFqRvwDb2pzjZnoWA+QbMo+Ad5Ocu6ekbtF/YQakPV57CZOek8MQIYyh4
Z6ynIDPRix7EYptLC2LAUy/2OPoGMrsveueeow+Y7p6pn+hA3+j89cG1xXmS
/Prs6xcwvBMGPg59w5zz89tJ8gm3g7fPkuS/9K2R3e6fejDaW0LfwDj37m3u
3rV5S984Ax/595NX0rfH+aXLj25/fPJhK28K9A2Y4lTw66++e/jPv9MNJlz0
DZhCwUsQI0ypCp4TmPtIRNtJgCAkDZzAfDSahi3FZcw6R/95Lq7eu59fMc17
6d3FCoddFbzuBObNy8RlVKMtrzlXLUgUrwB9w5TVUl5zjaOC0rLO/rha+Jd2
62Aj4bCbBS85gfl6uczGmf7yxW8tG+16nS+viFMZry/6hiHF59fOwX++Cy0W
WP9JUNmNviEd9nQFX/zS8pDLxiSN1xd9w5xtYQtbR7Ock0n6RnWHYtiTFXz7
uvei0TabkDReX/QNg9bLha7upp9v1HeNH3a192Sigi8nBc17VCEXDYP5Bk6r
/dHo6SK2b5SLHzns5uVfq50pnuNrSsea/cKtDRu6kMsOxPYNnEK5eV65ltLZ
l6Da4N9crGTY1d4TecEXQy1HKAy5XHIdJ/tTgAuW7z2h4CU47gumUO0SxAhT
KHgJYkTonL5pQsFLECOC1txXMuSbJlPsTzGIABE6p2+aUPASxIgIDP+mCQUv
QYwwhYKXIEbMmersOlMfZ24NMWK2XLd5DlkO20UlyBBzpjq7znTHmdtEjJg5
ydl1NhxnLkWMMIWClyBGmELBSxAjTKHgXeyccrlEjDCF/SnD7Z5yuUKAMIWC
H2H3DGPEiGjtu44JBe9uzykPQ5m2XR3g1GPEvOy9jsn8S31udk+5vAknxhde
euPn384P3NIHnHqMmJOe65iEUvAzsfeUy5twYqRvYIyd65iEUvBz0DnlclMo
MdI3ME7nOiZJw+kGFbxQ0qNvYJzORr1QCn7mQomRvgEnfdcxCaXgZy6UGOkb
kAil4GculBjpG5AIpeBnLpQY6RuQYKOoRCgZ0jcgEUS1z18oMdI3IBFKwc9c
KDHSNyARSsHPXCgx0jcgEUrBz1woMdI3IBFKwc9cKDHSNyDB/hSJUAKkb0Ai
lIKfuVBipG9AIpSCn7lQYqRvQCKUgp+5o+t66fvx6O3wU1y9enXIQo7eDveN
K1eeOvzjRx8w5Hb0rGL+cWFS9A2JozH6f9Cn77XDS8gX4vmAtC14PmDIswzp
G8yL5oy+IUHfoG+Ywv4UCfoGfcMUOoYEfYO+YQp9Q4K+Qd8whb4hQd+gb5hC
35Cgb9A3TGG7qAR9g75hCh1DYshxX/QN+kaI8ssGnYV5obGZY75B34hT2jWy
SyB0rqVO35Cgb9A3orRenhVXTmk3DvqGBH2DvhGlcrpB35gEfYO+EaUD8w12
qQy3dxvRhr5B34gV2zf89WS4UfSNo0sY0jfShXi+o48uYUjfOLqQo31jyC9y
9OXyr23eHRv2p3jrm7NtdmLcTbXzRth9X+z9kQNL6FuI9gHT/YhTXHuXeTiu
gS+K0wNQIZnh+rYRbdqre4jJSSpt/khmuAPzDcAU+oaD/u0bgCnMx5z07U8B
TKFjAHBF3wDgir4htF6eCdZi6s2vI+QrUmPGoFgFG//sLV4J1MvwGEn+06yR
9qJvqKSlpqiy7K039l2zXi5XxUIcx6LY5Dv+2btDGZ9AORK/16JsXPWed7Sx
XVSj/IDyrPjVYrFSfNq6vv21u5h9liFIQPBaFA1jO5jx44gZHUOi+oDz+qzN
y1TQN5zr/cAhbRfw7N0f9UtA9Vp4z3piRt9wVqzEl7LSdP683rOQ+mNy0Ir1
vmHkyvUFB8L5xohnr7gl0DsA/98l71+eK1wxo29olCUmmCxoPm1XS6eKFx3S
NvLZd5fiE6L/a1GmIdpmFSH6hkrx+e8/tfV41zTnIK7L8N+f4vPsLd7N1/u1
qOZ+rKnsR98A4Ir9KQAAAAAAAAAAAAAAAAAAIGL/AzonAHA=
                   "], {{0, 188}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 188},
                 PlotRange->{{0, 360}, {0, 188}}], 2->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U+IJGcZx/HaTQxDTtEcHPCy3vYSGD2tgzGjogyoZI2XPXjYBNKMh+AS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                   "], {{0, 188}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 188},
                 PlotRange->{{0, 360}, {0, 188}}], 3->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U2IJVcVwPGaqOCycWNciKMLneVDN0NjTKsRGlQyRoQsJwEfLQg2MeBk
k+wyy3m7MSL2QiUbYdz4eiO0rmYTbPCDWTywXSjtKo0gNAMm5a2vVx/vq27V
qVv34/+jYzrPmXqnT5933q269e797Ks/emn6TBRFP/64+p+XXvnJV1977ZU3
vvtR9R9fe+P177/6EfXN79U/RzeiKPk+BgAAAAAAAAAAAAAAVopSY0cBGBIV
xg7EbSQQQaHgRZBGBIWCF0EaERQKXgRpRFAoeBGkEUGh4EWQRgSF+RQRJBBB
oeBFkEb4Yj5NBxL7s0X+wGK2X38gpuCFMGaDHxaz2Tz5t+oeeaOYz6oNI0e1
iyCN8Mx8mvaNfLAxndf/XwpeBGmEX+bTaqtIuketdUQVxmPzB9mDT4qzleoj
U65viCON8IYaXKSnKLULG/XxBwWvJT/Zq19aTpBG+CGfTYnyixpFxTcvcFDw
GlQS0/Sp3JJGhIyC15E3jMaYLSaNCAwFrycdxjW7BrfdIjAUvI5soFHeErNE
AhEUCl5DcV2juOBcIo0ICgWvY9PVZdKIsFDwIkgjgkLBiyCNCAoFL4I0IijM
p4gggQgKBS+CNCIoFLwIxmwICtUugjQiKBS8CNKIoHBdVAQJRFAoeBGkEUGh
4EWQRgSFghdBGhEUCl4EaURQKHgRpBFBYT5FBDlEUKh2EaQRvmjuD5v9NwtV
DYE0wg/N/WGLNe7ybR8LFLwI0gjPZI2i2Pqj2TgoeBGkEX7J9/ootwqibwyA
NMIny/1ht4w3mFLpj+zBG7X9Ybm+MSTSCD809oeNmU8ZEmlEUCh4EZzoIShU
uwjSiKBwUVQECURQKHgRpBFBoeBFkEYEhYLXle0tzbQUQkbBayluiWkijQgK
Ba8hG2qUd8SUSCOCwnxKe8vBRvEZ4xJpRFAo9fY2fcYnJo0IDAWvoRhnlA2k
QBoRFApeS/6pn+blDdKIsFDwIkgjgkLBiyCNCAoTASJIIIJCwYsgjQgKBS+C
NCIoFLwIzvUQFKpdBGlEULguKoIEIn7wIH7yZOwgDKHgRZBGxCcn8a1bydf9
+/HFxdjRDIuCF0EakVNDjnv34ps348kkfvgwvrwcOyBd2ae+K7dE5x8DZ/8U
eaQRTefn8dFR/Oyz8eFhMhS5uho7oPZqH8BKt19qUgX/ja///P7bfzAal3fo
G9jo9DS+ezdpIC+/HL/77tjRtFHpG/lgo/aJrKdP/6ceev65d9TX3/76bwMB
nfziPS/bFH0DO1xfJ01DtY69vaSNnJ2NHdAWKx/4TrpH7RGT+8OqNqWahsk2
ZQx9A22pExZ12nJwkIxAjo+T0xnrrC4UoR6aNq5vnP/pX+oVbSagHxz9VjWN
77z4S2PPaAZz2dB2eZlM3U4myRTMW2/ZNIe7pm/Mp83xhtGI4thkmzKGpoHu
VMdQfUN1D9VDVCcZewomX2SmWKJq7Yq6FLwI0ggB6pxFnbmo8xd1FmP3FAwF
L4I0QtLZWXLtdG8vn4K5vh47oCYKXgRpxCCyKRg1AlFt5PR07GhKfD5FBAnE
gLIpmMPDpIEcHdkwBUPBiyCNMOHyMrl3fTJJ7mO/d2/EKRgKXgRphFEXF8mn
57KP0T14YP5jdO0L3tdbPUXQNzAONeQ4Pk6GHwcHyVDE1BRMy4L3+FZPEVwj
wsjOzpJLH3t78Z07BqZg2l8X9fVWTxE0Ddji0aPyUzDq+2FoFbyXt3qKoG/A
Lmq8cXKSjD2yKRjpj9FR8CJIIyyVTcEcHCTXQI6PpaZgKHgRpBG2u7hIZl6E
VjKk4LWt+bAgaYQ7lisZ3r7deSVDCl5T+mFB+gY88PhxvpLhnTvJxRCdKRju
M9eSrELAeAOeefSo/BhduykYCl5DtnbJhr5B+4XbspUM1dijxUqGlHp7xRIm
K4vCk0b4pMVKhhS8Ns5TkBrol27RYRsrGVamYKpHsyjg8Q67G30DqdVfeuOR
nX9guEeED5utZJhuJnWkHrm83NI3/PmpNR/pgL4RoCg8kyh6GEWqa5xG0d0o
2hs7nnGJlFD/gwCuOFQFX91Myr6VDJ1A30BQ8oJfbiZl30qGTqBvICjNgrdv
JUMn0DcQlI0FX13JMN1M6vzF6dNnPvbnLx6aDdANUtdJACfsvjx4caH6xoef
/8KH0Q31p9XX33/9O7MxOoCmEZZ8G7PG3X89D1fO7mc7pvU+evOwgmGro7Rc
APCfn/iM+tMf3LjxwZef27qZVHWbONFoiz3nlgcSSq8A+kZQ5jPxmqvcFaTK
Ov12Pu1f2rWbjQTDVgXffgHAxc9+8/Q//y03k1q3kuFiNkvjVD98/lOLRbtY
ZMfL0ymZ3r7oGwHJ379Wbv7re9D8gOV3ApVd6Rtdw167IHlW8B0XANy6kmH+
Q4snuWhMounti74RnKSwBVtHtZyjQfrG8gGdsDctSC5Q8I2VDB8/Th+t73sv
lORqExJNb1/0jQAtZlO5uht+vFE+lIfdcmeTtecjkgWfTcHcvh3fvPn+Cy/8
sb6SoVyS84bBeAPjqr819iR5faPSENb0jSxsrZ1NVs9HBO+1XvrHm196+K3X
41uffv+Tn1tuJiWX5KIDcX0DYyguz0uepTTmEvpc8K82hJ9+rzzsath9djYR
L/g8A6k333ly9fynLqLoLIp+9cOOKxmuHLlMJ/MpwKr2DaHzziaGCj7bTKrT
SoZO4L4vWGXorY5MV7v+SoZOoGkgKOMUfHUlwwE2kzKPvoGgjFzwV1dDbCZl
Hn0DQRliPqUL0c2kzBs/gYBB1hX8cjOpyaTzZlLmWZdGoIedt4TZW/Dn5/kU
zOHh1o/RWcHeNAKa2twS5kDBn57WVjK0kgNpBFrbeQeIMwW/XMmwxWZS5jmT
RqCd7XeA2HJdtL0Wm0mZ51gOgX4crvbGZlKjzuE6nEZAnw8Fn20mpbqH6iGq
k4wxBeNDGoHWvCp4dc6izlzU+Ys6izE7BeNVGoFd/Cz45UqGpjaT8jONwAae
F7zwZlIrSy4XPE8jUOfefEoHjc2kup6/rC65vOR5AoG6sAo+W8mw99Tt6gpj
YaURQVm3jwkFr2/NkoeWDNu+vUv/I4gcROJnhSFr9zEZvdSdU5yt1FiSxq8c
fPO9v1xv+dr5mlV/YPsR1FMYCAO22LCPiSUF7wqVxXS41uzBlqSRvoFBrOxj
YknBO6G65HKj/1qSRvoGBtLYxySqGC8o51mSPfoGBtK4qGdJwbvOkjTSNyBr
02YxlhS86yxJI30DZlhS8K6zJI30DZhhScG7zpI00jdgBhdFRViSQ/oGzLCh
2j1gSRrpGzDDkoJ3nSVppG/ADEsK3nWWpJG+ATMsKXjXWZJG+gbMsKTgXWdJ
GukbMIP5FBGWJJC+ATMsKXjXWZJG+gbMsKTgXWdJGukbMMOSgndddq6nXi+b
vtq8YLf89exrZxj0jUYY279oX53RN0SoNPrxgrUkDBGWhOEl+oYI+oZsGCIs
CcNLzKeIoG/IhiHCkjC8RMcQQd+QDUOEJWF4ib4hgr4hG4YIS8LwEn1DBH1D
NgwRloThJfqGCPqGbBgiLAnDS1wXFUHfkA1DhCVheImOISLrvR68YC0JQ4Ql
Ybgu2zZo38qNxlzHeEM2DBGWhOE21TXSLRAae6nTN0TQN2TDEGFJGE5bzPbz
nVPqjYO+IYK+IRuGCEvCcFox3KBvDIK+IRuGCEvCcNqW8QZTKu2tvUYU0zek
wxBhSRhu4/pGfxtyGEv0jZ1HaPOC9SmMnc/iShiuYz6lp01jtnilRFcrtpHn
1bSv/StbjtDmIE6Hsf2RscJAhsy0t+kaUVw/3YNPRqk0+5GZ9raMN4Cg0Dc0
bL6+AQSF8ZiWTfMpQFDoGAB00TcA6KJvCFrM9gXOYsrLrx1kJ1JdYpA4Bev+
7DW9MlAeo0ck2d/mjHQj+oYUVWoSVZa+9Lq+ahaz2Tw/iGYsEpd8uz97M5Tu
GSgi6fe7KBpXOfOOOq6LyijeoHpW/Hw6nUu82+q+/GWnmPscQyADAr+LvGEk
wXSPw2d0DBHLN7he77VZmQr0De1633JLm4Fnb/7VfhmQ+l30HvX4jL6hLT+J
L6Slqf1+veYg5dtkqxPrdWFkivMFDYLjjQ7PvqSXgY0B9P9Zsv7V84TLZ/QN
GUWJCQwWZN5t5zOtihe6pa3js68epU8S+/8uimwIXbPyEH1DSv7+339o2+NV
Ux2D6B6j/3xKn2ev6d18e/8ulmM/zlTWo28A0MV8CgAAAAAAAAAAAAAAAAAA
8Nj/AZch3Uw=
                   "], {{0, 188}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 188},
                 PlotRange->{{0, 360}, {0, 188}}], 4->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U9oJFkdwPHecQUXvK3gTeMtx8HTMKBGRRhYZGfXS47ZVZvx5LAKzp5y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                   "], {{0, 188}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 188},
                 PlotRange->{{0, 360}, {0, 188}}], 5->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U+IJFcdwPFONCA5CRE868ljyGkZUFdFHJDFMfGwBw9JwGY92UTFzWlv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                   "], {{0, 188}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 188},
                 PlotRange->{{0, 360}, {0, 188}}], 6->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U2IJEkVwPHaD2GOnvQkrCevjaehQW0VoUHEdddDH2cXLNqTwyrYe5qb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                   "], {{0, 188}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 188},
                 PlotRange->{{0, 360}, {0, 188}}], 7->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3T1sJEkVwPG525O48CIQmYnY6GSIRkaAASFZQuiWJTGZ76QbmQjrQMIX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                   "], {{0, 188}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 188},
                 PlotRange->{{0, 360}, {0, 188}}], 8->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U9oJFkdwPHeP+DedmAQ5ziiYMDLKCIhoEZFCIgY10uOsws2ERYMq2D2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                   "], {{0, 188}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 188},
                 PlotRange->{{0, 360}, {0, 188}}], 9->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U2IXFkVwPFnHDE7GwY0G7GFWWQjDC40BNSoZGhwxDZu4i4zYNmuphkF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                   "], {{0, 188}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 188},
                 PlotRange->{{0, 360}, {0, 188}}], 10->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3c/LG0Ucx/GtFezNQw969V/wWPA3giAi1n+gLRjqSaiC9B9Qj7kK4nMQ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                   "], {{0, 188}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 188},
                 PlotRange->{{0, 360}, {0, 188}}], 11->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3T1sJEkZxvHhWAlHYOmC29BkF1oEyFoJWL5O1p0Q5kh8ImDvEIOJsA4k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                   "], {{0, 188}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 188},
                 PlotRange->{{0, 360}, {0, 188}}], 12->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3T1sJEkZxvHhWAlHYOmC29BkF1oEyFoJWL5O1p0Q5kh8ImDvEIOJsA4k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                   "], {{0, 188}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 188},
                 PlotRange->{{0, 360}, {0, 188}}], 13->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U1oJGkdx/HeF3Au4s1zBJE55hgialSEARk2rgg5zi7YxJNhFcye5maO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                   "], {{0, 188}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 188},
                 PlotRange->{{0, 360}, {0, 188}}], 14->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3T+IJGkZx/HeU/DAQDDZWDAwXMFgGThvdDkYkOXGM1mM9g6vmYtcTsG9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                   "], {{0, 188}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 188},
                 PlotRange->{{0, 360}, {0, 188}}], 15->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3c+LJGcdx/HODzDEg0oOe/Y/yHFZUEdFWJAhMV5y3ARsJiebKJic9uYe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                   "], {{0, 188}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 188},
                 PlotRange->{{0, 360}, {0, 188}}], 16->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3UGIJFcZwPHeKBjIQSHIehyDhznmFJaBxFGRDITFGC9z8DAJ2Kwnwyq4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                   "], {{0, 188}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 188},
                 PlotRange->{{0, 360}, {0, 188}}], 17->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U9oZlcZx/E7VXCgoAMijrgZETQLW7sskdaoFAJajO2m3U0rvsSVoRVs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                   "], {{0, 188}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 188},
                 PlotRange->{{0, 360}, {0, 188}}], 18->
                GraphicsBox[
                 TagBox[RasterBox[CompressedData["
1:eJzt3U+IJGcZx/EyBrI3g4G4x1U0LB5kQTDLkMRRCSyENWNEiLdNwHZFwTUG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                   "], {{0, 188}, {360, 0}}, {0, 255},
                   ColorFunction->RGBColor],
                  BoxForm`ImageTag[
                  "Byte", ColorSpace -> Automatic, Interleaving -> True],
                  Selectable->False],
                 BaseStyle->"ImageGraphics",
                 ImageSizeRaw->{360, 188},
                 PlotRange->{{0, 360}, {0, 188}}]}, 
                Dynamic[$CellContext`i35$$],
                Alignment->Automatic,
                ImageSize->All],
               Identity,
               Editable->True,
               Selectable->True],
              ImageMargins->10],
             Deployed->False,
             StripOnInput->False,
             ScriptLevel->0,
             GraphicsBoxOptions->{PreserveImageOptions->True},
             Graphics3DBoxOptions->{PreserveImageOptions->True}],
            Identity,
            Editable->False,
            Selectable->False],
           Alignment->{Left, Center},
           Background->GrayLevel[1],
           Frame->1,
           FrameStyle->GrayLevel[0, 0.2],
           ItemSize->Automatic,
           StripOnInput->False]}
        },
        AutoDelete->False,
        GridBoxAlignment->{
         "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Top}}, 
          "RowsIndexed" -> {}},
        GridBoxDividers->{
         "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
          "RowsIndexed" -> {}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.7], {
             Offset[0.5599999999999999]}, 
            Offset[0.7]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.4], {
             Offset[0.8]}, 
            Offset[0.4]}, "RowsIndexed" -> {}}], If[
        CurrentValue["SelectionOver"], 
        Manipulate`Dump`ReadControllerState[
         Map[Manipulate`Dump`updateOneVar[#, 
           CurrentValue["PreviousFormatTime"], 
           CurrentValue["CurrentFormatTime"]]& , {
           
           Manipulate`Dump`controllerLink[{$CellContext`i35$$, \
$CellContext`i35$24428$$}, "X1", 
            If["DefaultAbsolute", True, "JB1"], False, {1, 18, 1}, 18, 1.]}], 
         CurrentValue[{
          "ControllerData", {
           "Gamepad", "Joystick", "Multi-Axis Controller"}}], {}]],
       ImageSizeCache->{489., {150.25, 157.25}}],
      DefaultBaseStyle->{},
      FrameMargins->{{5, 5}, {5, 5}}],
     BaselinePosition->Automatic,
     ImageMargins->0],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "ListAnimate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.4599213513592243`*^9, 3.45992548853152*^9, 3.459929547386079*^9, {
   3.459929589717134*^9, 3.449096580407995*^9}, 3.464908897522368*^9, 
   3.466307095776762*^9, 3.555463840463661*^9, {3.5554639497415876`*^9, 
   3.5554639541270266`*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"PCA", "[", "\[Theta]_", "]"}], ":=", 
  RowBox[{"(", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"data1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"RotationMatrix", "[", 
          RowBox[{"-", "\[Theta]"}], "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"#", "-", "origin"}], ")"}]}], "+", "origin"}], "&"}], "/@",
       "data"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"p", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xmin", ",", 
         RowBox[{
         "origin", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"xmax", ",", 
         RowBox[{
         "origin", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
        "}"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"p", "=", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"RotationMatrix", "[", 
          RowBox[{"-", "\[Theta]"}], "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"#", "-", "origin"}], ")"}]}], "+", "origin"}], "&"}], "/@",
       "p"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"pa", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xmin", ",", 
         RowBox[{
         "origin", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"xmax", ",", 
         RowBox[{
         "origin", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
        "}"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"pa", "=", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"RotationMatrix", "[", 
          RowBox[{"-", "0.99416"}], "]"}], ".", 
         RowBox[{"(", 
          RowBox[{"#", "-", "origin"}], ")"}]}], "+", "origin"}], "&"}], "/@",
       "pa"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"GraphicsRow", "[", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"listPlotData", "[", 
        RowBox[{"data1", ",", "origin", ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Red", ",", 
             RowBox[{"Line", "[", "p", "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Green", ",", 
             RowBox[{"Line", "[", "pa", "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"PointSize", "[", "0.02", "]"}], ",", "Red", ",", 
             RowBox[{"Point", "[", 
              RowBox[{
              "data1", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
               "]"}]}], "}"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Histogram", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"data1", "\[LeftDoubleBracket]", 
            RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], "-", 
           RowBox[{
           "origin", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}],
           ")"}], ",", 
         RowBox[{"Append", "[", 
          RowBox[{
           RowBox[{"histogramRange", "[", "data1", "]"}], ",", "1"}], "]"}], 
         ",", 
         RowBox[{"PlotRange", "\[Rule]", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"histogramRange", "[", "data1", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"Length", "[", "data1", "]"}]}], "}"}]}], "}"}]}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", " ", "1"}]}], "]"}]}], "}"}], 
     "]"}]}], ")"}]}]], "Input",
 CellChangeTimes->{{3.449096770470128*^9, 3.449096831829259*^9}, {
   3.4490969425805693`*^9, 3.449096953408929*^9}, {3.449097000380768*^9, 
   3.449097002977646*^9}, {3.44909710433071*^9, 3.449097111352998*^9}, 
   3.4663075498176727`*^9, {3.466307802632893*^9, 3.4663078786209803`*^9}, {
   3.46630794715222*^9, 3.4663079551550713`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"PCA", "[", "\[Theta]", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Theta]", ",", "0", ",", 
     RowBox[{"2", "\[Pi]"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.449097009795742*^9, 3.449097063365699*^9}, {
  3.4490971274223537`*^9, 3.449097138160894*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`\[Theta]$$ = 1.4702653618800232`, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`\[Theta]$$], 0, 2 Pi}}, Typeset`size$$ = {
    450., {114., 121.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`\[Theta]$23839$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`\[Theta]$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`\[Theta]$$, $CellContext`\[Theta]$23839$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> $CellContext`PCA[$CellContext`\[Theta]$$], 
      "Specifications" :> {{$CellContext`\[Theta]$$, 0, 2 Pi}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{509., {186., 193.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.449097065322485*^9, 3.449097140362458*^9, 
  3.4649088977212543`*^9, 3.4663070959015627`*^9, 3.5554638407336884`*^9, 
  3.5554639497685905`*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{926, 811},
WindowMargins->{{Automatic, 133}, {-75, Automatic}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
ShowSelection->True,
Magnification->1.25,
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (2010\:5e7412\:67082\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[572, 22, 170, 3, 35, "Input"],
Cell[745, 27, 309, 5, 35, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1091, 37, 138, 1, 88, "Section"],
Cell[1232, 40, 724, 23, 35, "Input"],
Cell[1959, 65, 284, 5, 35, "Input"],
Cell[2246, 72, 1098, 29, 80, "Input"],
Cell[3347, 103, 1831, 38, 80, "Input"],
Cell[CellGroupData[{
Cell[5203, 145, 68, 1, 35, "Input"],
Cell[5274, 148, 639, 13, 452, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5950, 166, 1407, 33, 80, "Input"],
Cell[7360, 201, 1245, 27, 465, "Output"]
}, Open  ]],
Cell[8620, 231, 94, 1, 35, "Input"],
Cell[CellGroupData[{
Cell[8739, 236, 3518, 78, 190, "Input"],
Cell[12260, 316, 27136, 595, 1522, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39433, 916, 164, 3, 35, "Input"],
Cell[39600, 921, 1871, 40, 465, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41508, 966, 190, 4, 35, "Input"],
Cell[41701, 972, 308, 5, 35, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[42046, 982, 181, 3, 35, "Input"],
Cell[42230, 987, 106731, 1843, 561, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[148998, 2835, 3145, 55, 58, "Input"],
Cell[152146, 2892, 5899, 179, 476, "Output"]
}, Open  ]],
Cell[158060, 3074, 1011, 31, 58, "Input"],
Cell[CellGroupData[{
Cell[159096, 3109, 97, 1, 35, "Input"],
Cell[159196, 3112, 960, 34, 53, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[160193, 3151, 100, 1, 35, "Input"],
Cell[160296, 3154, 678, 22, 53, "Output"]
}, Open  ]],
Cell[160989, 3179, 1767, 51, 102, "Input"],
Cell[CellGroupData[{
Cell[162781, 3234, 136, 2, 35, "Input"],
Cell[162920, 3238, 353, 7, 35, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[163310, 3250, 946, 23, 58, "Input"],
Cell[164259, 3275, 5829, 177, 474, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[170125, 3457, 3507, 90, 256, "Input"],
Cell[173635, 3549, 137324, 3521, 878, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[310996, 7075, 245, 6, 35, "Input"],
Cell[311244, 7083, 168809, 3760, 349, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[480090, 10848, 168, 3, 35, "Input"],
Cell[480261, 10853, 7027, 185, 253, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[487325, 11043, 165, 4, 35, "Input"],
Cell[487493, 11049, 469, 7, 35, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[487999, 11061, 182, 3, 35, "Input"],
Cell[488184, 11066, 90971, 1585, 349, "Output"]
}, Open  ]],
Cell[579170, 12654, 3994, 107, 256, "Input"],
Cell[CellGroupData[{
Cell[583189, 12765, 332, 8, 35, "Input"],
Cell[583524, 12775, 1704, 34, 399, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature lupCRkSzyZ2W6CgfUq8eVGSu *)
